# do not edit -- automatically generated by arch changelog
# tag: was-automatic-ChangeLog--lord@emf.net--2003b/tla--devo--1.1
#

2003-12-16 01:50:10 GMT	Tom Lord <lord@emf.net>	patch-287

    Summary:
      last minute 1.1 tweaks (jblack)
    Revision:
      tla--devo--1.1--patch-287

    last minute 1.1 tweaks (jblack)
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-54
       Fixed typo in rbrowse command
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-55
       Fixed typo in help for rbrowse
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-56
       Replacing invariant in archive.c to change '/src/tla/libarch/archives.c:36:botched invariant' into a panic that gripes the archive name is invalid.
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-57
       Fixing cmd-archive-mirror help to represent the actual facts
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-58
       Star merged Tom
    

    modified files:
     ChangeLog libarch/archives.c libarch/cmd-archive-mirror.c
     libarch/cmd-rbrowse.c

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-54
     jblack@merconline.com--2003/tla--devo--1.1--patch-55
     jblack@merconline.com--2003/tla--devo--1.1--patch-56
     jblack@merconline.com--2003/tla--devo--1.1--patch-57
     jblack@merconline.com--2003/tla--devo--1.1--patch-58


2003-12-14 17:42:57 GMT	Tom Lord <lord@emf.net>	patch-286

    Summary:
      make sure diff and diff3 are good during config
    Revision:
      tla--devo--1.1--patch-286

    make sure diff and diff3 are good during config
    

    new files:
     PLUGIN/auto

    modified files:
     ChangeLog


2003-12-14 16:05:19 GMT	Tom Lord <lord@emf.net>	patch-285

    Summary:
      --links => --link
    Revision:
      tla--devo--1.1--patch-285

    --links => --link
    

    modified files:
     ChangeLog libarch/cmd-build-config.c libarch/cmd-get.c
     libarch/configs.c libarch/library-txn.c


2003-12-14 01:01:52 GMT	Tom Lord <lord@emf.net>	patch-284

    Summary:
      command line processing in star-merge (walters)
    Revision:
      tla--devo--1.1--patch-284

    command line processing in star-merge (walters)
    
    Patches applied:
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-57
       star-merge archive defaults to tree-version archive
    

    modified files:
     ChangeLog libarch/cmd-star-merge.c

    new patches:
     walters@verbum.org--2003/tla--mainline--1.1--patch-57


2003-12-14 00:57:17 GMT	Tom Lord <lord@emf.net>	patch-283

    Summary:
      no guessing at $EDITOR
    Revision:
      tla--devo--1.1--patch-283

    no guessing at $EDITOR
    

    modified files:
     ChangeLog libarch/cmd-commit.c libarch/editor.c


2003-12-14 00:51:36 GMT	Tom Lord <lord@emf.net>	patch-282

    Summary:
      $EDITOR support (walters, rbcollins)
    Revision:
      tla--devo--1.1--patch-282

    $EDITOR support (walters, rbcollins)
    
    Patches applied:
    
     * walters@verbum.org--2003/tla--lifeless-integration--1.1--patch-7
       use $EDITOR for "tla commit"
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-56
       pull $EDITOR on "tla commit" from lifeless-integration
    

    new files:
     libarch/editor.c libarch/editor.h

    modified files:
     ChangeLog libarch/cmd-commit.c

    new patches:
     walters@verbum.org--2003/tla--lifeless-integration--1.1--patch-7
     walters@verbum.org--2003/tla--mainline--1.1--patch-56


2003-12-14 00:38:04 GMT	Tom Lord <lord@emf.net>	patch-281

    Summary:
      undo command line parsing fix (walters)
    Revision:
      tla--devo--1.1--patch-281

    undo command line parsing fix (walters)
    
    Patches applied:
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-54
       use tree archive for undo shortcut (savannah #6541)
    

    modified files:
     ChangeLog libarch/cmd-undo.c tests/test-undo.sh

    new patches:
     walters@verbum.org--2003/tla--mainline--1.1--patch-54


2003-12-13 23:59:10 GMT	Tom Lord <lord@emf.net>	patch-280

    Summary:
      grab and rbrowse tweaks (jblack)
    Revision:
      tla--devo--1.1--patch-280

    grab and rbrowse tweaks (jblack)
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-50
       changed arguments for abrowse so that argv[1] is regex, added -a (all archives) option
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-51
       Set up rbrowse to ignore -SOURCE and -MIRROR archives
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-52
       Star merged Tom
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-53
       Fixed grab. It works with not-fully-qualified revisions now
    

    modified files:
     ChangeLog libarch/cmd-grab.c libarch/cmd-rbrowse.c

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-50
     jblack@merconline.com--2003/tla--devo--1.1--patch-51
     jblack@merconline.com--2003/tla--devo--1.1--patch-52
     jblack@merconline.com--2003/tla--devo--1.1--patch-53


2003-12-13 23:41:34 GMT	Tom Lord <lord@emf.net>	patch-279

    Summary:
      tla help and http_proxy fixes (miles)
    Revision:
      tla--devo--1.1--patch-279

    tla help and http_proxy fixes (miles)
    
    Patches applied:
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-55
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-56
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-57
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-58
       Swap `aliasness' of OP-id and OP commands
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-59
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-60
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-61
       Correctly handle missing trailing slash in http_proxy
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-62
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-63
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-64
       Merge from Tom
    

    modified files:
     ChangeLog libarch/cmds.c libarch/pfs-dav.c

    new patches:
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-55
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-56
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-57
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-58
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-59
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-60
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-61
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-62
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-63
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-64


2003-12-13 23:12:31 GMT	Tom Lord <lord@emf.net>	patch-278

    Summary:
      --hard-links => --links (Pau)
    Revision:
      tla--devo--1.1--patch-278

    --hard-links => --links (Pau)
    

    modified files:
     ChangeLog libarch/cmd-build-config.c libarch/cmd-get.c
     libarch/cmd-mv.c libarch/configs.c libarch/library-txn.c


2003-12-12 18:56:27 GMT	Tom Lord <lord@emf.net>	patch-277

    Summary:
      import will not make a pristine unless needed
    Revision:
      tla--devo--1.1--patch-277

    import will not make a pristine unless needed
    

    modified files:
     ChangeLog libarch/import.c libarch/local-cache.c
     libarch/local-cache.h


2003-12-12 18:20:10 GMT	Tom Lord <lord@emf.net>	patch-276

    Summary:
      get makes no pristine if the rev came from a library
    Revision:
      tla--devo--1.1--patch-276

    get makes no pristine if the rev came from a library
    

    modified files:
     ChangeLog libarch/build-revision.c libarch/build-revision.h
     libarch/cmd-get.c


2003-12-12 17:56:51 GMT	Tom Lord <lord@emf.net>	patch-275

    Summary:
      fix version sorting
    Revision:
      tla--devo--1.1--patch-275

    fix version sorting
    

    modified files:
     ChangeLog libarch/namespace.c tests/test-what-changed.sh


2003-12-12 17:08:46 GMT	Tom Lord <lord@emf.net>	patch-274

    Summary:
      cleanup patch-progress chattiness
    Revision:
      tla--devo--1.1--patch-274

    cleanup patch-progress chattiness
    

    modified files:
     ChangeLog libarch/cmd-get.c libarch/cmd-library-add.c
     libarch/cmd-replay.c libarch/library-txn.c
     libarch/library-txn.h libarch/local-cache.c libarch/replay.c
     libarch/replay.h


2003-12-12 16:46:25 GMT	Tom Lord <lord@emf.net>	patch-273

    Summary:
      cleanup chattiness of adding to greedy revlibs
    Revision:
      tla--devo--1.1--patch-273

    cleanup chattiness of adding to greedy revlibs
    

    modified files:
     ChangeLog libarch/cmd-changes.c libarch/cmd-update.c
     libarch/local-cache.c libarch/local-cache.h


2003-12-12 16:30:23 GMT	Tom Lord <lord@emf.net>	patch-272

    Summary:
      chatter code cleanups
    Revision:
      tla--devo--1.1--patch-272

    chatter code cleanups
    

    modified files:
     ChangeLog libarch/arbdelta.c libarch/build-revision.c
     libarch/commit.c libarch/library-txn.c libarch/local-cache.c
     libarch/replay.c libarch/undo.c


2003-12-12 04:02:05 GMT	Tom Lord <lord@emf.net>	patch-271

    Summary:
      rbrowse and grab fixes from jblack
    Revision:
      tla--devo--1.1--patch-271

    rbrowse and grab fixes from jblack
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-47
       Pulled in some changes for rbrowse -- default_archive was not null on init and archive name was printing too often
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-48
       Star merged Tom
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-49
       Fixed bug seperating uri from path in cmd-grab
    
     * jblack@merconline.com--2003/tla--rbrowse--1.1--patch-7
       Archive name printing too many times in rbrowse
    
     * jblack@merconline.com--2003/tla--rbrowse--1.1--patch-8
       Not setting default_archive to NULL during creation
    

    modified files:
     ChangeLog libarch/cmd-grab.c libarch/cmd-rbrowse.c

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-47
     jblack@merconline.com--2003/tla--devo--1.1--patch-48
     jblack@merconline.com--2003/tla--devo--1.1--patch-49
     jblack@merconline.com--2003/tla--rbrowse--1.1--patch-7
     jblack@merconline.com--2003/tla--rbrowse--1.1--patch-8


2003-12-12 02:10:12 GMT	Tom Lord <lord@emf.net>	patch-270

    Summary:
      rbrowse command (jblack)
    Revision:
      tla--devo--1.1--patch-270

    rbrowse command (jblack)
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-44
       star merged Tom lord
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-45
       Added rbrowse command
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-46
       Star merged Tom
    
     * jblack@merconline.com--2003/tla--rbrowse--1.1--base-0
       tag of jblack@merconline.com--2003/tla--devo--1.1--patch-44
    
     * jblack@merconline.com--2003/tla--rbrowse--1.1--patch-1
       Set up 'bare' template files for rbrowse
    
     * jblack@merconline.com--2003/tla--rbrowse--1.1--patch-2
       Pre-debugged version of rbrowse
    
     * jblack@merconline.com--2003/tla--rbrowse--1.1--patch-3
       rbrowse now compiles cleanly
    
     * jblack@merconline.com--2003/tla--rbrowse--1.1--patch-4
       Integrated rbrowse with cmds.c
    
     * jblack@merconline.com--2003/tla--rbrowse--1.1--patch-5
       Ok. Can now abrowse everything, but regexes don't work quite yet
    
     * jblack@merconline.com--2003/tla--rbrowse--1.1--patch-6
       rbrowse works\! rbrowse works\!
    

    new files:
     libarch/cmd-rbrowse.c libarch/cmd-rbrowse.h

    modified files:
     ChangeLog libarch/cmds.c
     {arch}/tla/tla--devo/tla--devo--1.1/jblack@merconline.com--2003/patch-log/patch-43

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-44
     jblack@merconline.com--2003/tla--devo--1.1--patch-45
     jblack@merconline.com--2003/tla--devo--1.1--patch-46
     jblack@merconline.com--2003/tla--rbrowse--1.1--base-0
     jblack@merconline.com--2003/tla--rbrowse--1.1--patch-1
     jblack@merconline.com--2003/tla--rbrowse--1.1--patch-2
     jblack@merconline.com--2003/tla--rbrowse--1.1--patch-3
     jblack@merconline.com--2003/tla--rbrowse--1.1--patch-4
     jblack@merconline.com--2003/tla--rbrowse--1.1--patch-5
     jblack@merconline.com--2003/tla--rbrowse--1.1--patch-6


2003-12-12 02:01:04 GMT	Tom Lord <lord@emf.net>	patch-269

    Summary:
      add missing #include to cmd-grab.c
    Revision:
      tla--devo--1.1--patch-269

    add missing #include to cmd-grab.c
    

    modified files:
     ChangeLog libarch/cmd-grab.c


2003-12-12 01:47:04 GMT	Tom Lord <lord@emf.net>	patch-268

    Summary:
      (rejecting jblack patch-43) keep HTTP_PROXY
    Revision:
      tla--devo--1.1--patch-268

    (rejecting jblack patch-43) keep HTTP_PROXY
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-43
       Backed out HTTP_PROXY patch pulled in from tla--devo-smallpatches-patch-2
    

    modified files:
     ChangeLog

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-43


2003-12-12 01:41:59 GMT	Tom Lord <lord@emf.net>	patch-267

    Summary:
      in grab, register archives (jblack)
    Revision:
      tla--devo--1.1--patch-267

    in grab, register archives (jblack)
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-42
       Fixing tla grab so that archives are registered once sources are grabbed
    

    modified files:
     ChangeLog libarch/cmd-grab.c

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-42


2003-12-12 01:37:46 GMT	Tom Lord <lord@emf.net>	patch-266

    Summary:
      archive_set_location quietly_fail param for grab (jblack)
    Revision:
      tla--devo--1.1--patch-266

    archive_set_location quietly_fail param for grab (jblack)
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-41
       Added quietly_fail option to arch_set_archive_location
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archives.c
     libarch/archives.h libarch/cmd-register-archive.c
     libarch/pfs.c

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-41


2003-12-12 01:32:32 GMT	Tom Lord <lord@emf.net>	patch-265

    Summary:
      smallfixes (HTTP_PROXY, more archives filters, grab foo) (jblack)
    Revision:
      tla--devo--1.1--patch-265

    smallfixes (HTTP_PROXY, more archives filters, grab foo) (jblack)
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-38
       Star merged from Tom
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-39
       Star-merged Tom
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-40
       Pulled in small patches
    
     * jblack@merconline.com--2003/tla--devo-smallpatches--1.1--base-0
       tag of jblack@merconline.com--2003/tla--devo--1.1--patch-39
    
     * jblack@merconline.com--2003/tla--devo-smallpatches--1.1--patch-1
       Added -R (exclude -MIRRORS and -SOURCE) option\ to tla archives
    
     * jblack@merconline.com--2003/tla--devo-smallpatches--1.1--patch-2
       Changed pfs_dav to handle HTTP_PROXY in addition to http_proxy
    
     * jblack@merconline.com--2003/tla--devo-smallpatches--1.1--patch-3
       Added pfs support for tla grab
    

    modified files:
     ChangeLog libarch/cmd-archives.c libarch/cmd-grab.c
     libarch/pfs-dav.c

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-38
     jblack@merconline.com--2003/tla--devo--1.1--patch-39
     jblack@merconline.com--2003/tla--devo--1.1--patch-40
     jblack@merconline.com--2003/tla--devo-smallpatches--1.1--base-0
     jblack@merconline.com--2003/tla--devo-smallpatches--1.1--patch-1
     jblack@merconline.com--2003/tla--devo-smallpatches--1.1--patch-2
     jblack@merconline.com--2003/tla--devo-smallpatches--1.1--patch-3


2003-12-12 00:49:10 GMT	Tom Lord <lord@emf.net>	patch-264

    Summary:
      fix inventory --nested behavior and an obscure inventory bug ("foo{arch}")
    Revision:
      tla--devo--1.1--patch-264

    fix inventory --nested behavior and an obscure inventory bug ("foo{arch}")
    

    modified files:
     ChangeLog libarch/inv-ids.c libarch/invent.c


2003-12-11 23:16:41 GMT	Tom Lord <lord@emf.net>	patch-263

    Summary:
      add inode-sig verification to pristine trees
    Revision:
      tla--devo--1.1--patch-263

    add inode-sig verification to pristine trees
    

    modified files:
     ChangeLog libarch/pristines.c


2003-12-11 01:02:54 GMT	Tom Lord <lord@emf.net>	patch-262

    Summary:
      bugfixes (coding style, avoiding pristines) from rbtcollins
    Revision:
      tla--devo--1.1--patch-262

    bugfixes (coding style, avoiding pristines) from rbtcollins
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-37
       merge with lord@emf.net--2003b/tla--devo--1.1
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-38
       merge with lord@emf.net--2003b/tla--devo--1.1
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-39
       use str_cmp not strcmp in inode_sig code
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-40
       fix logic error in local copy location
    

    modified files:
     ChangeLog libarch/inode-sig.c libarch/local-cache.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-37
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-38
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-39
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-40


2003-12-08 05:08:37 GMT	Tom Lord <lord@emf.net>	patch-261

    Summary:
      fix buildcfg -r --hard-links
    Revision:
      tla--devo--1.1--patch-261

    fix buildcfg -r --hard-links
    

    modified files:
     ChangeLog libarch/configs.c


2003-12-06 17:38:54 GMT	Tom Lord <lord@emf.net>	patch-260

    Summary:
      further inode-sig pruning improvement
    Revision:
      tla--devo--1.1--patch-260

    further inode-sig pruning improvement
    

    modified files:
     ChangeLog libarch/inode-sig.c


2003-12-06 17:33:40 GMT	Tom Lord <lord@emf.net>	patch-259

    Summary:
      inode-sig bug fix (rbtcollins)
    Revision:
      tla--devo--1.1--patch-259

    inode-sig bug fix (rbtcollins)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-34
       sync up with Tom
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-35
       merge with lord@emf.net--2003b/tla--devo--1.1
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-36
       fix race condition in library-add due to ctime tests in inode pruning
    

    modified files:
     ChangeLog libarch/inode-sig.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-34
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-35
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-36


2003-12-06 03:01:11 GMT	Tom Lord <lord@emf.net>	patch-258

    Summary:
      fix FIXME notations
    Revision:
      tla--devo--1.1--patch-258

    fix FIXME notations
    

    modified files:
     ChangeLog libarch/cmd-library-remove.c libarch/local-cache.c


2003-12-06 01:39:43 GMT	Tom Lord <lord@emf.net>	patch-257

    Summary:
      honor library sparseness property by default
    Revision:
      tla--devo--1.1--patch-257

    honor library sparseness property by default
    

    modified files:
     ChangeLog libarch/cmd-get.c libarch/cmd-library-add.c
     libarch/library-txn.c libarch/local-cache.c


2003-12-06 01:20:39 GMT	Tom Lord <lord@emf.net>	patch-256

    Summary:
      add library sparseness property
    Revision:
      tla--devo--1.1--patch-256

    add library sparseness property
    

    modified files:
     ChangeLog libarch/cmd-library-config.c libarch/libraries.c
     libarch/libraries.h


2003-12-06 00:54:22 GMT	Tom Lord <lord@emf.net>	patch-255

    Summary:
      add library-config command
    Revision:
      tla--devo--1.1--patch-255

    add library-config command
    

    new files:
     libarch/cmd-library-config.c libarch/cmd-library-config.h

    modified files:
     ChangeLog libarch/cmds.c libarch/libraries.c
     libarch/libraries.h libarch/local-cache.c


2003-12-06 00:17:00 GMT	Tom Lord <lord@emf.net>	patch-254

    Summary:
      get --hard-links adds librevs to same-dev libs
    Revision:
      tla--devo--1.1--patch-254

    get --hard-links adds librevs to same-dev libs
    

    modified files:
     ChangeLog libarch/cmd-get.c libarch/library-txn.c


2003-12-05 23:19:36 GMT	Tom Lord <lord@emf.net>	patch-253

    Summary:
      --library and --for-links options to library-add
    Revision:
      tla--devo--1.1--patch-253

    --library and --for-links options to library-add
    

    modified files:
     ChangeLog libarch/cmd-library-add.c libarch/library-txn.c


2003-12-05 22:52:38 GMT	Tom Lord <lord@emf.net>	patch-252

    Summary:
      use arch_library_add_choice in arch_library_add
    Revision:
      tla--devo--1.1--patch-252

    use arch_library_add_choice in arch_library_add
    

    modified files:
     ChangeLog libarch/cmd-get.c libarch/cmd-library-add.c
     libarch/libraries.c libarch/libraries.h libarch/library-txn.c
     libarch/library-txn.h


2003-12-05 22:28:06 GMT	Tom Lord <lord@emf.net>	patch-251

    Summary:
      coded arch_library_add_choice to figure out where to add librevs
    Revision:
      tla--devo--1.1--patch-251

    coded arch_library_add_choice to figure out where to add librevs
    

    new files:
     libfsutils/same.c libfsutils/same.h

    modified files:
     ChangeLog libarch/build-revision.c libarch/cmd-get.c
     libarch/cmd-library-find.c libarch/cmd-library-remove.c
     libarch/libraries.c libarch/libraries.h libarch/library-txn.c
     libarch/library-txn.h libarch/local-cache.c


2003-12-05 20:57:59 GMT	Tom Lord <lord@emf.net>	patch-250

    Summary:
      add comments to arch_library_add
    Revision:
      tla--devo--1.1--patch-250

    add comments to arch_library_add
    

    modified files:
     ChangeLog libarch/library-txn.c


2003-12-05 19:06:10 GMT	Tom Lord <lord@emf.net>	patch-249

    Summary:
      update my-revision-library for paths
    Revision:
      tla--devo--1.1--patch-249

    update my-revision-library for paths
    

    modified files:
     ChangeLog libarch/cmd-my-revision-library.c libarch/my.c
     libarch/my.h


2003-12-05 18:36:25 GMT	Tom Lord <lord@emf.net>	patch-248

    Summary:
      my-revision-library print functionality for paths
    Revision:
      tla--devo--1.1--patch-248

    my-revision-library print functionality for paths
    

    modified files:
     ChangeLog libarch/cmd-get.c libarch/cmd-library-add.c
     libarch/cmd-my-revision-library.c libarch/libraries.c
     libarch/my.c libarch/my.h


2003-12-05 01:33:25 GMT	Tom Lord <lord@emf.net>	patch-247

    Summary:
      fix library-add
    Revision:
      tla--devo--1.1--patch-247

    fix library-add
    

    modified files:
     ChangeLog libarch/libraries.c libarch/libraries.h
     libarch/library-txn.c


2003-12-05 01:09:19 GMT	Tom Lord <lord@emf.net>	patch-246

    Summary:
      library-find and friends search the library path
    Revision:
      tla--devo--1.1--patch-246

    library-find and friends search the library path
    

    modified files:
     ChangeLog libarch/libraries.c libarch/library-txn.c


2003-12-04 23:25:49 GMT	Tom Lord <lord@emf.net>	patch-245

    Summary:
      library-revisions searches the library path
    Revision:
      tla--devo--1.1--patch-245

    library-revisions searches the library path
    

    modified files:
     ChangeLog libarch/libraries.c


2003-12-04 23:01:49 GMT	Tom Lord <lord@emf.net>	patch-244

    Summary:
      library-versions searches the library path
    Revision:
      tla--devo--1.1--patch-244

    library-versions searches the library path
    

    modified files:
     ChangeLog libarch/libraries.c


2003-12-04 22:00:28 GMT	Tom Lord <lord@emf.net>	patch-243

    Summary:
      library-branches searches the library path
    Revision:
      tla--devo--1.1--patch-243

    library-branches searches the library path
    

    modified files:
     ChangeLog libarch/libraries.c


2003-12-04 21:43:44 GMT	Tom Lord <lord@emf.net>	patch-242

    Summary:
      library-categories searches the path
    Revision:
      tla--devo--1.1--patch-242

    library-categories searches the path
    

    modified files:
     ChangeLog libarch/libraries.c


2003-12-04 21:16:21 GMT	Tom Lord <lord@emf.net>	patch-241

    Summary:
      tla library-archives reports a path
    Revision:
      tla--devo--1.1--patch-241

    tla library-archives reports a path
    

    modified files:
     ChangeLog libarch/libraries.c


2003-12-04 21:06:01 GMT	Tom Lord <lord@emf.net>	patch-240

    Summary:
      arch_my_default_library => arch_my_library_path
    Revision:
      tla--devo--1.1--patch-240

    arch_my_default_library => arch_my_library_path
    

    modified files:
     ChangeLog libarch/cmd-get.c libarch/cmd-library-add.c
     libarch/cmd-my-revision-library.c libarch/libraries.c
     libarch/libraries.h libarch/my.c libarch/my.h


2003-12-03 23:10:27 GMT	Tom Lord <lord@emf.net>	patch-239

    Summary:
      fix tree-lint -t
    Revision:
      tla--devo--1.1--patch-239

    fix tree-lint -t
    

    modified files:
     ChangeLog libarch/inv-ids.c libarch/proj-tree-lint.c


2003-12-03 14:57:25 GMT	Tom Lord <lord@emf.net>	patch-238

    Summary:
      merge http_proxy fix
    Revision:
      tla--devo--1.1--patch-238

    merge http_proxy fix
    
    Patches applied:
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-25
       fix library-file and file-{find,diffs} for untagged files
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-26
       add function arch_tree_file_relpath
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-27
       use arch_tree_file_relpath
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-28
       bugfix for #5554 from gnubert. May assist with #5635.
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-31
       sync up with lord@emf.net--2003b/tla--devo--1.1
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-32
       sync up completely to Tom
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-33
       Fix the fixed http_proxy support
    

    modified files:
     ChangeLog libarch/pfs-dav.c

    new patches:
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-25
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-26
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-27
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-28
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-31
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-32
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-33


2003-12-01 18:54:44 GMT	Tom Lord <lord@emf.net>	patch-237

    Summary:
      separate hook for tmp pristines
    Revision:
      tla--devo--1.1--patch-237

    separate hook for tmp pristines
    

    modified files:
     ChangeLog libarch/local-cache.c


2003-12-01 18:24:46 GMT	Tom Lord <lord@emf.net>	patch-236

    Summary:
      fix log glitch in integration branch
    Revision:
      tla--devo--1.1--patch-236

    fix log glitch in integration branch
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-30
       reinstate logs removed during faulty merge with rbtcollins@hotmail.com--barch/tla--devo--1.1
    

    modified files:
     ChangeLog

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--base-0
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-1
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-30


2003-12-01 18:19:51 GMT	Tom Lord <lord@emf.net>	patch-235

    Summary:
      fix library-file bug (replaces integration patch-28)
    Revision:
      tla--devo--1.1--patch-235

    fix library-file bug (replaces integration patch-28)
    

    modified files:
     ChangeLog libarch/inv-ids.c


2003-12-01 18:05:19 GMT	Tom Lord <lord@emf.net>	patch-234

    Summary:
      added find-pristine and make-pristine hooks
    Revision:
      tla--devo--1.1--patch-234

    added find-pristine and make-pristine hooks
    

    modified files:
     ChangeLog libarch/cmd-update.c libarch/local-cache.c
     libarch/local-cache.h


2003-12-01 17:51:58 GMT	Tom Lord <lord@emf.net>	patch-233

    Summary:
      buildcfg --sparse and --library options
    Revision:
      tla--devo--1.1--patch-233

    buildcfg --sparse and --library options
    

    modified files:
     ChangeLog libarch/cmd-build-config.c libarch/configs.c
     libarch/configs.h


2003-12-01 17:31:15 GMT	Tom Lord <lord@emf.net>	patch-232

    Summary:
      add --library option to get
    Revision:
      tla--devo--1.1--patch-232

    add --library option to get
    

    modified files:
     ChangeLog libarch/cmd-get.c


2003-12-01 17:16:28 GMT	Tom Lord <lord@emf.net>	patch-231

    Summary:
      make get --hard-links more verbose
    Revision:
      tla--devo--1.1--patch-231

    make get --hard-links more verbose
    

    modified files:
     ChangeLog libarch/cmd-get.c


2003-12-01 17:10:57 GMT	Tom Lord <lord@emf.net>	patch-230

    Summary:
      when --hard-linking, link only to source files
    Revision:
      tla--devo--1.1--patch-230

    when --hard-linking, link only to source files
    

    modified files:
     ChangeLog libarch/cmd-get.c libfsutils/link-tree.c
     libfsutils/link-tree.h


2003-12-01 16:38:56 GMT	Tom Lord <lord@emf.net>	patch-229

    Summary:
      add --hardlinks option to buildcfg
    Revision:
      tla--devo--1.1--patch-229

    add --hardlinks option to buildcfg
    

    modified files:
     ChangeLog libarch/cmd-build-config.c libarch/configs.c
     libarch/configs.h


2003-12-01 16:24:22 GMT	Tom Lord <lord@emf.net>	patch-228

    Summary:
      get --hard-links implies --no-pristine
    Revision:
      tla--devo--1.1--patch-228

    get --hard-links implies --no-pristine
    

    modified files:
     ChangeLog libarch/cmd-get.c


2003-12-01 16:19:46 GMT	Tom Lord <lord@emf.net>	patch-227

    Summary:
      coding standards fix in cmd-get
    Revision:
      tla--devo--1.1--patch-227

    coding standards fix in cmd-get
    

    modified files:
     ChangeLog libarch/cmd-get.c


2003-12-01 16:14:05 GMT	Tom Lord <lord@emf.net>	patch-226

    Summary:
      fix compiler warnings and bugs in --hard-links
    Revision:
      tla--devo--1.1--patch-226

    fix compiler warnings and bugs in --hard-links
    

    modified files:
     ChangeLog libarch/cmd-get.c


2003-12-01 16:01:28 GMT	Tom Lord <lord@emf.net>	patch-225

    Summary:
      hardlinks ahck (Pau via Rob)
    Revision:
      tla--devo--1.1--patch-225

    hardlinks ahck (Pau via Rob)
    
    Patches applied:
    
     * linuxnow@newtral.org--arch-2003/tla--devo--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-187
    
     * linuxnow@newtral.org--arch-2003/tla--devo--1.1--patch-1
       Add --hard-links option to get
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-26
       merge pau's hardlink get option
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-24
       merge in tla get --hardlinks (bug 5644)
    

    modified files:
     ChangeLog libarch/cmd-get.c

    new patches:
     linuxnow@newtral.org--arch-2003/tla--devo--1.1--base-0
     linuxnow@newtral.org--arch-2003/tla--devo--1.1--patch-1
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-26
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-24


2003-12-01 04:43:36 GMT	Tom Lord <lord@emf.net>	patch-224

    Summary:
      make inode-sig verification upward compatible
    Revision:
      tla--devo--1.1--patch-224

    make inode-sig verification upward compatible
    

    modified files:
     ChangeLog libarch/inode-sig.c


2003-12-01 04:34:00 GMT	Tom Lord <lord@emf.net>	patch-223

    Summary:
      inode signature verification (rbtcollins)
    Revision:
      tla--devo--1.1--patch-223

    inode signature verification (rbtcollins)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-20
       merge with Tom
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-21
       merge from tom
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-23
       remove accidentally added diff
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-24
       pull down the stuff from integration
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-25
       pull down more integration stuff
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-27
       verify library inode signatures in library_find
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-28
       spew a meaningful error on corrupt library revisions
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-29
       Warn on missing inode signatures in library revisions
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-30
       inode verification may be used on more than libraries - update the warning on missing signatures
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-31
       don't include ctime in inode signatures
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-23
       merge in inode signature verification for library revisions
    

    modified files:
     ChangeLog libarch/inode-sig.c libarch/inode-sig.h
     libarch/libraries.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-20
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-21
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-23
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-24
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-25
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-27
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-28
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-29
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-30
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-31
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-23


2003-11-25 19:00:25 GMT	Tom Lord <lord@emf.net>	patch-222

    Summary:
      commit for log sync
    Revision:
      tla--devo--1.1--patch-222

    commit for log sync
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-18
       update to Tom's leading edge
    

    modified files:
     ChangeLog

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-18


2003-11-25 18:51:23 GMT	Tom Lord <lord@emf.net>	patch-221

    Summary:
      untagged-source default -- unrecognized ==> precious (walters)
    Revision:
      tla--devo--1.1--patch-221

    untagged-source default -- unrecognized ==> precious (walters)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-16
       merge untagged-source default change from Colin Walters
    
     * walters@verbum.org--2003/tla--lifeless-integration--1.1--patch-3
       make default untagged-source be precious
    

    modified files:
     ChangeLog libarch/invent.c tests/test-inventory.sh

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-16
     walters@verbum.org--2003/tla--lifeless-integration--1.1--patch-3


2003-11-25 17:58:58 GMT	Tom Lord <lord@emf.net>	patch-220

    Summary:
      some coding standard cleanups
    Revision:
      tla--devo--1.1--patch-220

    some coding standard cleanups
    

    modified files:
     ChangeLog libarch/changeset-report.c libarch/invent.c
     libawk/relational.c


2003-11-25 17:33:21 GMT	Tom Lord <lord@emf.net>	patch-219

    Summary:
      eliminate fixed tag for .arch-inventory
    Revision:
      tla--devo--1.1--patch-219

    eliminate fixed tag for .arch-inventory
    

    modified files:
     ChangeLog libarch/inv-ids.c libarch/invent.c
     tests/test-dir-regexps.sh


2003-11-25 16:32:35 GMT	Tom Lord <lord@emf.net>	patch-218

    Summary:
      simplify a conditional in inv-ids.c(file_id)
    Revision:
      tla--devo--1.1--patch-218

    simplify a conditional in inv-ids.c(file_id)
    

    modified files:
     ChangeLog libarch/inv-ids.c


2003-11-25 16:19:17 GMT	Tom Lord <lord@emf.net>	patch-217

    Summary:
      merge .arch-inventory and multi-line regexp (robin, walters)
    Revision:
      tla--devo--1.1--patch-217

    merge .arch-inventory and multi-line regexp (robin, walters)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-2
       merge in Robine Farrine's per directory regexps
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-5
       test Robin's per dir regexps for regex relaxation
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-6
       merge in Colin Walters multiple-regexexp support
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-7
       Add a entry for the multiple entries in =tagging-method patch from walters
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-9
       update dir regexps test case to show the expected way of overriding a single file
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-10
       merge in updated test syntax from Robin
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-11
       sync-tree with robin.farine@terminus.org--arch-2003/tla--rnf--1.1
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-7
       merge from lord@emf.net--2003b
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-8
       support for per-directory categorization regexps
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-9
       merge from lord@emf.net--2003b
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-10
       name inventory ids for ".arch-inventory" files
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-11
       test case for per-directory regexps
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-12
       fine tune local regexps test case
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-38
       [tests] first cut at some inventory tests
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-39
       implement multiline inventory regexps
    

    new files:
     tests/test-dir-regexps.sh tests/test-inventory.sh

    modified files:
     =THANKS ChangeLog libarch/inv-ids.c libarch/invent.c
     libarch/invent.h tests/Makefile.in

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-2
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-5
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-6
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-7
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-9
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-10
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-11
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-7
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-8
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-9
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-10
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-11
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-12
     walters@verbum.org--2003/tla--mainline--1.1--patch-38
     walters@verbum.org--2003/tla--mainline--1.1--patch-39


2003-11-24 23:54:37 GMT	Tom Lord <lord@emf.net>	patch-216

    Summary:
      =THANKS updates from rob
    Revision:
      tla--devo--1.1--patch-216

    =THANKS updates from rob
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-3
       Add Robin Farine to the =THANKS file
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-17
       update \=THANKS
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-21
       update =THANKS
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-27
       update \=THANKS
    

    modified files:
     =THANKS ChangeLog

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-3
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-17
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-21
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-27


2003-11-24 23:48:04 GMT	Tom Lord <lord@emf.net>	patch-215

    Summary:
      mem leak fix (Nuno Ferreira)
    Revision:
      tla--devo--1.1--patch-215

    mem leak fix (Nuno Ferreira)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-26
       merge Nuno Ferreira's mem leak fix.
    
     * roberto@eu.org--2003b/tla-current--roberto--1.1--patch-5
       Apply bug #6678 diff which plugs some memory leaks
    

    modified files:
     ChangeLog libarch/changeset-report.c libarch/inode-sig.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-26
     roberto@eu.org--2003b/tla-current--roberto--1.1--patch-5


2003-11-24 23:32:51 GMT	Tom Lord <lord@emf.net>	patch-214

    Summary:
      log-syncing commit (redundent fix in integration branch)
    Revision:
      tla--devo--1.1--patch-214

    log-syncing commit (redundent fix in integration branch)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-25
       merge a Wall fix in pfs-dav.c from walters
    
     * walters@verbum.org--2003/tla--lifeless-integration--1.1--patch-6
       fix unused variable
    

    modified files:
     ChangeLog

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-25
     walters@verbum.org--2003/tla--lifeless-integration--1.1--patch-6


2003-11-24 23:26:27 GMT	Tom Lord <lord@emf.net>	patch-213

    Summary:
      fix for a fix for a fix in sftp (srp, issue#5887)
    Revision:
      tla--devo--1.1--patch-213

    fix for a fix for a fix in sftp (srp, issue#5887)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-22
       merge Scott Parish's fix for a fix for a fix in sftp (bug 5887)
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-13
       merge with lord
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-14
       fixed 2 bugs in parsing sftp port url
    

    modified files:
     ChangeLog libarch/pfs-sftp.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-22
     software@srparish.net--2003tla/tla--devo--1.1--patch-13
     software@srparish.net--2003tla/tla--devo--1.1--patch-14


2003-11-24 23:03:10 GMT	Tom Lord <lord@emf.net>	patch-212

    Summary:
      fixups to cmd-mv (fix stale debugging printf and formatting)
    Revision:
      tla--devo--1.1--patch-212

    fixups to cmd-mv (fix stale debugging printf and formatting)
    

    modified files:
     ChangeLog libarch/cmd-mv.c


2003-11-24 22:57:33 GMT	Tom Lord <lord@emf.net>	patch-211

    Summary:
      make tla move X Y a_dir work (duchier, issue#5792)
    Revision:
      tla--devo--1.1--patch-211

    make tla move X Y a_dir work (duchier, issue#5792)
    
    Patches applied:
    
     * duchier@loria.home--gnuarch/tla--improvements--1.1--patch-1
       generalize mv to multiple args
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-20
       merge in duchier's bug 5792 work - tla move X Y a_dir
    

    modified files:
     ChangeLog libarch/cmd-mv.c

    new patches:
     duchier@loria.home--gnuarch/tla--improvements--1.1--patch-1
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-20


2003-11-24 22:37:15 GMT	Tom Lord <lord@emf.net>	patch-210

    Summary:
      fix undo/redo latest-,,undo scan (gnubert)
    Revision:
      tla--devo--1.1--patch-210

    fix undo/redo latest-,,undo scan (gnubert)
    
    Patches applied:
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-23
       fix arch_latest_undo_changeset
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-19
       merge in gnubert's fix for undo/redo with unsorted directories
    

    modified files:
     ChangeLog libarch/undo.c

    new patches:
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-23
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-19


2003-11-24 20:04:02 GMT	Tom Lord <lord@emf.net>	patch-209

    Summary:
      add .swp to default backup regexp (walters, vim-friendly, 6540)
    Revision:
      tla--devo--1.1--patch-209

    add .swp to default backup regexp (walters, vim-friendly, 6540)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-15
       merge walters .swp file addition to the default backup regex - bug 6540
    
     * walters@verbum.org--2003/tla--lifeless-integration--1.1--base-0
       tag of rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-14
    
     * walters@verbum.org--2003/tla--lifeless-integration--1.1--patch-1
       add vim .swp files to default backup regexp
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-48
       add vim ".swp "files to default backup regexp
    

    modified files:
     ChangeLog libarch/invent.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-15
     walters@verbum.org--2003/tla--lifeless-integration--1.1--base-0
     walters@verbum.org--2003/tla--lifeless-integration--1.1--patch-1
     walters@verbum.org--2003/tla--mainline--1.1--patch-48


2003-11-24 19:55:25 GMT	Tom Lord <lord@emf.net>	patch-208

    Summary:
      undo can accept just a patch level name (waltes, issue#6541)
    Revision:
      tla--devo--1.1--patch-208

    undo can accept just a patch level name (waltes, issue#6541)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-14
       merge walters undo heuristic to look at the current tree version if handed just a patch-X specifier - bug 6541
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-50
       undo: allow specifying just a patch level
    

    modified files:
     ChangeLog libarch/cmd-undo.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-14
     walters@verbum.org--2003/tla--mainline--1.1--patch-50


2003-11-24 19:44:24 GMT	Tom Lord <lord@emf.net>	patch-207

    Summary:
      fix star-merge arg-parsing bug and formatting
    Revision:
      tla--devo--1.1--patch-207

    fix star-merge arg-parsing bug and formatting
    

    modified files:
     ChangeLog libarch/cmd-star-merge.c


2003-11-24 19:31:49 GMT	Tom Lord <lord@emf.net>	patch-206

    Summary:
      star-merge -- tree-version is default FROM (walters, issue#6539)
    Revision:
      tla--devo--1.1--patch-206

    star-merge -- tree-version is default FROM (walters, issue#6539)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-13
       merge walters star-merge heuristic to use the current category--branch--version in matching remote archive - bug 6539
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-49
       star-merge can default to TO revision 
    

    modified files:
     ChangeLog libarch/cmd-star-merge.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-13
     walters@verbum.org--2003/tla--mainline--1.1--patch-49


2003-11-24 19:13:11 GMT	Tom Lord <lord@emf.net>	patch-205

    Summary:
      merge walters DAV NULL CWD bugfix - bug 6189
    Revision:
      tla--devo--1.1--patch-205

    merge walters DAV NULL CWD bugfix - bug 6189
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-12
       merge walters DAV NULL CWD bugfix - bug 6189
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-46
       DAV: use / for cwd if none is set
    

    modified files:
     ChangeLog libarch/pfs-dav.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-12
     walters@verbum.org--2003/tla--mainline--1.1--patch-46


2003-11-24 18:40:07 GMT	Tom Lord <lord@emf.net>	patch-204

    Summary:
      http_proxy bugfix (Erik de Castro Lopo + tweaks)
    Revision:
      tla--devo--1.1--patch-204

    http_proxy bugfix (Erik de Castro Lopo + tweaks)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-8
       apply Erik de Castro Lopo's http_proxy bugfix
    

    modified files:
     =THANKS ChangeLog libarch/pfs-dav.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-8


2003-11-24 16:31:30 GMT	Tom Lord <lord@emf.net>	patch-203

    Summary:
      --skip-present bug fix [issue#5414]
    Revision:
      tla--devo--1.1--patch-203

    --skip-present bug fix [issue#5414]
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-4
       apply bug 5414 fix from savannah
    

    modified files:
     ChangeLog libarch/missing.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-4


2003-11-24 03:09:30 GMT	Tom Lord <lord@emf.net>	patch-202

    Summary:
      fix formatting and warnings re precommit hook
    Revision:
      tla--devo--1.1--patch-202

    fix formatting and warnings re precommit hook
    

    modified files:
     ChangeLog libarch/commit.c


2003-11-24 03:00:04 GMT	Tom Lord <lord@emf.net>	patch-201

    Summary:
      precommit hook (eric via rbcollins)
    Revision:
      tla--devo--1.1--patch-201

    precommit hook (eric via rbcollins)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-22
       apply Eric's precommit hook patch
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-198
    
     * rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-1
       merge in eric's precommit patch
    

    modified files:
     ChangeLog libarch/commit.c libarch/hooks.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-22
     rbtcollins@hotmail.com--barch/tla--integration--1.1--base-0
     rbtcollins@hotmail.com--barch/tla--integration--1.1--patch-1


2003-11-13 20:45:44 GMT	Tom Lord <lord@emf.net>	patch-200

    Summary:
      sparse lib foo from paulinux (plus interface change)
    Revision:
      tla--devo--1.1--patch-200

    sparse lib foo from paulinux (plus interface change)
    
    Patches applied:
    
     * linuxnow@newtral.org--arch-2003/tla--devo--1.1--patch-4
       Implement full working version of sparse libraries
    
     * linuxnow@newtral.org--arch-2003/tla--devo--1.1--patch-5
       Fix bugs in sparse revision libraries
    

    modified files:
     ChangeLog libarch/cmd-library-add.c libarch/library-txn.c
     libarch/library-txn.h

    new patches:
     linuxnow@newtral.org--arch-2003/tla--devo--1.1--patch-4
     linuxnow@newtral.org--arch-2003/tla--devo--1.1--patch-5


2003-11-13 19:05:41 GMT	Tom Lord <lord@emf.net>	patch-199

    Summary:
      merge from miles (command name foo)
    Revision:
      tla--devo--1.1--patch-199

    merge from miles (command name foo)
    
    Patches applied:
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-46
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-47
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-48
       Set the deprecated bit on some more command aliases
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-49
       Update internal names to reflect command renamings
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-50
       Rename "do-changeset" command to "apply-changeset"
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-51
       Rename "get-patch" command to "get-changeset"
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-52
       Use -3 as the short option for --three-way, instead of -t
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-53
       Revert miles@gnu.org--gnu-2003/tla--devo--1.1--patch-52
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-54
       Merge from Tom
    

    modified files:
     ChangeLog libarch/cmd-apply-changeset.c
     libarch/cmd-apply-changeset.h libarch/cmd-apply-delta.c
     libarch/cmd-apply-delta.h libarch/cmd-archives.c
     libarch/cmd-archives.h libarch/cmd-build-config.c
     libarch/cmd-build-config.h libarch/cmd-cacherev.c
     libarch/cmd-cat-config.c libarch/cmd-cat-config.h
     libarch/cmd-changeset.c libarch/cmd-commit.c
     libarch/cmd-commit.h libarch/cmd-delta.c libarch/cmd-delta.h
     libarch/cmd-get-changeset.c libarch/cmd-get-changeset.h
     libarch/cmd-get.c libarch/cmd-get.h libarch/cmd-import.c
     libarch/cmd-import.h libarch/cmd-inventory.c
     libarch/cmd-inventory.h libarch/cmd-pristines.c
     libarch/cmd-pristines.h libarch/cmd-redo.c libarch/cmd-redo.h
     libarch/cmd-tag.c libarch/cmd-tag.h libarch/cmd-undo.c
     libarch/cmd-undo.h libarch/cmd-update.c libarch/cmds.c
     libarch/configs.c libarch/inv-ids.c

    renamed files:
     libarch/cmd-buildcfg.c
       ==> libarch/cmd-build-config.c
     libarch/cmd-buildcfg.h
       ==> libarch/cmd-build-config.h
     libarch/cmd-cfgcat.c
       ==> libarch/cmd-cat-config.c
     libarch/cmd-cfgcat.h
       ==> libarch/cmd-cat-config.h
     libarch/cmd-cmtrev.c
       ==> libarch/cmd-commit.c
     libarch/cmd-cmtrev.h
       ==> libarch/cmd-commit.h
     libarch/cmd-deltapatch.c
       ==> libarch/cmd-apply-delta.c
     libarch/cmd-deltapatch.h
       ==> libarch/cmd-apply-delta.h
     libarch/cmd-do-changeset.c
       ==> libarch/cmd-apply-changeset.c
     libarch/cmd-do-changeset.h
       ==> libarch/cmd-apply-changeset.h
     libarch/cmd-get-patch.c
       ==> libarch/cmd-get-changeset.c
     libarch/cmd-get-patch.h
       ==> libarch/cmd-get-changeset.h
     libarch/cmd-getrev.c
       ==> libarch/cmd-get.c
     libarch/cmd-getrev.h
       ==> libarch/cmd-get.h
     libarch/cmd-imprev.c
       ==> libarch/cmd-import.c
     libarch/cmd-imprev.h
       ==> libarch/cmd-import.h
     libarch/cmd-ls-archives.c
       ==> libarch/cmd-archives.c
     libarch/cmd-ls-archives.h
       ==> libarch/cmd-archives.h
     libarch/cmd-ls-pristines.c
       ==> libarch/cmd-pristines.c
     libarch/cmd-ls-pristines.h
       ==> libarch/cmd-pristines.h
     libarch/cmd-redo-changes.c
       ==> libarch/cmd-redo.c
     libarch/cmd-redo-changes.h
       ==> libarch/cmd-redo.h
     libarch/cmd-revdelta.c
       ==> libarch/cmd-delta.c
     libarch/cmd-revdelta.h
       ==> libarch/cmd-delta.h
     libarch/cmd-srcfind.c
       ==> libarch/cmd-inventory.c
     libarch/cmd-srcfind.h
       ==> libarch/cmd-inventory.h
     libarch/cmd-tagrev.c
       ==> libarch/cmd-tag.c
     libarch/cmd-tagrev.h
       ==> libarch/cmd-tag.h
     libarch/cmd-undo-changes.c
       ==> libarch/cmd-undo.c
     libarch/cmd-undo-changes.h
       ==> libarch/cmd-undo.h

    new patches:
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-46
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-47
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-48
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-49
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-50
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-51
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-52
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-53
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-54


2003-10-23 18:11:06 GMT	Tom Lord <lord@emf.net>	patch-198

    Summary:
      fix inode-sig invariant bug
    Revision:
      tla--devo--1.1--patch-198

    fix inode-sig invariant bug
    

    modified files:
     ChangeLog libarch/inode-sig.c


2003-10-21 18:23:33 GMT	Tom Lord <lord@emf.net>	patch-197

    Summary:
      validate changeset indexes and directory permissions files
    Revision:
      tla--devo--1.1--patch-197

    validate changeset indexes and directory permissions files
    

    modified files:
     ChangeLog libarch/changeset-utils.c


2003-10-11 21:03:02 GMT	Tom Lord <lord@emf.net>	patch-196

    Summary:
      test improvements, CLI improvements, archive name liberalization (walters)
    Revision:
      tla--devo--1.1--patch-196

    test improvements, CLI improvements, archive name liberalization (walters)
    
    Patches applied:
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-25
       add tests for limited commits
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-26
       remove redundant setup_with_somewhat_interesting_explicit_archives
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-27
       implement --summary option for archive-mirror
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-28
       rename what-changed => changes
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-29
       alias what-changed => changes
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-30
       + is a valid char in email addresses
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-31
       [tests] test for nonexistence of ,,undo* more portably
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-32
       [tests] use test -e not test -f to test for dir existence
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-33
       rename whats-missing => missing, add compat alias
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-34
       merge with lord
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-35
       fix selected commits
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-36
       [tests] fix syntax error in test-redo.sh
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-37
       [tests] nirs@freeshell.org: small testsuite fix
    

    new files:
     tests/test-simple-commits-2.sh

    modified files:
     ChangeLog libarch/archive-mirror.c libarch/archive-mirror.h
     libarch/cmd-archive-mirror.c libarch/cmd-changes.c
     libarch/cmd-changes.h libarch/cmd-missing.c
     libarch/cmd-missing.h libarch/cmd-replay.c
     libarch/cmd-undo-changes.c libarch/cmds.c
     libarch/make-changeset-files.c libarch/missing.c
     libarch/missing.h libarch/namespace.c libarch/whats-new.c
     tests/Makefile.in tests/test-framework tests/test-my-id.sh
     tests/test-redo.sh

    renamed files:
     libarch/cmd-what-changed.c
       ==> libarch/cmd-changes.c
     libarch/cmd-what-changed.h
       ==> libarch/cmd-changes.h
     libarch/cmd-whats-missing.c
       ==> libarch/cmd-missing.c
     libarch/cmd-whats-missing.h
       ==> libarch/cmd-missing.h
     libarch/whats-missing.c
       ==> libarch/missing.c
     libarch/whats-missing.h
       ==> libarch/missing.h

    new patches:
     walters@verbum.org--2003/tla--mainline--1.1--patch-25
     walters@verbum.org--2003/tla--mainline--1.1--patch-26
     walters@verbum.org--2003/tla--mainline--1.1--patch-27
     walters@verbum.org--2003/tla--mainline--1.1--patch-28
     walters@verbum.org--2003/tla--mainline--1.1--patch-29
     walters@verbum.org--2003/tla--mainline--1.1--patch-30
     walters@verbum.org--2003/tla--mainline--1.1--patch-31
     walters@verbum.org--2003/tla--mainline--1.1--patch-32
     walters@verbum.org--2003/tla--mainline--1.1--patch-33
     walters@verbum.org--2003/tla--mainline--1.1--patch-34
     walters@verbum.org--2003/tla--mainline--1.1--patch-35
     walters@verbum.org--2003/tla--mainline--1.1--patch-36
     walters@verbum.org--2003/tla--mainline--1.1--patch-37


2003-10-11 20:22:57 GMT	Tom Lord <lord@emf.net>	patch-195

    Summary:
      mkpatch on non-project tree niceness (walters)
    Revision:
      tla--devo--1.1--patch-195

    mkpatch on non-project tree niceness (walters)
    
    Patches applied:
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-23
       [mkpatch] treat everything as source when there's no tree root
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-24
       merge with lord
    

    modified files:
     ChangeLog libarch/invent.c

    new patches:
     walters@verbum.org--2003/tla--mainline--1.1--patch-23
     walters@verbum.org--2003/tla--mainline--1.1--patch-24


2003-10-11 02:14:42 GMT	Tom Lord <lord@emf.net>	patch-194

    Summary:
      busticated string foobar sx (re pfs) (thanks miles)
    Revision:
      tla--devo--1.1--patch-194

    busticated string foobar sx (re pfs) (thanks miles)
    
    Patches applied:
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-44
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-45
       Fix sftp username parsing
    

    modified files:
     ChangeLog libarch/pfs-sftp.c

    new patches:
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-44
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-45


2003-10-10 22:22:11 GMT	Tom Lord <lord@emf.net>	patch-193

    Summary:
      sftp protocol-2ness and GNU lsh support (srp)
    Revision:
      tla--devo--1.1--patch-193

    sftp protocol-2ness and GNU lsh support (srp)
    
    Patches applied:
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-7
       merge with lord
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-8
       support use of port in sftp url
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-9
       added -2 switch passed to ssh to force ssh2
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-10
       added -2 switch passed to ssh to force ssh2
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-11
       
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-12
       added --with-ssh option, added lsh support
    

    modified files:
     ChangeLog PLUGIN/options libarch/pfs-sftp.c

    new patches:
     software@srparish.net--2003tla/tla--devo--1.1--patch-7
     software@srparish.net--2003tla/tla--devo--1.1--patch-8
     software@srparish.net--2003tla/tla--devo--1.1--patch-9
     software@srparish.net--2003tla/tla--devo--1.1--patch-10
     software@srparish.net--2003tla/tla--devo--1.1--patch-11
     software@srparish.net--2003tla/tla--devo--1.1--patch-12


2003-10-10 20:36:14 GMT	Tom Lord <lord@emf.net>	patch-192

    Summary:
      help message fix (Florian)
    Revision:
      tla--devo--1.1--patch-192

    help message fix (Florian)
    
    Patches applied:
    
     * fw@deneb.enyo.de--2003-public/tla--devo--1.1--patch-21
       Make clearer how "commit --file-list" works
    

    modified files:
     ChangeLog libarch/cmd-cmtrev.c

    new patches:
     fw@deneb.enyo.de--2003-public/tla--devo--1.1--patch-21


2003-10-10 19:13:25 GMT	Tom Lord <lord@emf.net>	patch-191

    Summary:
      whereis-archive fixes (rbcollins)
    Revision:
      tla--devo--1.1--patch-191

    whereis-archive fixes (rbcollins)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-9
       Merge from tom
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-10
       merge from Tom
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-11
       merge from tom
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-12
       merge from tom
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-13
       merge from Tom
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-14
       implement three-way for replay
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-15
       merge from tom
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-16
       really sync with tom
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-17
       add archive-location command
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-18
       give whereis-archive scriptable properties
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-19
       remove archive-location command
    

    modified files:
     ChangeLog libarch/cmd-whereis-archive.c

    new patches:
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-9
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-10
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-11
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-12
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-13
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-14
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-15
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-16
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-17
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-18
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-19


2003-10-10 18:32:49 GMT	Tom Lord <lord@emf.net>	patch-190

    Summary:
      cli nicenesses from miles
    Revision:
      tla--devo--1.1--patch-190

    cli nicenesses from miles
    
    Patches applied:
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-34
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-35
       Use `id' instead of `tag' and `id-tagging' instead of `tagging'
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-36
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-37
       Leading ./ removal in tree-lint sub-command
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-38
       Add --summary option to import subcommand
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-39
       Don't mention deprecated commands in help output
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-40
       Rename "revdelta" command to "delta"
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-41
       Rename "delta-patch" command to "apply-delta"
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-42
       Rename "catcfg" command to "cat-config"
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-43
       Change reference to "catcfg" in docstring, to "cat-config"
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/apply-changeset.h
     libarch/arbdelta.c libarch/build-revision.c
     libarch/changelogs.c libarch/changelogs.h
     libarch/changeset-report.c libarch/changeset-report.h
     libarch/changeset-utils.c libarch/changeset-utils.h
     libarch/cmd-abrowse.c libarch/cmd-add-id.c
     libarch/cmd-add-id.h libarch/cmd-archive-mirror.c
     libarch/cmd-buildcfg.c libarch/cmd-changeset.c
     libarch/cmd-default-id.c libarch/cmd-default-id.h
     libarch/cmd-delete-id.c libarch/cmd-delete-id.h
     libarch/cmd-deltapatch.c libarch/cmd-do-changeset.c
     libarch/cmd-file-diffs.c libarch/cmd-file-find.c
     libarch/cmd-help.c libarch/cmd-id-tagging-defaults.c
     libarch/cmd-id-tagging-defaults.h
     libarch/cmd-id-tagging-method.c
     libarch/cmd-id-tagging-method.h libarch/cmd-id.c
     libarch/cmd-id.h libarch/cmd-imprev.c
     libarch/cmd-library-file.c libarch/cmd-move-id.c
     libarch/cmd-move-id.h libarch/cmd-mv.c
     libarch/cmd-redo-changes.c libarch/cmd-revdelta.c
     libarch/cmd-srcfind.c libarch/cmd-tree-lint.c
     libarch/cmd-what-changed.c libarch/cmds.c libarch/commit.c
     libarch/diffs.c libarch/diffs.h libarch/file-diffs.c
     libarch/import.c libarch/inode-sig.c libarch/inode-sig.h
     libarch/inv-ids.c libarch/inv-ids.h libarch/invent.c
     libarch/invent.h libarch/libraries.c libarch/libraries.h
     libarch/library-txn.c libarch/make-changeset-files.c
     libarch/make-changeset-files.h libarch/make-changeset.c
     libarch/make-changeset.h libarch/proj-tree-lint.c
     libarch/proj-tree-lint.h libarch/project-tree.c
     libarch/replay.c libarch/star-merge.c libarch/tag.c
     libarch/undo.c tests/Makefile.in tests/test-framework
     tests/test-id-tagging-defaults.sh tests/test-import.sh

    renamed files:
     libarch/cmd-add-tag.c
       ==> libarch/cmd-add-id.c
     libarch/cmd-add-tag.h
       ==> libarch/cmd-add-id.h
     libarch/cmd-default-tag.c
       ==> libarch/cmd-default-id.c
     libarch/cmd-default-tag.h
       ==> libarch/cmd-default-id.h
     libarch/cmd-delete-tag.c
       ==> libarch/cmd-delete-id.c
     libarch/cmd-delete-tag.h
       ==> libarch/cmd-delete-id.h
     libarch/cmd-inv-tag.c
       ==> libarch/cmd-id.c
     libarch/cmd-inv-tag.h
       ==> libarch/cmd-id.h
     libarch/cmd-move-tag.c
       ==> libarch/cmd-move-id.c
     libarch/cmd-move-tag.h
       ==> libarch/cmd-move-id.h
     libarch/cmd-tagging-defaults.c
       ==> libarch/cmd-id-tagging-defaults.c
     libarch/cmd-tagging-defaults.h
       ==> libarch/cmd-id-tagging-defaults.h
     libarch/cmd-tagging-method.c
       ==> libarch/cmd-id-tagging-method.c
     libarch/cmd-tagging-method.h
       ==> libarch/cmd-id-tagging-method.h
     libarch/inv-tags.c
       ==> libarch/inv-ids.c
     libarch/inv-tags.h
       ==> libarch/inv-ids.h
     tests/test-tagging-defaults.sh
       ==> tests/test-id-tagging-defaults.sh

    new patches:
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-34
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-35
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-36
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-37
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-38
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-39
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-40
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-41
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-42
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-43


2003-10-10 16:17:51 GMT	Tom Lord <lord@emf.net>	patch-189

    Summary:
      cachedrevs uses tree-version by default (alexander)
    Revision:
      tla--devo--1.1--patch-189

    cachedrevs uses tree-version by default (alexander)
    
    Patches applied:
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-23
       merge with tla--bugfix--1.1
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-24
       merge with tla--devo--1.1
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-25
       merge with tla--whitespace--1.1
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-26
       merge with tla--bugfix--1.1
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-27
       [bugfix] cacherev in project tree caches latest revision
    
     * alexander@deruwe.be--2003/tla--bugfix--1.1--base-0
       tag of alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-22
    
     * alexander@deruwe.be--2003/tla--bugfix--1.1--patch-1
       cachedrevs tries listing cached revs for the tree's version first
    
     * alexander@deruwe.be--2003/tla--bugfix--1.1--patch-2
       check for cachedrevs argument count correctly
    
     * alexander@deruwe.be--2003/tla--bugfix--1.1--patch-3
       merge with tla--aderuwe--1.1
    
     * alexander@deruwe.be--2003/tla--bugfix--1.1--patch-4
       fix typo in libarch/archive-pfs.c
    
     * alexander@deruwe.be--2003/tla--bugfix--1.1--patch-5
       merge with tla--aderuwe--1.1
    
     * alexander@deruwe.be--2003/tla--bugfix--1.1--patch-6
       remove cacherev reference to unused dir argument
    
     * alexander@deruwe.be--2003/tla--bugfix--1.1--patch-7
       cacherev in project tree caches latest revision
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-97
       merge with tla--aderuwe--1.1
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-98
       remove stray tabs/spaces in libarch/cmd-mv.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-99
       remove stray tabs/spaces in libarch/patch-logs.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-100
       remove stray tabs/spaces in libarch/cmd-cmtrev.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-101
       remove stray tabs/spaces in libarch/cmd-archive-mirror.*
    

    modified files:
     ChangeLog libarch/archive-pfs.c libarch/cmd-archive-mirror.c
     libarch/cmd-cachedrevs.c libarch/cmd-cacherev.c
     libarch/cmd-cmtrev.c libarch/cmd-mv.c libarch/patch-logs.c
     libarch/patch-logs.h

    new patches:
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-23
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-24
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-25
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-26
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-27
     alexander@deruwe.be--2003/tla--bugfix--1.1--base-0
     alexander@deruwe.be--2003/tla--bugfix--1.1--patch-1
     alexander@deruwe.be--2003/tla--bugfix--1.1--patch-2
     alexander@deruwe.be--2003/tla--bugfix--1.1--patch-3
     alexander@deruwe.be--2003/tla--bugfix--1.1--patch-4
     alexander@deruwe.be--2003/tla--bugfix--1.1--patch-5
     alexander@deruwe.be--2003/tla--bugfix--1.1--patch-6
     alexander@deruwe.be--2003/tla--bugfix--1.1--patch-7
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-97
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-98
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-99
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-100
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-101


2003-09-30 20:59:10 GMT	Tom Lord <lord@emf.net>	patch-188

    Summary:
      half-fix a selected-files-commit bug (error out rather than run the bug)
    Revision:
      tla--devo--1.1--patch-188

    half-fix a selected-files-commit bug (error out rather than run the bug)
    

    modified files:
     ChangeLog libarch/make-changeset-files.c


2003-09-30 02:54:06 GMT	Tom Lord <lord@emf.net>	patch-187

    Summary:
      whitespace cleanups (alexander@deruwe)
    Revision:
      tla--devo--1.1--patch-187

    whitespace cleanups (alexander@deruwe)
    
    Patches applied:
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-18
       merge with tla--devo--1.1
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-19
       merge with tla--devo--1.1
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-20
       merge with tla--devo--1.1
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-21
       merge with tla--devo--1.1
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-22
       merge with tla--whitespace--1.1
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--base-0
       tag of alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-19
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-1
       remove stray tabs/spaces in libarch/pristines.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-2
       remove stray tabs/spaces in libarch/patch-logs.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-3
       remove stray tabs/spaces in libarch/file-diffs.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-4
       remove stray tabs/spaces in libarch/cmd-whereis-archive.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-5
       remove stray tabs/spaces in libarch/diffs.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-6
       remove stray tabs/spaces in libarch/cmd-whats-missing.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-7
       remove stray tabs/spaces in libarch/cmd-what-changed.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-8
       remove stray tabs/spaces in libarch/cmd-versions.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-9
       remove stray tabs/spaces in libarch/cmd-update.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-10
       remove stray tabs/spaces in libarch/cmd-undo-changes.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-11
       remove stray tabs/spaces in libarch/cmd-uncacherev.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-12
       remove stray tabs/spaces in libarch/cmd-tree-version.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-13
       remove stray tabs/spaces in libarch/cmd-tree-root.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-14
       remove stray tabs/spaces in libarch/cmd-tagrev.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-15
       remove stray tabs/spaces in libarch/cmd-sync-tree.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-16
       remove stray tabs/spaces in libarch/cmd-star-merge.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-17
       remove stray tabs/spaces in libarch/cmd-tree-lint.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-18
       remove stray tabs/spaces in libarch/cmd-set-tree-version.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-19
       remove stray tabs/spaces in libarch/cmd-revisions.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-20
       remove stray tabs/spaces in libarch/cmd-revdelta.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-21
       remove stray tabs/spaces in libarch/cmd-replay.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-22
       remove stray tabs/spaces in libarch/cmd-remove-log.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-23
       remove stray tabs/spaces in libarch/cmd-register-archive.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-24
       remove stray tabs/spaces in libarch/cmd-redo-changes.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-25
       remove stray tabs/spaces in libarch/cmd-parse-package-name.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-26
       remove stray tabs/spaces in libarch/cmd-new-merges.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-27
       remove stray tabs/spaces in libarch/cmd-make-version.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-28
       remove stray tabs/spaces in libarch/cmd-make-log.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-29
       remove stray tabs/spaces in libarch/cmd-make-category.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-30
       remove stray tabs/spaces in libarch/cmd-make-branch.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-31
       remove stray tabs/spaces in libarch/cmd-merges.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-32
       remove stray tabs/spaces in libarch/cmd-make-archive.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-33
       remove stray tabs/spaces in libarch/cmd-ls-pristines.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-34
       remove stray tabs/spaces in libarch/cmd-logs.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-35
       remove stray tabs/spaces in libarch/cmd-abrowse.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-36
       remove stray tabs/spaces in libarch/cmd-ancestry.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-37
       remove stray tabs/spaces in libarch/cmd-help.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-38
       remove stray tabs/spaces in libarch/cmd-ls-archives.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-39
       remove stray tabs/spaces in libarch/commit.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-40
       remove stray tabs/spaces in libarch/apply-changeset.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-41
       remove stray tabs/spaces in libarch/archive-pfs.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-42
       remove stray tabs/spaces in libarch/changeset-report.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-43
       remove stray tabs/spaces in libarch/cmd-add-log.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-44
       remove stray tabs/spaces in libarch/cmd-add-pristine.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-45
       remove stray tabs/spaces in libarch/cmd-ancestry-graph.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-46
       remove stray tabs/spaces in libarch/cmd-archive-fixup.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-47
       remove stray tabs/spaces in libarch/cmd-archive-meta-info.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-48
       remove stray tabs/spaces in libarch/cmd-archive-setup.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-49
       remove stray tabs/spaces in libarch/cmd-archive-mirror.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-50
       remove stray tabs/spaces in libarch/cmd-archive-snapshot.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-51
       remove stray tabs/spaces in libarch/cmd-archive-version.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-52
       remove stray tabs/spaces in libarch/cmd-branches.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-53
       remove stray tabs/spaces in libarch/cmd-buildcfg.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-54
       remove stray tabs/spaces in libarch/cmd-cachedrevs.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-55
       remove stray tabs/spaces in libarch/cmd-cacherev.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-56
       remove stray tabs/spaces in libarch/cmd-cat-archive-log.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-57
       remove stray tabs/spaces in libarch/cmd-cat-log.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-58
       remove stray tabs/spaces in libarch/cmd-changeset.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-59
       remove stray tabs/spaces in libarch/cmd-cmtrev.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-60
       remove stray tabs/spaces in libarch/cmd-changelog.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-61
       remove stray tabs/spaces in libarch/cmd-deltapatch.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-62
       remove stray tabs/spaces in libarch/cmd-file-diffs.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-63
       remove stray tabs/spaces in libarch/cmd-file-find.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-64
       remove stray tabs/spaces in libarch/cmd-find-pristine.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-65
       remove stray tabs/spaces in libarch/cmd-get-patch.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-66
       remove stray tabs/spaces in libarch/cmd-getrev.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-67
       remove stray tabs/spaces in libarch/cmd-imprev.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-68
       remove stray tabs/spaces in libarch/cmd-init-tree.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-69
       remove stray tabs/spaces in libarch/cmd-join-branch.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-70
       remove stray tabs/spaces in libarch/cmd-library-add.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-71
       remove stray tabs/spaces in libarch/cmd-library-branches.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-72
       remove stray tabs/spaces in libarch/cmd-library-categories.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-73
       remove stray tabs/spaces in libarch/cmd-library-file.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-74
       remove stray tabs/spaces in libarch/cmd-library-find.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-75
       remove stray tabs/spaces in libarch/cmd-library-log.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-76
       remove stray tabs/spaces in libarch/cmd-library-remove.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-77
       remove stray tabs/spaces in libarch/cmd-library-revisions.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-78
       remove stray tabs/spaces in libarch/cmd-library-versions.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-79
       remove stray tabs/spaces in libarch/cmd-lock-pristine.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-80
       remove stray tabs/spaces in libarch/cmd-lock-revision.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-81
       remove stray tabs/spaces in libarch/cmd-log-for-merge.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-82
       remove stray tabs/spaces in libarch/cmd-log-ls.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-83
       merge with tla--aderuwe--1.1
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-84
       merge with tla--aderuwe--1.1
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-85
       remove stray tabs/spaces in libarch/cmd-grab.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-86
       remove stray tabs/spaces in libarch/configs.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-87
       remove stray tabs/spaces in libarch/inode-sig.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-88
       remove stray tabs/spaces in libarch/cmd-buildcfg.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-89
       remove stray tabs/spaces in libarch/cmd-tree-lint.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-90
       remove stray tabs/spaces in libarch/whats-missing.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-91
       remove stray tabs/spaces in libarch/cmd-whats-missing.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-92
       remove stray tabs/spaces in libarch/apply-changeset.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-93
       remove stray tabs/spaces in libarch/inv-tags.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-94
       remove stray tabs/spaces in libarch/invent.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-95
       remove stray tabs/spaces in libarch/cmd-add-tag.*
    
     * alexander@deruwe.be--2003/tla--whitespace--1.1--patch-96
       remove stray tabs/spaces in libarch/=scraps/inventory.*
    

    modified files:
     ChangeLog libarch/=scraps/inventory.c
     libarch/=scraps/inventory.h libarch/apply-changeset.c
     libarch/archive-pfs.c libarch/changeset-report.c
     libarch/cmd-abrowse.c libarch/cmd-abrowse.h
     libarch/cmd-add-log-version.c libarch/cmd-add-pristine.c
     libarch/cmd-add-tag.c libarch/cmd-ancestry-graph.c
     libarch/cmd-ancestry.c libarch/cmd-ancestry.h
     libarch/cmd-archive-fixup.c libarch/cmd-archive-meta-info.c
     libarch/cmd-archive-mirror.c libarch/cmd-archive-setup.c
     libarch/cmd-archive-snapshot.c libarch/cmd-archive-version.c
     libarch/cmd-branches.c libarch/cmd-buildcfg.c
     libarch/cmd-cachedrevs.c libarch/cmd-cacherev.c
     libarch/cmd-cat-archive-log.c libarch/cmd-cat-log.c
     libarch/cmd-changelog.c libarch/cmd-changeset.c
     libarch/cmd-cmtrev.c libarch/cmd-deltapatch.c
     libarch/cmd-file-diffs.c libarch/cmd-file-find.c
     libarch/cmd-find-pristine.c libarch/cmd-get-patch.c
     libarch/cmd-getrev.c libarch/cmd-grab.c libarch/cmd-help.c
     libarch/cmd-imprev.c libarch/cmd-init-tree.c
     libarch/cmd-join-branch.c libarch/cmd-library-add.c
     libarch/cmd-library-branches.c libarch/cmd-library-file.c
     libarch/cmd-library-find.c libarch/cmd-library-log.c
     libarch/cmd-library-remove.c libarch/cmd-library-revisions.c
     libarch/cmd-library-versions.c libarch/cmd-lock-pristine.c
     libarch/cmd-lock-revision.c libarch/cmd-log-for-merge.c
     libarch/cmd-log-versions.c libarch/cmd-logs.c
     libarch/cmd-ls-archives.c libarch/cmd-ls-pristines.c
     libarch/cmd-make-archive.c libarch/cmd-make-branch.c
     libarch/cmd-make-category.c libarch/cmd-make-log.c
     libarch/cmd-make-version.c libarch/cmd-merges.c
     libarch/cmd-new-merges.c libarch/cmd-parse-package-name.c
     libarch/cmd-redo-changes.c libarch/cmd-register-archive.c
     libarch/cmd-remove-log-version.c libarch/cmd-replay.c
     libarch/cmd-revdelta.c libarch/cmd-revisions.c
     libarch/cmd-set-tree-version.c libarch/cmd-star-merge.c
     libarch/cmd-sync-tree.c libarch/cmd-tagrev.c
     libarch/cmd-tree-lint.c libarch/cmd-tree-root.c
     libarch/cmd-tree-version.c libarch/cmd-uncacherev.c
     libarch/cmd-undo-changes.c libarch/cmd-update.c
     libarch/cmd-versions.c libarch/cmd-what-changed.c
     libarch/cmd-whats-missing.c libarch/cmd-whereis-archive.c
     libarch/commit.c libarch/configs.c libarch/diffs.c
     libarch/file-diffs.c libarch/inode-sig.c libarch/inode-sig.h
     libarch/inv-tags.c libarch/invent.c libarch/patch-logs.c
     libarch/pristines.c libarch/whats-missing.c

    new patches:
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-18
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-19
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-20
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-21
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-22
     alexander@deruwe.be--2003/tla--whitespace--1.1--base-0
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-1
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-2
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-3
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-4
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-5
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-6
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-7
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-8
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-9
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-10
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-11
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-12
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-13
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-14
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-15
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-16
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-17
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-18
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-19
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-20
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-21
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-22
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-23
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-24
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-25
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-26
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-27
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-28
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-29
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-30
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-31
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-32
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-33
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-34
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-35
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-36
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-37
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-38
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-39
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-40
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-41
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-42
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-43
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-44
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-45
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-46
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-47
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-48
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-49
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-50
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-51
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-52
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-53
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-54
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-55
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-56
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-57
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-58
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-59
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-60
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-61
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-62
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-63
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-64
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-65
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-66
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-67
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-68
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-69
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-70
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-71
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-72
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-73
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-74
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-75
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-76
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-77
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-78
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-79
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-80
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-81
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-82
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-83
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-84
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-85
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-86
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-87
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-88
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-89
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-90
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-91
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-92
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-93
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-94
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-95
     alexander@deruwe.be--2003/tla--whitespace--1.1--patch-96


2003-09-27 20:43:49 GMT	Tom Lord <lord@emf.net>	patch-186

    Summary:
      logs=>log-versions, log-ls=>logs (miles@gnu)
    Revision:
      tla--devo--1.1--patch-186

    logs=>log-versions, log-ls=>logs (miles@gnu)
    
    Patches applied:
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-31
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-32
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-33
       Rename logs -> log-versions and log-ls -> logs
    

    modified files:
     ChangeLog libarch/changelogs.c libarch/cmd-add-log-version.c
     libarch/cmd-add-log-version.h libarch/cmd-cmtrev.c
     libarch/cmd-imprev.c libarch/cmd-init-tree.c
     libarch/cmd-log-versions.c libarch/cmd-log-versions.h
     libarch/cmd-logs.c libarch/cmd-logs.h
     libarch/cmd-remove-log-version.c
     libarch/cmd-remove-log-version.h libarch/cmds.c
     libarch/import.c libarch/merge-points.c libarch/patch-logs.c
     libarch/patch-logs.h libarch/star-merge.c
     libarch/whats-missing.c

    renamed files:
     libarch/cmd-add-log.c
       ==> libarch/cmd-add-log-version.c
     libarch/cmd-add-log.h
       ==> libarch/cmd-add-log-version.h
     libarch/cmd-log-ls.c
       ==> libarch/cmd-logs.c
     libarch/cmd-log-ls.h
       ==> libarch/cmd-logs.h
     libarch/cmd-logs.c
       ==> libarch/cmd-log-versions.c
     libarch/cmd-logs.h
       ==> libarch/cmd-log-versions.h
     libarch/cmd-remove-log.c
       ==> libarch/cmd-remove-log-version.c
     libarch/cmd-remove-log.h
       ==> libarch/cmd-remove-log-version.h

    new patches:
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-31
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-32
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-33


2003-09-27 20:04:07 GMT	Tom Lord <lord@emf.net>	patch-185

    Summary:
      [small-fixes] push-mirror option parsing fix (rweir@ertius)
    Revision:
      tla--devo--1.1--patch-185

    [small-fixes] push-mirror option parsing fix (rweir@ertius)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-81
       push-mirror option parsing fix (rweir@ertius)
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-19
       implement --no-cache and --cached-tags for archive-mirror
    

    modified files:
     ChangeLog libarch/cmd-archive-mirror.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-81
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-19


2003-09-27 19:48:08 GMT	Tom Lord <lord@emf.net>	patch-184

    Summary:
      [small-fixes] inventory fix wrt --nested --tags (mt@wmipf)
    Revision:
      tla--devo--1.1--patch-184

    [small-fixes] inventory fix wrt --nested --tags (mt@wmipf)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-79
       [devo] back merge
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-80
       inventory fix wrt --nested --tags (mt@wmipf)
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-20
       merge with lord
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-21
       make srcfind recognize nested {arch} control files
    

    modified files:
     ChangeLog libarch/invent.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-79
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-80
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-20
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-21


2003-09-26 20:13:48 GMT	Tom Lord <lord@emf.net>	patch-183

    Summary:
      tla mv command (robweir)
    Revision:
      tla--devo--1.1--patch-183

    tla mv command (robweir)
    

    modified files:
     ChangeLog tests/Makefile.in tests/test-framework
     tests/test-mv-explicit.sh


2003-09-26 18:36:44 GMT	Tom Lord <lord@emf.net>	patch-182

    Summary:
      [small-fixes] fix (output effecting) sorting error in whats-missing
    Revision:
      tla--devo--1.1--patch-182

    [small-fixes] fix (output effecting) sorting error in whats-missing
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-78
       fix (output effecting) sorting error in whats-missing
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-13
       initial "tla mv foo bar" command
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-14
       basic tests for "tla mv"
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-15
       fix bug in "tla mv" and add test
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-16
       tidy up cmd-mv.c
    

    new files:
     libarch/cmd-mv.c libarch/cmd-mv.h tests/test-mv-explicit.sh

    modified files:
     ChangeLog libarch/cmds.c libarch/whats-missing.c
     tests/Makefile.in tests/test-framework

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-78
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-13
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-14
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-15
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-16


2003-09-26 16:27:57 GMT	Tom Lord <lord@emf.net>	patch-181

    Summary:
      [small-fixes] make commit --file-list actually work (velco@fadata)
    Revision:
      tla--devo--1.1--patch-181

    [small-fixes] make commit --file-list actually work (velco@fadata)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-77
       make commit --file-list actually work (velco@fadata)
    
     * velco@fadata.bg--archive/tla--devo--1.1--patch-2
       Fix processing of the file list file during commit
    

    modified files:
     ChangeLog libarch/cmd-cmtrev.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-77
     velco@fadata.bg--archive/tla--devo--1.1--patch-2


2003-09-26 15:52:50 GMT	Tom Lord <lord@emf.net>	patch-180

    Summary:
      [small-fixes] cli/help tweaks ; undo --no-output option (sam@rfc1149)
    Revision:
      tla--devo--1.1--patch-180

    [small-fixes] cli/help tweaks ; undo --no-output option (sam@rfc1149)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-74
       [devo] merge back
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-75
       cli/help tweaks ; undo --no-output option (sam@rfc1149)
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-76
       added missing #include
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-4
       Merge with Lord
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-5
       Add -k as an alias for --keep for what-changed command
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-6
       Fix undo command code and documentation
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-7
       Merge with Tom Lord
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-8
       Merge with Tom Lord
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-9
       Update the help string for catcfg
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-10
       Add missing carriage return
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-11
       Add ./ before $NAME to be more consistent with the rest
    

    modified files:
     ChangeLog libarch/cmd-cfgcat.c libarch/cmd-undo-changes.c
     libarch/cmd-what-changed.c libarch/undo.c libarch/undo.h

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-74
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-75
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-76
     sam@rfc1149.net--public/tla--sam--1.1--patch-4
     sam@rfc1149.net--public/tla--sam--1.1--patch-5
     sam@rfc1149.net--public/tla--sam--1.1--patch-6
     sam@rfc1149.net--public/tla--sam--1.1--patch-7
     sam@rfc1149.net--public/tla--sam--1.1--patch-8
     sam@rfc1149.net--public/tla--sam--1.1--patch-9
     sam@rfc1149.net--public/tla--sam--1.1--patch-10
     sam@rfc1149.net--public/tla--sam--1.1--patch-11


2003-09-25 22:41:11 GMT	Tom Lord <lord@emf.net>	patch-179

    Summary:
      include complete config foo in --version output
    Revision:
      tla--devo--1.1--patch-179

    include complete config foo in --version output
    

    modified files:
     =THANKS ChangeLog libarch/cmd-abrowse.c libarch/cmd-add-log.c
     libarch/cmd-add-pristine.c libarch/cmd-add-tag.c
     libarch/cmd-ancestry-graph.c libarch/cmd-ancestry.c
     libarch/cmd-archive-fixup.c libarch/cmd-archive-meta-info.c
     libarch/cmd-archive-mirror.c libarch/cmd-archive-setup.c
     libarch/cmd-archive-snapshot.c libarch/cmd-archive-version.c
     libarch/cmd-branches.c libarch/cmd-buildcfg.c
     libarch/cmd-cachedrevs.c libarch/cmd-cacherev.c
     libarch/cmd-cat-archive-log.c libarch/cmd-cat-log.c
     libarch/cmd-categories.c libarch/cmd-cfgcat.c
     libarch/cmd-changelog.c libarch/cmd-changeset.c
     libarch/cmd-cmtrev.c libarch/cmd-default-tag.c
     libarch/cmd-delete-tag.c libarch/cmd-deltapatch.c
     libarch/cmd-do-changeset.c libarch/cmd-file-diffs.c
     libarch/cmd-file-find.c libarch/cmd-find-pristine.c
     libarch/cmd-get-patch.c libarch/cmd-getrev.c
     libarch/cmd-grab.c libarch/cmd-help.c libarch/cmd-imprev.c
     libarch/cmd-init-tree.c libarch/cmd-inv-tag.c
     libarch/cmd-join-branch.c libarch/cmd-library-add.c
     libarch/cmd-library-archives.c libarch/cmd-library-branches.c
     libarch/cmd-library-categories.c libarch/cmd-library-file.c
     libarch/cmd-library-find.c libarch/cmd-library-log.c
     libarch/cmd-library-remove.c libarch/cmd-library-revisions.c
     libarch/cmd-library-versions.c libarch/cmd-lock-pristine.c
     libarch/cmd-lock-revision.c libarch/cmd-log-for-merge.c
     libarch/cmd-log-ls.c libarch/cmd-logs.c
     libarch/cmd-ls-archives.c libarch/cmd-ls-pristines.c
     libarch/cmd-make-archive.c libarch/cmd-make-branch.c
     libarch/cmd-make-category.c libarch/cmd-make-log.c
     libarch/cmd-make-version.c libarch/cmd-merges.c
     libarch/cmd-move-tag.c libarch/cmd-my-default-archive.c
     libarch/cmd-my-id.c libarch/cmd-my-revision-library.c
     libarch/cmd-new-merges.c libarch/cmd-parse-package-name.c
     libarch/cmd-redo-changes.c libarch/cmd-register-archive.c
     libarch/cmd-remove-log.c libarch/cmd-replay.c
     libarch/cmd-revdelta.c libarch/cmd-revisions.c
     libarch/cmd-set-tree-version.c libarch/cmd-show-changeset.c
     libarch/cmd-srcfind.c libarch/cmd-star-merge.c
     libarch/cmd-sync-tree.c libarch/cmd-tagging-defaults.c
     libarch/cmd-tagging-method.c libarch/cmd-tagrev.c
     libarch/cmd-tree-lint.c libarch/cmd-tree-root.c
     libarch/cmd-tree-version.c libarch/cmd-uncacherev.c
     libarch/cmd-undo-changes.c libarch/cmd-update.c
     libarch/cmd-valid-package-name.c libarch/cmd-versions.c
     libarch/cmd-what-changed.c libarch/cmd-whats-missing.c
     libarch/cmd-whereis-archive.c tla/tla.c


2003-09-25 20:10:56 GMT	Tom Lord <lord@emf.net>	patch-178

    Summary:
      record full config info in =RELEASE-ID
    Revision:
      tla--devo--1.1--patch-178

    record full config info in =RELEASE-ID
    

    modified files:
     ChangeLog libarch/configs.c


2003-09-23 23:36:56 GMT	Tom Lord <lord@emf.net>	patch-177

    Summary:
      [tests] test suite improvements (walters)
    Revision:
      tla--devo--1.1--patch-177

    [tests] test suite improvements (walters)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--tests--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-176
    
     * lord@emf.net--2003b/tla--tests--1.1--patch-1
       test suite improvements (walters)
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-16
       merge with lord
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-17
       add star-merge scenario, some cleanups to framework
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-18
       extend star-merge test 1
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-19
       don't use -s and 1>/dev/null everywhere
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-20
       add tagging-defaults and parse-package-name tests
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-21
       add whats-missing test
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-22
       merge with lord
    

    new files:
     tests/jane-and-foo-do-hello-world-1.sh
     tests/test-parse-package-name.sh
     tests/test-tagging-defaults.sh tests/test-whats-missing.sh

    modified files:
     ChangeLog tests/Makefile.in tests/test-archive-setup.sh
     tests/test-file-diffs.sh tests/test-framework
     tests/test-get.sh tests/test-import.sh tests/test-redo.sh
     tests/test-simple-commits-1.sh tests/test-tag.sh
     tests/test-undo.sh tests/test-what-changed.sh

    new patches:
     lord@emf.net--2003b/tla--tests--1.1--base-0
     lord@emf.net--2003b/tla--tests--1.1--patch-1
     walters@verbum.org--2003/tla--mainline--1.1--patch-16
     walters@verbum.org--2003/tla--mainline--1.1--patch-17
     walters@verbum.org--2003/tla--mainline--1.1--patch-18
     walters@verbum.org--2003/tla--mainline--1.1--patch-19
     walters@verbum.org--2003/tla--mainline--1.1--patch-20
     walters@verbum.org--2003/tla--mainline--1.1--patch-21
     walters@verbum.org--2003/tla--mainline--1.1--patch-22


2003-09-23 22:32:37 GMT	Tom Lord <lord@emf.net>	patch-176

    Summary:
      [small-fixes] help text fixes (jmccarty)
    Revision:
      tla--devo--1.1--patch-176

    [small-fixes] help text fixes (jmccarty)
    
    Patches applied:
    
     * bclg@iup.edu--2003/tla--devo--1.1--patch-8
       help text fixes
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-73
       help text fixes (jmccarty)
    

    modified files:
     ChangeLog libarch/cmd-cmtrev.c libarch/cmd-imprev.c
     libarch/cmd-my-revision-library.c libarch/cmd-undo-changes.c
     libarch/cmd-what-changed.c

    new patches:
     bclg@iup.edu--2003/tla--devo--1.1--patch-8
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-73


2003-09-23 20:45:44 GMT	Tom Lord <lord@emf.net>	patch-175

    Summary:
      [small-fixes] makefile tweaks for tests subdir
    Revision:
      tla--devo--1.1--patch-175

    [small-fixes] makefile tweaks for tests subdir
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-71
       [devo] move back
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-72
       makefile tweaks for tests subdir
    

    modified files:
     ChangeLog tests/Makefile.in

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-71
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-72


2003-09-23 19:52:25 GMT	Tom Lord <lord@emf.net>	patch-174

    Summary:
      replay CLI changes (change interface to --exact)
    Revision:
      tla--devo--1.1--patch-174

    replay CLI changes (change interface to --exact)
    
    Patches applied:
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-26
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-27
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-28
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-29
       Rework replay command-line processing
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-30
       Merge from Tom
    

    modified files:
     ChangeLog libarch/cmd-join-branch.c libarch/cmd-replay.c

    new patches:
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-26
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-27
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-28
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-29
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-30


2003-09-22 00:21:45 GMT	Tom Lord <lord@emf.net>	patch-173

    Summary:
      [small-fixes] redundant file adds are not an error (apply_changeset)
    Revision:
      tla--devo--1.1--patch-173

    [small-fixes] redundant file adds are not an error (apply_changeset)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-69
       [devo] back merge
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-70
       redundant file adds are not an error
    

    modified files:
     ChangeLog libarch/apply-changeset.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-69
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-70


2003-09-20 21:32:56 GMT	Tom Lord <lord@emf.net>	patch-172

    Summary:
      add --forward to various merging commands
    Revision:
      tla--devo--1.1--patch-172

    add --forward to various merging commands
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/apply-changeset.h
     libarch/build-revision.c libarch/cmd-deltapatch.c
     libarch/cmd-do-changeset.c libarch/cmd-redo-changes.c
     libarch/cmd-replay.c libarch/cmd-star-merge.c
     libarch/cmd-undo-changes.c libarch/cmd-update.c
     libarch/commit.c libarch/library-txn.c libarch/replay.c
     libarch/replay.h libarch/star-merge.c libarch/star-merge.h
     libarch/undo.c libarch/undo.h


2003-09-20 17:31:47 GMT	Tom Lord <lord@emf.net>	patch-171

    Summary:
      3-way merge with conflict markers (in star-merge)
    Revision:
      tla--devo--1.1--patch-171

    3-way merge with conflict markers (in star-merge)
    

    modified files:
     ChangeLog PLUGIN/options libarch/apply-changeset.c
     libarch/apply-changeset.h libarch/build-revision.c
     libarch/cmd-deltapatch.c libarch/cmd-do-changeset.c
     libarch/cmd-redo-changes.c libarch/cmd-star-merge.c
     libarch/commit.c libarch/library-txn.c libarch/replay.c
     libarch/star-merge.c libarch/star-merge.h libarch/undo.c


2003-09-18 17:54:57 GMT	Tom Lord <lord@emf.net>	patch-170

    Summary:
      [small-fixes] fix off-by-one error in file-diffs (Walters)
    Revision:
      tla--devo--1.1--patch-170

    [small-fixes] fix off-by-one error in file-diffs (Walters)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-67
       fix off-by-one error in file-diffs (Walters)
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-68
       [devo] back merge
    

    modified files:
     ChangeLog libarch/cmd-file-diffs.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-67
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-68


2003-09-18 02:08:45 GMT	Tom Lord <lord@emf.net>	patch-169

    Summary:
      add a test suite! (Colin Walters)
    Revision:
      tla--devo--1.1--patch-169

    add a test suite! (Colin Walters)
    
    Patches applied:
    
     * walters@verbum.org--2003/tla--mainline--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-167
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-1
       create tla testsuite infrastructure and a simple test
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-2
       add my-id test, update test framework
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-3
       add archive and mirror creation tests, fix up framework
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-4
       add archive setup test, cosmetic fixes to framework
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-5
       add import and get tests, remove individual category/branch/version creation
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-6
       add first simple commits test, extend get test, cosmetic fixes
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-7
       add undo test
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-8
       add redo test
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-9
       add what-changed test, add verbose option to framework
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-10
       add tag test, and run all tests in separate dirs
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-11
       use hello-world instead of weird names
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-12
       add copying note
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-13
       add test-file-diffs
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-14
       new copy_tree fn
    
     * walters@verbum.org--2003/tla--mainline--1.1--patch-15
       handle nonzero exit from file-diffs
    

    new files:
     tests/Makefile.in tests/PLUGIN/.arch-ids/=id
     tests/PLUGIN/.arch-ids/REQ.id tests/PLUGIN/REQ
     tests/test-archive-creation.sh
     tests/test-archive-registration.sh tests/test-archive-setup.sh
     tests/test-file-diffs.sh tests/test-framework
     tests/test-get.sh tests/test-import.sh
     tests/test-mirror-creation.sh tests/test-my-id.sh
     tests/test-redo.sh tests/test-simple-commits-1.sh
     tests/test-tag.sh tests/test-undo.sh
     tests/test-what-changed.sh

    modified files:
     ChangeLog

    new directories:
     tests/PLUGIN tests/PLUGIN/.arch-ids

    new patches:
     walters@verbum.org--2003/tla--mainline--1.1--base-0
     walters@verbum.org--2003/tla--mainline--1.1--patch-1
     walters@verbum.org--2003/tla--mainline--1.1--patch-2
     walters@verbum.org--2003/tla--mainline--1.1--patch-3
     walters@verbum.org--2003/tla--mainline--1.1--patch-4
     walters@verbum.org--2003/tla--mainline--1.1--patch-5
     walters@verbum.org--2003/tla--mainline--1.1--patch-6
     walters@verbum.org--2003/tla--mainline--1.1--patch-7
     walters@verbum.org--2003/tla--mainline--1.1--patch-8
     walters@verbum.org--2003/tla--mainline--1.1--patch-9
     walters@verbum.org--2003/tla--mainline--1.1--patch-10
     walters@verbum.org--2003/tla--mainline--1.1--patch-11
     walters@verbum.org--2003/tla--mainline--1.1--patch-12
     walters@verbum.org--2003/tla--mainline--1.1--patch-13
     walters@verbum.org--2003/tla--mainline--1.1--patch-14
     walters@verbum.org--2003/tla--mainline--1.1--patch-15


2003-09-17 22:47:53 GMT	Tom Lord <lord@emf.net>	patch-168

    Summary:
      --skip-present support (rbcollins)
    Revision:
      tla--devo--1.1--patch-168

    --skip-present support (rbcollins)
    
    Patches applied:
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-155
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-2
       Implement --skip-present.
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-3
       Merge from tom.
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-4
       Merge from tom.
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-5
       Merge inode optimisation from Tom.
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-6
       BUGFIX: --skip-present only worked within a single archive.
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-7
       Merge from tom
    
     * rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-8
       backout walters dirty explicit commit patch, in deference to untagged-source
    

    modified files:
     ChangeLog libarch/cmd-replay.c libarch/cmd-whats-missing.c
     libarch/proj-tree-lint.c libarch/whats-missing.c
     libarch/whats-missing.h

    new patches:
     rbtcollins@hotmail.com--barch/tla--devo--1.1--base-0
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-2
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-3
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-4
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-5
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-6
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-7
     rbtcollins@hotmail.com--barch/tla--devo--1.1--patch-8


2003-09-16 21:21:08 GMT	Tom Lord <lord@emf.net>	patch-167

    Summary:
      [small-fixes] added missing call to close
    Revision:
      tla--devo--1.1--patch-167

    [small-fixes] added missing call to close
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-65
       [devo] back-merge
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-66
       added missing call to close
    

    modified files:
     ChangeLog libarch/inode-sig.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-65
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-66


2003-09-14 19:28:28 GMT	Tom Lord <lord@emf.net>	patch-166

    Summary:
      [small-fixes] =THANKS update
    Revision:
      tla--devo--1.1--patch-166

    [small-fixes] =THANKS update
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-64
       [small-fixes] =THANKS update
    

    modified files:
     =THANKS ChangeLog

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-64


2003-09-14 18:52:23 GMT	Tom Lord <lord@emf.net>	patch-165

    Summary:
      [small-fixes] remove bogus cache from ensure_directory_exists
    Revision:
      tla--devo--1.1--patch-165

    [small-fixes] remove bogus cache from ensure_directory_exists
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-63
       remove bogus cache from ensure_directory_exists
    

    modified files:
     ChangeLog libfsutils/ensure-dir.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-63


2003-09-14 17:16:04 GMT	Tom Lord <lord@emf.net>	patch-164

    Summary:
      [small-fixes] update =THANKS
    Revision:
      tla--devo--1.1--patch-164

    [small-fixes] update =THANKS
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-61
       [devo] merge back from devo
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-62
       update =THANKS
    

    modified files:
     =THANKS ChangeLog

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-61
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-62


2003-09-14 16:21:56 GMT	Tom Lord <lord@emf.net>	patch-163

    Summary:
      [timestamps] avoid system calls in inventory routines
    Revision:
      tla--devo--1.1--patch-163

    [timestamps] avoid system calls in inventory routines
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--timestamps--1.1--patch-8
       low level of implicit tags caching
    
     * lord@emf.net--2003b/tla--timestamps--1.1--patch-9
       avoid system calls in inventory routines
    

    modified files:
     ChangeLog libarch/cmd-add-tag.c libarch/cmd-inv-tag.c
     libarch/cmd-library-file.c libarch/file-diffs.c
     libarch/inode-sig.c libarch/inode-sig.h libarch/inv-tags.c
     libarch/inv-tags.h libarch/invent.c libarch/library-txn.c
     libarch/make-changeset-files.c libarch/pristines.c

    new patches:
     lord@emf.net--2003b/tla--timestamps--1.1--patch-8
     lord@emf.net--2003b/tla--timestamps--1.1--patch-9


2003-09-13 19:04:23 GMT	Tom Lord <lord@emf.net>	patch-162

    Summary:
      [small-fixes] =THANKS update
    Revision:
      tla--devo--1.1--patch-162

    [small-fixes] =THANKS update
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-59
       =THANKS update
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-60
       =THANKS update (really this time)
    

    modified files:
     =THANKS ChangeLog

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-59
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-60


2003-09-13 18:46:08 GMT	Tom Lord <lord@emf.net>	patch-161

    Summary:
      [timestamps] inode signature optimization
    Revision:
      tla--devo--1.1--patch-161

    [timestamps] inode signature optimization
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--timestamps--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-104
    
     * lord@emf.net--2003b/tla--timestamps--1.1--patch-1
       merge from tla--devo--1.1
    
     * lord@emf.net--2003b/tla--timestamps--1.1--patch-2
       merge from devo
    
     * lord@emf.net--2003b/tla--timestamps--1.1--patch-3
       record inode signatures on build-rev and commit
    
     * lord@emf.net--2003b/tla--timestamps--1.1--patch-4
       be able to read inode sig snapshots
    
     * lord@emf.net--2003b/tla--timestamps--1.1--patch-5
       inode optimization low level introduced (not used yet) -- fix FIXMEs
    
     * lord@emf.net--2003b/tla--timestamps--1.1--patch-6
       raise inode-sig params and FIXMEs to callers
    
     * lord@emf.net--2003b/tla--timestamps--1.1--patch-7
       activate the inode signature optimization
    

    new files:
     libarch/inode-sig.c libarch/inode-sig.h

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/arbdelta.c
     libarch/build-revision.c libarch/cmd-changeset.c
     libarch/cmd-revdelta.c libarch/cmd-undo-changes.c
     libarch/cmd-what-changed.c libarch/commit.c libarch/diffs.c
     libarch/diffs.h libarch/file-diffs.c
     libarch/make-changeset-files.c libarch/make-changeset.c
     libarch/make-changeset.h libarch/star-merge.c libarch/undo.c
     libarch/undo.h

    new patches:
     lord@emf.net--2003b/tla--timestamps--1.1--base-0
     lord@emf.net--2003b/tla--timestamps--1.1--patch-1
     lord@emf.net--2003b/tla--timestamps--1.1--patch-2
     lord@emf.net--2003b/tla--timestamps--1.1--patch-3
     lord@emf.net--2003b/tla--timestamps--1.1--patch-4
     lord@emf.net--2003b/tla--timestamps--1.1--patch-5
     lord@emf.net--2003b/tla--timestamps--1.1--patch-6
     lord@emf.net--2003b/tla--timestamps--1.1--patch-7


2003-09-12 20:14:39 GMT	Tom Lord <lord@emf.net>	patch-160

    Summary:
      [small-fixes] minor fix to binary_files_differ (no correctness consequences)
    Revision:
      tla--devo--1.1--patch-160

    [small-fixes] minor fix to binary_files_differ (no correctness consequences)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-57
       [devo] merge from devo
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-58
       minor fix to binary_files_differ (no correctness consequences)
    

    modified files:
     ChangeLog libarch/diffs.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-57
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-58


2003-09-11 22:34:26 GMT	Tom Lord <lord@emf.net>	patch-159

    Summary:
      [tagging] =THANKS update
    Revision:
      tla--devo--1.1--patch-159

    [tagging] =THANKS update
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-22
       =THANKS update
    

    modified files:
     =THANKS ChangeLog

    new patches:
     lord@emf.net--2003b/tla--tagging--1.1--patch-22


2003-09-11 19:23:19 GMT	Tom Lord <lord@emf.net>	patch-158

    Summary:
      [tagging] untagged-source directive in =tagging-method
    Revision:
      tla--devo--1.1--patch-158

    [tagging] untagged-source directive in =tagging-method
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-13
       parse untagged-source option in =tagging-method
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-14
       new param to arch_file_tag (TODO: fix "FIXME_0")
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-15
       further propogate untagged_source_category params
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-16
       honor untagged-source in inventory routines ("FIXME_0" fixed)
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-17
       clean up field name
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-18
       add has_source_name param to inventory callbacks
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-19
       indicate untagged_source in inventory output
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-20
       untagged-source support in tree-lint
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-21
       tagging-defaults updated
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/apply-changeset.h
     libarch/arbdelta.c libarch/build-revision.c
     libarch/changelogs.c libarch/changeset-utils.c
     libarch/changeset-utils.h libarch/cmd-add-tag.c
     libarch/cmd-changeset.c libarch/cmd-deltapatch.c
     libarch/cmd-do-changeset.c libarch/cmd-inv-tag.c
     libarch/cmd-library-file.c libarch/cmd-redo-changes.c
     libarch/cmd-revdelta.c libarch/cmd-srcfind.c
     libarch/cmd-tagging-method.c libarch/cmd-what-changed.c
     libarch/commit.c libarch/file-diffs.c libarch/inv-tags.c
     libarch/inv-tags.h libarch/invent.c libarch/invent.h
     libarch/library-txn.c libarch/make-changeset-files.c
     libarch/make-changeset-files.h libarch/make-changeset.c
     libarch/make-changeset.h libarch/proj-tree-lint.c
     libarch/proj-tree-lint.h libarch/replay.c libarch/star-merge.c
     libarch/undo.c

    new patches:
     lord@emf.net--2003b/tla--tagging--1.1--patch-13
     lord@emf.net--2003b/tla--tagging--1.1--patch-14
     lord@emf.net--2003b/tla--tagging--1.1--patch-15
     lord@emf.net--2003b/tla--tagging--1.1--patch-16
     lord@emf.net--2003b/tla--tagging--1.1--patch-17
     lord@emf.net--2003b/tla--tagging--1.1--patch-18
     lord@emf.net--2003b/tla--tagging--1.1--patch-19
     lord@emf.net--2003b/tla--tagging--1.1--patch-20
     lord@emf.net--2003b/tla--tagging--1.1--patch-21


2003-09-10 20:07:16 GMT	Tom Lord <lord@emf.net>	patch-157

    Summary:
      [tagging] PLUGIN/REQ correction
    Revision:
      tla--devo--1.1--patch-157

    [tagging] PLUGIN/REQ correction
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-12
       PLUGIN/REQ correction
    

    modified files:
     ChangeLog PLUGIN/REQ

    new patches:
     lord@emf.net--2003b/tla--tagging--1.1--patch-12


2003-09-10 18:54:25 GMT	Tom Lord <lord@emf.net>	patch-156

    Summary:
      [tagging] sync up and remove liblarch dependency
    Revision:
      tla--devo--1.1--patch-156

    [tagging] sync up and remove liblarch dependency
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--tagging--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-104
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-1
       merge from tla--devo--1.1
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-2
       eliminate liblarch dependency
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-3
       started on inventory.c
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-4
       merge back from devo
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-5
       merge from devo
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-6
       data structure for file-id "programs"
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-7
       change strategry for encoding file id "programs"
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-8
       it-compiles-and-i-have-to-make-breakfast milestone
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-9
       file id computing coded
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-10
       [devo] catch up to devo
    
     * lord@emf.net--2003b/tla--tagging--1.1--patch-11
       tree rearrangement
    

    new files:
     libarch/=scraps/.arch-ids/=id libarch/=scraps/inventory.c
     libarch/=scraps/inventory.h

    modified files:
     ChangeLog libarch/inv-tags.c tla/Makefile.in

    new directories:
     libarch/=scraps libarch/=scraps/.arch-ids

    new patches:
     lord@emf.net--2003b/tla--tagging--1.1--base-0
     lord@emf.net--2003b/tla--tagging--1.1--patch-1
     lord@emf.net--2003b/tla--tagging--1.1--patch-2
     lord@emf.net--2003b/tla--tagging--1.1--patch-3
     lord@emf.net--2003b/tla--tagging--1.1--patch-4
     lord@emf.net--2003b/tla--tagging--1.1--patch-5
     lord@emf.net--2003b/tla--tagging--1.1--patch-6
     lord@emf.net--2003b/tla--tagging--1.1--patch-7
     lord@emf.net--2003b/tla--tagging--1.1--patch-8
     lord@emf.net--2003b/tla--tagging--1.1--patch-9
     lord@emf.net--2003b/tla--tagging--1.1--patch-10
     lord@emf.net--2003b/tla--tagging--1.1--patch-11


2003-09-07 22:06:15 GMT	Tom Lord <lord@emf.net>	patch-155

    Summary:
      [small fixes] type foo
    Revision:
      tla--devo--1.1--patch-155

    [small fixes] type foo
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-56
       type foo
    

    modified files:
     ChangeLog libarch/arbdelta.c libarch/changelogs.c
     libarch/cmd-help.c libarch/cmd-my-id.c libarch/commit.c
     libarch/import.c libarch/library-txn.c libarch/replay.c
     libarch/star-merge.c libarch/undo.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-56


2003-09-07 20:10:26 GMT	Tom Lord <lord@emf.net>	patch-154

    Summary:
      [small-fixes] trigraph foo
    Revision:
      tla--devo--1.1--patch-154

    [small-fixes] trigraph foo
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-55
       trigraph foo
    

    modified files:
     ChangeLog libarch/changelogs.c libarch/cmd-ancestry.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-55


2003-08-31 02:00:39 GMT	Tom Lord <lord@emf.net>	patch-153

    Summary:
      [small-fixes] ftp made compatible to the publicfile server (Sascha Silbe)
    Revision:
      tla--devo--1.1--patch-153

    [small-fixes] ftp made compatible to the publicfile server (Sascha Silbe)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-54
       ftp made compatible to the publicfile server (Sascha Silbe)
    

    modified files:
     =THANKS ChangeLog libarch/pfs-ftp.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-54


2003-08-31 00:02:33 GMT	Tom Lord <lord@emf.net>	patch-152

    Summary:
      [small-fixes] make update REVISION work
    Revision:
      tla--devo--1.1--patch-152

    [small-fixes] make update REVISION work
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-53
       make update REVISION work
    

    modified files:
     =THANKS ChangeLog libarch/cmd-update.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-53


2003-08-30 19:11:03 GMT	Tom Lord <lord@emf.net>	patch-151

    Summary:
      [small-fixes] remove bogus --report option from srcfind
    Revision:
      tla--devo--1.1--patch-151

    [small-fixes] remove bogus --report option from srcfind
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-52
       remove bogus --report option from srcfind
    

    modified files:
     =THANKS ChangeLog libarch/cmd-srcfind.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-52


2003-08-30 17:30:14 GMT	Tom Lord <lord@emf.net>	patch-150

    Summary:
      [small-fixes] [bug #4917] what-changed vs. no patch logs
    Revision:
      tla--devo--1.1--patch-150

    [small-fixes] [bug #4917] what-changed vs. no patch logs
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-51
       [bug #4917] what-changed vs. no patch logs
    

    modified files:
     =THANKS ChangeLog libarch/cmd-what-changed.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-51


2003-08-30 16:43:07 GMT	Tom Lord <lord@emf.net>	patch-149

    Summary:
      [small-fixes] ARCHIVE argument to library-categories (Jason McCarty)
    Revision:
      tla--devo--1.1--patch-149

    [small-fixes] ARCHIVE argument to library-categories (Jason McCarty)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-50
       ARCHIVE argument to library-categories (Jason McCarty)
    

    modified files:
     =THANKS ChangeLog libarch/cmd-categories.c
     libarch/cmd-library-categories.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-50


2003-08-30 16:19:35 GMT	Tom Lord <lord@emf.net>	patch-148

    Summary:
      [small-fixes] first cut at grab command (markbt)
    Revision:
      tla--devo--1.1--patch-148

    [small-fixes] first cut at grab command (markbt)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-49
       first cut at grab command (markbt)
    
     * markbt@efaref.net--2003/tla--markbt--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-125
    
     * markbt@efaref.net--2003/tla--markbt--1.1--patch-1
       add simple implementation of `grab' command
    

    new files:
     libarch/cmd-grab.c libarch/cmd-grab.h

    modified files:
     ChangeLog libarch/cmds.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-49
     markbt@efaref.net--2003/tla--markbt--1.1--base-0
     markbt@efaref.net--2003/tla--markbt--1.1--patch-1


2003-08-30 15:33:19 GMT	Tom Lord <lord@emf.net>	patch-147

    Summary:
      [small-fixes] fix tla add (Damien)
    Revision:
      tla--devo--1.1--patch-147

    [small-fixes] fix tla add (Damien)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-48
       fix tla add (Damien)
    

    modified files:
     =THANKS ChangeLog libarch/cmd-add-tag.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-48


2003-08-30 03:47:15 GMT	Tom Lord <lord@emf.net>	patch-146

    Summary:
      [small-fixes] tla buildcfg without default archive (Robin Farine)
    Revision:
      tla--devo--1.1--patch-146

    [small-fixes] tla buildcfg without default archive (Robin Farine)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-47
       tla buildcfg without default archive (Robin Farine)
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-6
       buildcfg -- get default archive from project tree version
    

    modified files:
     ChangeLog libarch/cmd-buildcfg.c libarch/configs.c
     libarch/configs.h

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-47
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-6


2003-08-30 00:00:55 GMT	Tom Lord <lord@emf.net>	patch-145

    Summary:
      [small-fixes] tla ignores modified permissions on directories (Damien Elmes)
    Revision:
      tla--devo--1.1--patch-145

    [small-fixes] tla ignores modified permissions on directories (Damien Elmes)
    
    Patches applied:
    
     * arch@repose.cx--03/tla--devo--1.1--patch-22
       use modified perms, not original perms, for dir changeset
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-46
       tla ignores modified permissions on directories (Damien Elmes)
    

    modified files:
     ChangeLog libarch/make-changeset.c

    new patches:
     arch@repose.cx--03/tla--devo--1.1--patch-22
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-46


2003-08-29 23:17:44 GMT	Tom Lord <lord@emf.net>	patch-144

    Summary:
      [small-fixes] Make undo/update less confusingly chatty (miles)
    Revision:
      tla--devo--1.1--patch-144

    [small-fixes] Make undo/update less confusingly chatty (miles)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-45
       Make undo/update less confusingly chatty (miles)
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-25
       Make undo/update less confusingly chatty
    

    modified files:
     ChangeLog libarch/undo.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-45
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-25


2003-08-29 22:54:42 GMT	Tom Lord <lord@emf.net>	patch-143

    Summary:
      [small-fixes] Leading ./ removal in inventory sub-command (miles)
    Revision:
      tla--devo--1.1--patch-143

    [small-fixes] Leading ./ removal in inventory sub-command (miles)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-44
       Leading ./ removal in inventory sub-command (miles)
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-23
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-24
       Leading ./ removal in inventory sub-command
    

    modified files:
     ChangeLog libarch/cmd-srcfind.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-44
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-23
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-24


2003-08-29 21:54:56 GMT	Tom Lord <lord@emf.net>	patch-142

    Summary:
      [small-fixes] add --tag TAG option to add (ben@criertower)
    Revision:
      tla--devo--1.1--patch-142

    [small-fixes] add --tag TAG option to add (ben@criertower)
    
    Patches applied:
    
     * ben@criertower.com--arch/tla--devo--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-131
    
     * ben@criertower.com--arch/tla--devo--1.1--patch-1
       Added --tag TAG option to the ' tla add-tag' command
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-43
       add --tag TAG option to add (ben@criertower)
    

    modified files:
     ChangeLog libarch/cmd-add-tag.c

    new patches:
     ben@criertower.com--arch/tla--devo--1.1--base-0
     ben@criertower.com--arch/tla--devo--1.1--patch-1
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-43


2003-08-29 21:10:49 GMT	Tom Lord <lord@emf.net>	patch-141

    Summary:
      [small-fixes] honor nested tagging methods in inventory --nested (Robin Farine)
    Revision:
      tla--devo--1.1--patch-141

    [small-fixes] honor nested tagging methods in inventory --nested (Robin Farine)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-42
       honor nested tagging methods in inventory --nested (Robin Farine)
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-106
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-1
       buildcfg gets its default archive from the project tree
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-2
       honor nested trees tagging methods & regexps during inventory
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-3
       merge from lord@emf.net--2003b
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-4
       merge from lord@emf.net--2003b
    
     * robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-5
       undo patch-1
    

    modified files:
     ChangeLog libarch/cmd-srcfind.c libarch/invent.c
     libarch/invent.h

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-42
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--base-0
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-1
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-2
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-3
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-4
     robin.farine@terminus.org--arch-2003/tla--rnf--1.1--patch-5


2003-08-28 22:53:56 GMT	Tom Lord <lord@emf.net>	patch-140

    Summary:
      [small-fixes] [bug #4926] archive name error message glitch (Bruce Stephens)
    Revision:
      tla--devo--1.1--patch-140

    [small-fixes] [bug #4926] archive name error message glitch (Bruce Stephens)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-40
       merge back from devo
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-41
       [bug #4926] archive name error message glitch (Bruce Stephens)
    

    modified files:
     ChangeLog libarch/archive.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-40
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-41


2003-08-28 22:29:33 GMT	Tom Lord <lord@emf.net>	patch-139

    Summary:
      [small-fixes] fix ill-initialized structure in archive.c
    Revision:
      tla--devo--1.1--patch-139

    [small-fixes] fix ill-initialized structure in archive.c
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-39
       fix ill-initialized structure in archive.c
    

    modified files:
     ChangeLog libarch/archive.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-39


2003-08-28 22:06:41 GMT	Tom Lord <lord@emf.net>	patch-138

    Summary:
      [small-fixes] tree-lint filters, -L to import, config location liberty (Rob Weir)
    Revision:
      tla--devo--1.1--patch-138

    [small-fixes] tree-lint filters, -L to import, config location liberty (Rob Weir)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-38
       tree-lint filters, -L to import, config location liberty (Rob Weir)
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-123
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-1
       give tree-lint some options to only print a subset of errors
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-2
       add a -L (log text) option to `import'
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-3
       Merge in changes from Tom
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-4
       catch up with tom again
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-5
       `tla buildcfg configs/foo' looks for ./configs/foo if ./configs/configs/foo doesn't exist
    
     * rweir@ertius.org--2003-arch/tla--devo--1.1--patch-6
       (really) sync up with tom
    

    modified files:
     ChangeLog libarch/cmd-imprev.c libarch/cmd-tree-lint.c
     libarch/configs.c libarch/proj-tree-lint.c
     libarch/proj-tree-lint.h

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-38
     rweir@ertius.org--2003-arch/tla--devo--1.1--base-0
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-1
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-2
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-3
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-4
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-5
     rweir@ertius.org--2003-arch/tla--devo--1.1--patch-6


2003-08-28 03:58:49 GMT	Tom Lord <lord@emf.net>	patch-137

    Summary:
      [small-fixes] replay -- report when the tree is up to date (Damien Elmes)
    Revision:
      tla--devo--1.1--patch-137

    [small-fixes] replay -- report when the tree is up to date (Damien Elmes)
    
    Patches applied:
    
     * arch@repose.cx--03/tla--devo--1.1--patch-17
       merge with lord
    
     * arch@repose.cx--03/tla--devo--1.1--patch-18
       merge with lord
    
     * arch@repose.cx--03/tla--devo--1.1--patch-19
       merge w/ lord
    
     * arch@repose.cx--03/tla--devo--1.1--patch-20
       replay: report when the tree is already up to date
    
     * arch@repose.cx--03/tla--devo--1.1--patch-21
       merge w/ lord
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-37
       replay -- report when the tree is up to date (Damien Elmes)
    

    modified files:
     ChangeLog libarch/cmd-replay.c

    new patches:
     arch@repose.cx--03/tla--devo--1.1--patch-17
     arch@repose.cx--03/tla--devo--1.1--patch-18
     arch@repose.cx--03/tla--devo--1.1--patch-19
     arch@repose.cx--03/tla--devo--1.1--patch-20
     arch@repose.cx--03/tla--devo--1.1--patch-21
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-37


2003-08-28 02:49:54 GMT	Tom Lord <lord@emf.net>	patch-136

    Summary:
      [small-fixes] tagging-method -H fix (Samuel Tardieu)
    Revision:
      tla--devo--1.1--patch-136

    [small-fixes] tagging-method -H fix (Samuel Tardieu)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-36
       tagging-method -H fix (Samuel Tardieu)
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-2
       Merge with Lord
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-3
       Add missing `tagline' method in `tagging-method' long help message
    

    modified files:
     ChangeLog libarch/cmd-tagging-method.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-36
     sam@rfc1149.net--public/tla--sam--1.1--patch-2
     sam@rfc1149.net--public/tla--sam--1.1--patch-3


2003-08-28 00:41:11 GMT	Tom Lord <lord@emf.net>	patch-135

    Summary:
      [small-fixes] various bug fixes from mt@wmipf
    Revision:
      tla--devo--1.1--patch-135

    [small-fixes] various bug fixes from mt@wmipf
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-35
       various bug fixes from mt@wmipf
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-14
       merge with lord
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-15
       make file-find use its own help string
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-16
       fix file-{diffs,find} for untagged source files
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-17
       merge with lord
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-18
       fix buffer overflow
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-19
       fix data connection handling for NLST
    

    modified files:
     ChangeLog libarch/cmd-file-diffs.c libarch/cmd-file-find.c
     libarch/file-diffs.c libarch/pfs-ftp.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-35
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-14
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-15
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-16
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-17
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-18
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-19


2003-08-27 21:29:45 GMT	Tom Lord <lord@emf.net>	patch-134

    Summary:
      [small-fixes] merge with miles (command line, output formats, command names)
    Revision:
      tla--devo--1.1--patch-134

    [small-fixes] merge with miles (command line, output formats, command names)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-34
       merge with miles (command line, output formats, command names)
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-111
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-1
       Handle --output option
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-2
       Pass down default archive to sub-commands
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-3
       Star-merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-4
       Correctly revert my cmd-revdelta.c patch
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-5
       Fix in-project-tree test in join-branch
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-6
       Merge from Tom
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-7
       Directory options for update, replay, sync-tree, join-branch, and delta-patch
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-8
       Rework star-merge command-line syntax
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-9
       Change redo -p option into a positional argument
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-10
       Allow what-changed -q without --verbose or --diffs
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-11
       Remove --files option from commit and mkpatch
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-12
       Use proper sub-command name in error messages
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-13
       Add `pristines' sub-command for consistency
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-14
       Rearrange which commands are considered `aliases'
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-15
       More sub-command name / error message corrections
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-16
       Don't add extraneous newlines when BODY is 0
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-17
       Add commit --summary option
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-18
       Don't add empty headers to log files
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-19
       Omit leading ./ in filename output
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-20
       Output what-changed separator newline only when needed
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-21
       Yet more sub-command name / error message corrections
    
     * miles@gnu.org--gnu-2003/tla--devo--1.1--patch-22
       More leading ./ in filename output removal
    
     * miles@gnu.org--home-2003/tla--home--1.1--patch-1
       Directory options for update, replay, sync-tree, join-branch, and delta-patch
    
     * miles@gnu.org--home-2003/tla--home--1.1--patch-2
       Rework star-merge command-line syntax
    
     * miles@gnu.org--home-2003/tla--home--1.1--patch-3
       Change redo -p option into a positional argument
    
     * miles@gnu.org--home-2003/tla--home--1.1--patch-4
       Allow what-changed -q without --verbose or --diffs
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/changeset-report.c
     libarch/cmd-abrowse.c libarch/cmd-add-log.c
     libarch/cmd-add-pristine.c libarch/cmd-ancestry-graph.c
     libarch/cmd-ancestry.c libarch/cmd-archive-fixup.c
     libarch/cmd-archive-meta-info.c libarch/cmd-archive-mirror.c
     libarch/cmd-archive-setup.c libarch/cmd-archive-snapshot.c
     libarch/cmd-archive-version.c libarch/cmd-branches.c
     libarch/cmd-buildcfg.c libarch/cmd-cachedrevs.c
     libarch/cmd-cacherev.c libarch/cmd-cat-archive-log.c
     libarch/cmd-cat-log.c libarch/cmd-categories.c
     libarch/cmd-cfgcat.c libarch/cmd-changelog.c
     libarch/cmd-changeset.c libarch/cmd-cmtrev.c
     libarch/cmd-deltapatch.c libarch/cmd-do-changeset.c
     libarch/cmd-file-diffs.c libarch/cmd-file-find.c
     libarch/cmd-find-pristine.c libarch/cmd-get-patch.c
     libarch/cmd-getrev.c libarch/cmd-imprev.c
     libarch/cmd-init-tree.c libarch/cmd-inv-tag.c
     libarch/cmd-join-branch.c libarch/cmd-library-add.c
     libarch/cmd-library-branches.c
     libarch/cmd-library-categories.c libarch/cmd-library-file.c
     libarch/cmd-library-find.c libarch/cmd-library-log.c
     libarch/cmd-library-remove.c libarch/cmd-library-revisions.c
     libarch/cmd-library-versions.c libarch/cmd-lock-pristine.c
     libarch/cmd-lock-revision.c libarch/cmd-log-for-merge.c
     libarch/cmd-log-ls.c libarch/cmd-logs.c
     libarch/cmd-ls-pristines.c libarch/cmd-make-archive.c
     libarch/cmd-make-branch.c libarch/cmd-make-category.c
     libarch/cmd-make-log.c libarch/cmd-make-version.c
     libarch/cmd-merges.c libarch/cmd-my-default-archive.c
     libarch/cmd-my-id.c libarch/cmd-my-revision-library.c
     libarch/cmd-new-merges.c libarch/cmd-parse-package-name.c
     libarch/cmd-redo-changes.c libarch/cmd-register-archive.c
     libarch/cmd-remove-log.c libarch/cmd-replay.c
     libarch/cmd-revdelta.c libarch/cmd-revisions.c
     libarch/cmd-set-tree-version.c libarch/cmd-star-merge.c
     libarch/cmd-sync-tree.c libarch/cmd-tagging-method.c
     libarch/cmd-tagrev.c libarch/cmd-tree-lint.c
     libarch/cmd-tree-root.c libarch/cmd-tree-version.c
     libarch/cmd-uncacherev.c libarch/cmd-undo-changes.c
     libarch/cmd-update.c libarch/cmd-versions.c
     libarch/cmd-what-changed.c libarch/cmd-whats-missing.c
     libarch/cmd-whereis-archive.c libarch/cmds.c libarch/commit.c
     libarch/import.c libarch/make-changeset.c libarch/patch-logs.c
     libarch/tag.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-34
     miles@gnu.org--gnu-2003/tla--devo--1.1--base-0
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-1
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-2
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-3
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-4
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-5
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-6
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-7
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-8
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-9
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-10
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-11
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-12
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-13
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-14
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-15
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-16
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-17
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-18
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-19
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-20
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-21
     miles@gnu.org--gnu-2003/tla--devo--1.1--patch-22
     miles@gnu.org--home-2003/tla--home--1.1--patch-1
     miles@gnu.org--home-2003/tla--home--1.1--patch-2
     miles@gnu.org--home-2003/tla--home--1.1--patch-3
     miles@gnu.org--home-2003/tla--home--1.1--patch-4


2003-08-27 19:41:56 GMT	Tom Lord <lord@emf.net>	patch-133

    Summary:
      [small-fixes] =THANKS update
    Revision:
      tla--devo--1.1--patch-133

    [small-fixes] =THANKS update
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-33
       =THANKS update
    

    modified files:
     ./=THANKS ./ChangeLog

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-33


2003-08-22 16:20:29 GMT	Tom Lord <lord@emf.net>	patch-132

    Summary:
      [small-fixes] fixed loop invoking callback in apply-changeset (tez)
    Revision:
      tla--devo--1.1--patch-132

    [small-fixes] fixed loop invoking callback in apply-changeset (tez)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-32
       fixed loop test error invoking callback in apply-changeset (tez)
    

    modified files:
     ./ChangeLog ./libarch/apply-changeset.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-32


2003-08-21 19:10:12 GMT	Tom Lord <lord@emf.net>	patch-131

    Summary:
      [small-fixes] default-tag bug fix (mirian)
    Revision:
      tla--devo--1.1--patch-131

    [small-fixes] default-tag bug fix (mirian)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-31
       default-tag bug fix (mirian)
    
     * mirian@cosmic.com--2003/tla--cosmic--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-127
    
     * mirian@cosmic.com--2003/tla--cosmic--1.1--patch-1
       fixed error in conditional
    

    modified files:
     ./ChangeLog ./libarch/cmd-default-tag.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-31
     mirian@cosmic.com--2003/tla--cosmic--1.1--base-0
     mirian@cosmic.com--2003/tla--cosmic--1.1--patch-1


2003-08-21 18:41:12 GMT	Tom Lord <lord@emf.net>	patch-130

    Summary:
      [small-fixes] solaris build fixes and help msg fix (stig)
    Revision:
      tla--devo--1.1--patch-130

    [small-fixes] solaris build fixes and help msg fix (stig)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-30
       solaris build fixes and help msg fix (stig)
    
     * stig@brautaset.org--2003/tla--stig--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-127
    
     * stig@brautaset.org--2003/tla--stig--1.1--patch-1
       remove lord's changelog and add mine instead
    
     * stig@brautaset.org--2003/tla--stig--1.1--patch-2
       fix init-tree --nested help message
    
     * stig@brautaset.org--2003/tla--stig--1.1--patch-3
       replace strsep() with str_separate() from hackerlab in pfs-sftp.c
    
     * stig@brautaset.org--2003/tla--stig--1.1--patch-4
       replace strsep() with hackerlab's equivalent in pfs-dav.c
    

    modified files:
     ./ChangeLog ./libarch/cmd-init-tree.c ./libarch/pfs-dav.c
     ./libarch/pfs-sftp.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-30
     stig@brautaset.org--2003/tla--stig--1.1--base-0
     stig@brautaset.org--2003/tla--stig--1.1--patch-1
     stig@brautaset.org--2003/tla--stig--1.1--patch-2
     stig@brautaset.org--2003/tla--stig--1.1--patch-3
     stig@brautaset.org--2003/tla--stig--1.1--patch-4


2003-08-21 18:05:57 GMT	Tom Lord <lord@emf.net>	patch-129

    Summary:
      [small-fixes] arch_find_pristine bug fix (cgray)
    Revision:
      tla--devo--1.1--patch-129

    [small-fixes] arch_find_pristine bug fix (cgray)
    
    Patches applied:
    
     * christopher.gray@mail.mcgill.ca--archive-ubc/tla--bugfixes--1.0--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-127
    
     * christopher.gray@mail.mcgill.ca--archive-ubc/tla--bugfixes--1.0--patch-1
       arch_find_pristine bug fix to prevent EACCESS panic
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-29
       arch_find_pristine bug fix (cgray)
    

    modified files:
     ./ChangeLog ./libarch/pristines.c

    new patches:
     christopher.gray@mail.mcgill.ca--archive-ubc/tla--bugfixes--1.0--base-0
     christopher.gray@mail.mcgill.ca--archive-ubc/tla--bugfixes--1.0--patch-1
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-29


2003-08-21 17:36:25 GMT	Tom Lord <lord@emf.net>	patch-128

    Summary:
      [small-fixes] help and error message fixes from ed.gomez
    Revision:
      tla--devo--1.1--patch-128

    [small-fixes] help and error message fixes from ed.gomez
    
    Patches applied:
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-12
       Synced with tomlord patch-123
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-13
       Cosmetic chnages to the star-merge help message -- more 80x25 terminal friendly
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-14
       Add some text initialization where it was appropriate
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-15
       Synced with tom's branch patch-127
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-28
       help and error message fixes from ed.gomez
    

    modified files:
     ./ChangeLog ./libarch/cmd-star-merge.c ./libarch/pfs-ftp.c

    new patches:
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-12
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-13
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-14
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-15
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-28


2003-07-31 22:07:57 GMT	Tom Lord <lord@emf.net>	patch-127

    Summary:
      small-fixes: minor fixes
    Revision:
      tla--devo--1.1--patch-127

    small-fixes: minor fixes
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-26
       add test target to libneon (again!?!?)
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-27
       fix a compiler warning
    

    modified files:
     ./ChangeLog ./libarch/merge-points.c ./libneon/Makefile.in

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-26
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-27


2003-07-31 14:54:07 GMT	Tom Lord <lord@emf.net>	patch-126

    Summary:
      small-fixes: prevent tagging non-existent revs and compute new-patches right in tag
    Revision:
      tla--devo--1.1--patch-126

    small-fixes: prevent tagging non-existent revs and compute new-patches right in tag
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-25
       prevent tagging non-existent revs and compute new-patches right in tag
    

    modified files:
     ./ChangeLog ./libarch/ancestry.c ./libarch/cmd-merges.c
     ./libarch/merge-points.c ./libarch/merge-points.h
     ./libarch/tag.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-25


2003-07-28 07:30:33 GMT	Tom Lord <lord@emf.net>	patch-125

    Summary:
      small-fixes: ls-archives regexp feature (jblack)
    Revision:
      tla--devo--1.1--patch-125

    small-fixes: ls-archives regexp feature (jblack)
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-35
       Star-merged Tom's 7/24 merge storm
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-36
       Star merged from Tom again. Does he ever give up on this patching thing?
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-37
       Imported change to ls_archives that allows one to ls-archives [regular expression]
    
     * jblack@merconline.com--2003/tla--tla-devo-lsarchives-regex--1.1--base-0
       tag of jblack@merconline.com--2003/tla--devo--1.1--patch-35
    
     * jblack@merconline.com--2003/tla--tla-devo-lsarchives-regex--1.1--patch-1
       Added regex searching to ls-archives
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-23
       ls-archives regexp feature (jblack)
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-24
       fix nits in ls-archives regex support
    

    modified files:
     ./ChangeLog ./libarch/cmd-ls-archives.c

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-35
     jblack@merconline.com--2003/tla--devo--1.1--patch-36
     jblack@merconline.com--2003/tla--devo--1.1--patch-37
     jblack@merconline.com--2003/tla--tla-devo-lsarchives-regex--1.1--base-0
     jblack@merconline.com--2003/tla--tla-devo-lsarchives-regex--1.1--patch-1
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-23
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-24


2003-07-28 06:29:55 GMT	Tom Lord <lord@emf.net>	patch-124

    Summary:
      sync-tree with jblack past doc patches that wound up on a different project
    Revision:
      tla--devo--1.1--patch-124

    sync-tree with jblack past doc patches that wound up on a different project
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-24
       Fixed star-merge example merging graph
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-25
       Large number of additions to the glossary (Thanks Tom)
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-26
       moved the glossary entry to a place that I think more sense
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-27
       Star merged from tom
    

    modified files:
     ./ChangeLog

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-24
     jblack@merconline.com--2003/tla--devo--1.1--patch-25
     jblack@merconline.com--2003/tla--devo--1.1--patch-26
     jblack@merconline.com--2003/tla--devo--1.1--patch-27


2003-07-24 18:04:32 GMT	Tom Lord <lord@emf.net>	patch-123

    Summary:
      small-fixes: minor abrowse fixes
    Revision:
      tla--devo--1.1--patch-123

    small-fixes: minor abrowse fixes
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-22
       minor abrowse fixes
    

    modified files:
     ./ChangeLog ./libarch/cmd-abrowse.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-22


2003-07-24 17:36:41 GMT	Tom Lord <lord@emf.net>	patch-122

    Summary:
      small-fixes: whitespace fixes from Alexander
    Revision:
      tla--devo--1.1--patch-122

    small-fixes: whitespace fixes from Alexander
    
    Patches applied:
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.0--patch-173
       remove stray tabs/spaces in libarch/exec.*
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-92
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-1
       cherrypick a whitespace cleanup from tla--aderuwe--1.0
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-2
       remove stray tabs/spaces in libarch/archive-setup.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-3
       remove stray tabs/spaces in libarch/archives.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-4
       remove stray tabs/spaces in libarch/changeset-report.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-5
       remove stray tabs/spaces in libarch/cmd-make-log.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-6
       remove stray tabs/spaces in libarch/cmd-replay.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-7
       remove stray tabs/spaces in libarch/cmd-what-changed.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-8
       remove stray tabs/spaces in libarch/star-merge.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-9
       remove stray tabs/spaces in libarch/ancestry.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-10
       remove stray tabs/spaces in libarch/cmd-ancestry.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-11
       remove stray tabs/spaces in libarch/cmd-star-merge.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-12
       remove stray tabs/spaces in libarch/ancestry.h
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-13
       remove stray tabs/spaces in libarch/cmd-ancestry.h
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-14
       remove stray tabs/spaces in libarch/cmd-star-merge.h
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-15
       remove stray tabs/spaces in libarch/make-changeset.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-16
       remove stray tabs/spaces in libarch/patch-logs.c
    
     * alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-17
       remove stray tabs/spaces in libarch/star-merge.h
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-21
       whitespace fixes from Alexander
    

    modified files:
     ./ChangeLog ./libarch/ancestry.c ./libarch/ancestry.h
     ./libarch/archive-setup.c ./libarch/archives.c
     ./libarch/changeset-report.c ./libarch/cmd-ancestry-graph.c
     ./libarch/cmd-ancestry-graph.h ./libarch/cmd-make-log.c
     ./libarch/cmd-replay.c ./libarch/cmd-star-merge.c
     ./libarch/cmd-star-merge.h ./libarch/cmd-what-changed.c
     ./libarch/exec.c ./libarch/exec.h ./libarch/make-changeset.c
     ./libarch/patch-logs.c ./libarch/star-merge.c
     ./libarch/star-merge.h

    new patches:
     alexander@deruwe.be--2003/tla--aderuwe--1.0--patch-173
     alexander@deruwe.be--2003/tla--aderuwe--1.1--base-0
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-1
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-2
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-3
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-4
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-5
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-6
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-7
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-8
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-9
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-10
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-11
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-12
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-13
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-14
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-15
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-16
     alexander@deruwe.be--2003/tla--aderuwe--1.1--patch-17
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-21


2003-07-24 17:03:28 GMT	Tom Lord <lord@emf.net>	patch-121

    Summary:
      small-fixes: update/deltapatch bug fixes (mt@wmipf)
    Revision:
      tla--devo--1.1--patch-121

    small-fixes: update/deltapatch bug fixes (mt@wmipf)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-20
       update/deltapatch bug fixes (mt@wmipf)
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-10
       merge with lord (devo)
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-11
       fixed revdelta's changeset directory option, related fix in deltapatch
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-13
       propagate default archive name to getrev and revdelta
    

    modified files:
     ./ChangeLog ./libarch/cmd-deltapatch.c
     ./libarch/cmd-revdelta.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-20
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-10
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-11
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-13


2003-07-24 16:43:31 GMT	Tom Lord <lord@emf.net>	patch-120

    Summary:
      small-fixes: replay help message fix (Sam Tardieu)
    Revision:
      tla--devo--1.1--patch-120

    small-fixes: replay help message fix (Sam Tardieu)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-19
       replay help message fix (Sam Tardieu)
    
     * sam@rfc1149.net--public/tla--sam--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-104
    
     * sam@rfc1149.net--public/tla--sam--1.1--patch-1
       Fix help message
    

    modified files:
     ./ChangeLog ./libarch/cmd-replay.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-19
     sam@rfc1149.net--public/tla--sam--1.1--base-0
     sam@rfc1149.net--public/tla--sam--1.1--patch-1


2003-07-24 16:22:28 GMT	Tom Lord <lord@emf.net>	patch-119

    Summary:
      small-fixes: deprecated flag for commands (jblack)
    Revision:
      tla--devo--1.1--patch-119

    small-fixes: deprecated flag for commands (jblack)
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-28
       Adding depreciated option to tla help
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-29
       Mispelled arch_commands
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-30
       Just found out arg0 of safe_printfmt is the filehandle to print to in depreciated prints
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-31
       depreciated has been deprecated in favor of deprecated
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-32
       Printing deprecation at wrong place
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-33
       tla help with deprecated now works
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-34
       Merged in from Tom. Light conflicts in libarch/cmds.c
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-18
       deprecated flag for commands (jblack)
    

    modified files:
     ./ChangeLog ./libarch/cmd-help.c ./libarch/cmds.c
     ./libarch/cmds.h

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-28
     jblack@merconline.com--2003/tla--devo--1.1--patch-29
     jblack@merconline.com--2003/tla--devo--1.1--patch-30
     jblack@merconline.com--2003/tla--devo--1.1--patch-31
     jblack@merconline.com--2003/tla--devo--1.1--patch-32
     jblack@merconline.com--2003/tla--devo--1.1--patch-33
     jblack@merconline.com--2003/tla--devo--1.1--patch-34
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-18


2003-07-24 03:05:41 GMT	Tom Lord <lord@emf.net>	patch-118

    Summary:
      small-fixes: merge help and file-diffs fixes from ed.gomez
    Revision:
      tla--devo--1.1--patch-118

    small-fixes: merge help and file-diffs fixes from ed.gomez
    
    Patches applied:
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-10
       cmd-register-archive help message fixed + archive's name printing.
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-11
       Fixes modified patch file name in diff output.
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-17
       merge help and file-diffs fixes from ed.gomez
    

    modified files:
     ./ChangeLog ./libarch/cmd-file-diffs.c
     ./libarch/cmd-register-archive.c

    new patches:
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-10
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-11
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-17


2003-07-23 22:02:35 GMT	Tom Lord <lord@emf.net>	patch-117

    Summary:
      small-fixes: fix abrowse --since
    Revision:
      tla--devo--1.1--patch-117

    small-fixes: fix abrowse --since
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-16
       fix abrowse --since
    

    modified files:
     ./ChangeLog ./libarch/cmd-abrowse.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-16


2003-07-23 21:38:31 GMT	Tom Lord <lord@emf.net>	patch-116

    Summary:
      small-fixes: fix abrowse --snap
    Revision:
      tla--devo--1.1--patch-116

    small-fixes: fix abrowse --snap
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-15
       fix abrowse --snap
    

    modified files:
     ./ChangeLog ./libarch/cmd-abrowse.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-15


2003-07-23 19:11:02 GMT	Tom Lord <lord@emf.net>	patch-115

    Summary:
      small-fixes: fix whats-missing --full
    Revision:
      tla--devo--1.1--patch-115

    small-fixes: fix whats-missing --full
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-14
       fix whats-missing --full
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/cmd-whats-missing.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-14


2003-07-23 18:33:10 GMT	Tom Lord <lord@emf.net>	patch-114

    Summary:
      small-fixes: fix abrowse CLI bug
    Revision:
      tla--devo--1.1--patch-114

    small-fixes: fix abrowse CLI bug
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-13
       fixed CLI bug in abrowse
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/cmd-abrowse.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-13


2003-07-23 18:23:54 GMT	Tom Lord <lord@emf.net>	patch-113

    Summary:
      restore star-topology with small-fixes branch
    Revision:
      tla--devo--1.1--patch-113

    restore star-topology with small-fixes branch
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-12
       merge-back from devo
    

    modified files:
     ./ChangeLog

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-12


2003-07-23 18:04:24 GMT	Tom Lord <lord@emf.net>	patch-112

    Summary:
      small-fixes: make mirroring cached revs optional
    Revision:
      tla--devo--1.1--patch-112

    small-fixes: make mirroring cached revs optional
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-11
       make mirroring cached revisions optional
    

    modified files:
     ./ChangeLog ./libarch/archive-mirror.c
     ./libarch/archive-mirror.h ./libarch/archive.c
     ./libarch/archive.h ./libarch/cmd-archive-mirror.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-11


2003-07-23 00:42:32 GMT	Tom Lord <lord@emf.net>	patch-111

    Summary:
      small-fixes: dont leave ,,changelog in changesets
    Revision:
      tla--devo--1.1--patch-111

    small-fixes: dont leave ,,changelog in changesets
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-10
       dont leave ,,changelog in changesets
    

    modified files:
     ./ChangeLog ./libarch/commit.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-10


2003-07-18 20:36:09 GMT	Tom Lord <lord@emf.net>	patch-110

    Summary:
      abrowse (new command) -- browser-support merge
    Revision:
      tla--devo--1.1--patch-110

    abrowse (new command) -- browser-support merge
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-6
       framework for new command -- abrowse
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-7
       abrowse -- argument parsing
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-8
       merge from devo
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-9
       basic category/branch/view printing support in abrowse
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-10
       abrowse -- rudementary revision printing
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-11
       abrowse --since support
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-12
       abrowse --snap and --force support
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-13
       abrowse --omit-empty support
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-14
       abrowse fancy revision printing implemented
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-15
       abrowse --since-limits implemented
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-16
       devo merge
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-17
       minor bug fix
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-18
       abrowse options to show merges
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-19
       abrowse (new command)
    

    new files:
     ./libarch/cmd-abrowse.c ./libarch/cmd-abrowse.h

    modified files:
     ./ChangeLog ./libarch/cmds.c

    new patches:
     lord@emf.net--2003b/tla--browser-support--1.1--patch-6
     lord@emf.net--2003b/tla--browser-support--1.1--patch-7
     lord@emf.net--2003b/tla--browser-support--1.1--patch-8
     lord@emf.net--2003b/tla--browser-support--1.1--patch-9
     lord@emf.net--2003b/tla--browser-support--1.1--patch-10
     lord@emf.net--2003b/tla--browser-support--1.1--patch-11
     lord@emf.net--2003b/tla--browser-support--1.1--patch-12
     lord@emf.net--2003b/tla--browser-support--1.1--patch-13
     lord@emf.net--2003b/tla--browser-support--1.1--patch-14
     lord@emf.net--2003b/tla--browser-support--1.1--patch-15
     lord@emf.net--2003b/tla--browser-support--1.1--patch-16
     lord@emf.net--2003b/tla--browser-support--1.1--patch-17
     lord@emf.net--2003b/tla--browser-support--1.1--patch-18
     lord@emf.net--2003b/tla--browser-support--1.1--patch-19


2003-07-18 07:45:04 GMT	Tom Lord <lord@emf.net>	patch-109

    Summary:
      small-fixes merge
    Revision:
      tla--devo--1.1--patch-109

    small-fixes merge
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-7
       add fn rel_nl_split
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-8
       format multi-line log-file Summary: headers better in synopsis listings
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-9
       add options to include merges in patch-log summaries
    

    modified files:
     ./ChangeLog ./libarch/cmd-log-ls.c ./libarch/patch-logs.c
     ./libarch/patch-logs.h ./libawk/relational.c
     ./libawk/relational.h

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-7
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-8
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-9


2003-07-18 01:38:35 GMT	Tom Lord <lord@emf.net>	patch-108

    Summary:
      merge from small-fixes
    Revision:
      tla--devo--1.1--patch-108

    merge from small-fixes
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-6
       sync-tree REV implies sync-tree --in-place . REV
    

    modified files:
     ./ChangeLog ./libarch/cmd-sync-tree.c

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-6


2003-07-17 23:33:42 GMT	Tom Lord <lord@emf.net>	patch-107

    Summary:
      merge with small-fixes
    Revision:
      tla--devo--1.1--patch-107

    merge with small-fixes
    
    Patches applied:
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-92
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-2
       PFS FTP backend updates.
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-3
       Fixes potential NULL rel_table reading.
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-4
       Moved hostname freeing so it's still available for error reporting
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-5
       Fixes new revision .listing generation.
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-6
       Fixes "import" command behavior for log messages.
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-7
       Two small typo mistakes
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-8
       "tla register-archive location" support
    
     * ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-9
       Merged tom's branch last changes.
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-4
       merge from tla--devo--1.1
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-5
       ftp fixes, other bugfixes, register-archive-by-location (ed.gomez)
    

    modified files:
     ./ChangeLog ./libarch/archive-pfs.c ./libarch/archive.c
     ./libarch/archive.h ./libarch/cmd-imprev.c
     ./libarch/cmd-register-archive.c ./libarch/cmd-undo-changes.c
     ./libarch/cmd-what-changed.c ./libarch/pfs-ftp.c
     ./libarch/pfs.c

    new patches:
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--base-0
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-2
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-3
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-4
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-5
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-6
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-7
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-8
     ed.gomez@free.fr--2003-1/tla--edgomez--1.1--patch-9
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-4
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-5


2003-07-17 03:24:27 GMT	Tom Lord <lord@emf.net>	patch-106

    Summary:
      command renamed (ancestry->ancestry-graph) and new command (ancestry)
    Revision:
      tla--devo--1.1--patch-106

    command renamed (ancestry->ancestry-graph) and new command (ancestry)
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--browser-support--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-104
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-1
       rename the ancestry command -> ancestry-graph
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-2
       add cmd-ancestry skeleton
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-3
       progress on cmd-ancestry.c
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-4
       merge from tla--devo--1.1
    
     * lord@emf.net--2003b/tla--browser-support--1.1--patch-5
       ancestry command working
    

    new files:
     ./libarch/cmd-ancestry.c ./libarch/cmd-ancestry.h

    modified files:
     ./ChangeLog ./libarch/cmd-ancestry-graph.c
     ./libarch/cmd-ancestry-graph.h ./libarch/cmds.c

    renamed files:
     ./libarch/cmd-ancestry.c
       ==> ./libarch/cmd-ancestry-graph.c
     ./libarch/cmd-ancestry.h
       ==> ./libarch/cmd-ancestry-graph.h

    new patches:
     lord@emf.net--2003b/tla--browser-support--1.1--base-0
     lord@emf.net--2003b/tla--browser-support--1.1--patch-1
     lord@emf.net--2003b/tla--browser-support--1.1--patch-2
     lord@emf.net--2003b/tla--browser-support--1.1--patch-3
     lord@emf.net--2003b/tla--browser-support--1.1--patch-4
     lord@emf.net--2003b/tla--browser-support--1.1--patch-5


2003-07-17 00:46:13 GMT	Tom Lord <lord@emf.net>	patch-105

    Summary:
      merge from tla--small-fixes--1.1
    Revision:
      tla--devo--1.1--patch-105

    merge from tla--small-fixes--1.1
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-104
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-1
       help message fix
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-2
       accept version as revision spec in sync-tree
    
     * lord@emf.net--2003b/tla--small-fixes--1.1--patch-3
       generalize/prettify arch_print_headers_summary
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/archive.c ./libarch/archive.h
     ./libarch/cmd-archive-setup.c ./libarch/cmd-log-ls.c
     ./libarch/cmd-sync-tree.c ./libarch/cmd-whats-missing.c
     ./libarch/patch-logs.c ./libarch/patch-logs.h

    new patches:
     lord@emf.net--2003b/tla--small-fixes--1.1--base-0
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-1
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-2
     lord@emf.net--2003b/tla--small-fixes--1.1--patch-3


2003-07-14 23:36:48 GMT	Tom Lord <lord@emf.net>	patch-104

    Summary:
      remove the tutoral (now in docs-tla)
    Revision:
      tla--devo--1.1--patch-104

    remove the tutoral (now in docs-tla)
    

    removed files:
     ./tutorial/.arch-ids/=id
     ./tutorial/.arch-ids/examples-quickstart.doc.id
     ./tutorial/.arch-ids/glossary.doc.id ./tutorial/Makefile.in
     ./tutorial/PLUGIN/.arch-ids/=id
     ./tutorial/PLUGIN/.arch-ids/REQ.id ./tutorial/PLUGIN/REQ
     ./tutorial/arch.doc ./tutorial/archive-caching.doc
     ./tutorial/changeset-format.doc
     ./tutorial/checking-in-changes.doc
     ./tutorial/cherrypicking-changes.doc
     ./tutorial/development-branches.doc
     ./tutorial/document-license.doc
     ./tutorial/elementary-branches.doc
     ./tutorial/examples-quickstart.doc
     ./tutorial/exploring-changesets.doc ./tutorial/glossary.doc
     ./tutorial/importing-first.doc ./tutorial/in-general.doc
     ./tutorial/indexes.doc ./tutorial/introducing-changesets.doc
     ./tutorial/introducing-replay.doc
     ./tutorial/introducing-yourself.doc
     ./tutorial/introduction.doc ./tutorial/inventories.doc
     ./tutorial/inventory-tags.doc ./tutorial/little-help.doc
     ./tutorial/multi-tree-projects.doc
     ./tutorial/naming-conventions.doc ./tutorial/new-archive.doc
     ./tutorial/new-project.doc ./tutorial/new-source.doc
     ./tutorial/project-management.doc
     ./tutorial/retrieving-earlier-revisions.doc
     ./tutorial/revision-libraries.doc
     ./tutorial/selected-files-commits.doc
     ./tutorial/shared-and-public-archives.doc
     ./tutorial/source-license.doc ./tutorial/symbolic-tags.doc
     ./tutorial/system-requirements.doc ./tutorial/tree-history.doc
     ./tutorial/update-commit.doc ./tutorial/using-hooks.doc

    modified files:
     ./ChangeLog

    removed directories:
     ./tutorial ./tutorial/.arch-ids ./tutorial/PLUGIN
     ./tutorial/PLUGIN/.arch-ids


2003-07-14 21:40:50 GMT	Tom Lord <lord@emf.net>	patch-103

    Summary:
      new command (file-find) and pristine-tree automation (merge w/ bulb)
    Revision:
      tla--devo--1.1--patch-103

    new command (file-find) and pristine-tree automation (merge w/ bulb)
    
    Patches applied:
    
     * bulb@ucw.cz--arch-2003/tla--bulb--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-90
    
     * bulb@ucw.cz--arch-2003/tla--bulb--1.1--patch-1
       what-changed, file-diffs and undo now create pristine tree on-demand
    
     * bulb@ucw.cz--arch-2003/tla--bulb--1.1--patch-2
       Sync with tla--devo--1.1--patch-91
    
     * bulb@ucw.cz--arch-2003/tla--bulb--1.1--patch-3
       Merged tla--devo--1.1
    
     * bulb@ucw.cz--arch-2003/tla--bulb--1.1--patch-4
       file-diffs command and --new-file option
    
     * bulb@ucw.cz--arch-2003/tla--bulb--1.1--patch-5
       arch_find_or_make_local_copy searches in syblings
    

    new files:
     ./libarch/cmd-file-find.c ./libarch/cmd-file-find.h

    modified files:
     ./ChangeLog ./libarch/cmd-file-diffs.c
     ./libarch/cmd-undo-changes.c ./libarch/cmd-what-changed.c
     ./libarch/cmds.c ./libarch/diffs.c ./libarch/file-diffs.c
     ./libarch/file-diffs.h ./libarch/local-cache.c

    new patches:
     bulb@ucw.cz--arch-2003/tla--bulb--1.1--base-0
     bulb@ucw.cz--arch-2003/tla--bulb--1.1--patch-1
     bulb@ucw.cz--arch-2003/tla--bulb--1.1--patch-2
     bulb@ucw.cz--arch-2003/tla--bulb--1.1--patch-3
     bulb@ucw.cz--arch-2003/tla--bulb--1.1--patch-4
     bulb@ucw.cz--arch-2003/tla--bulb--1.1--patch-5


2003-07-14 21:29:00 GMT	Tom Lord <lord@emf.net>	patch-102

    Summary:
      new star-merge option to generate but not apply changeset
    Revision:
      tla--devo--1.1--patch-102

    new star-merge option to generate but not apply changeset
    

    modified files:
     ./ChangeLog ./libarch/cmd-star-merge.c ./libarch/star-merge.c
     ./libarch/star-merge.h


2003-07-14 21:14:50 GMT	Tom Lord <lord@emf.net>	patch-101

    Summary:
      set-tree-version --help fix (rwa)
    Revision:
      tla--devo--1.1--patch-101

    set-tree-version --help fix (rwa)
    
    Patches applied:
    
     * rwa@alumni.princeton.edu--home-2003b/tla--rwa--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-90
    
     * rwa@alumni.princeton.edu--home-2003b/tla--rwa--1.1--patch-1
       add DIR to --dir help output for consistency
    

    modified files:
     ./ChangeLog ./libarch/cmd-set-tree-version.c

    new patches:
     rwa@alumni.princeton.edu--home-2003b/tla--rwa--1.1--base-0
     rwa@alumni.princeton.edu--home-2003b/tla--rwa--1.1--patch-1


2003-07-14 21:05:16 GMT	Tom Lord <lord@emf.net>	patch-100

    Summary:
      compiler warning fix from giles
    Revision:
      tla--devo--1.1--patch-100

    compiler warning fix from giles
    
    Patches applied:
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-22
       merge with lord@emf.net-2003b/tla--devo--1.1--patch-86
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-23
       lord@emf.net--2003b/tla--devo--1.1--patch-92
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-24
       fix compiler warning in libarch/invent.c
    

    modified files:
     ./ChangeLog ./libarch/invent.c

    new patches:
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-22
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-23
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-24


2003-07-14 20:47:40 GMT	Tom Lord <lord@emf.net>	patch-99

    Summary:
      merge in libneon upgrade from srparish
    Revision:
      tla--devo--1.1--patch-99

    merge in libneon upgrade from srparish
    
    Patches applied:
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-3
       merge with lord
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-4
       upgraded to neon 0.24.0, expat 1.95.6
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-5
       removed ne_redirect_register call, moved expat macro file
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-6
       enforced the use of included expat
    

    new files:
     ./libneon/expat/ac_c_bigendian_cross.m4
     ./libneon/expat/ascii.h ./libneon/expat/asciitab.h
     ./libneon/expat/expat.h ./libneon/expat/expat_config.h.in
     ./libneon/expat/iasciitab.h ./libneon/expat/internal.h
     ./libneon/expat/latin1tab.h ./libneon/expat/nametab.h
     ./libneon/expat/utf8tab.h ./libneon/expat/winconfig.h
     ./libneon/expat/xmlparse.c ./libneon/expat/xmlrole.c
     ./libneon/expat/xmlrole.h ./libneon/expat/xmltok.c
     ./libneon/expat/xmltok.h ./libneon/expat/xmltok_impl.c
     ./libneon/expat/xmltok_impl.h ./libneon/expat/xmltok_ns.c
     ./libneon/macros/.arch-ids/ChangeLog.id
     ./libneon/macros/.arch-ids/neon-test.m4.id
     ./libneon/macros/.arch-ids/neon-xml-parser.m4.id
     ./libneon/macros/.arch-ids/neon.m4.id
     ./libneon/macros/.arch-ids/socklen-arg-type.m4.id
     ./libneon/macros/ChangeLog ./libneon/macros/neon-test.m4
     ./libneon/macros/neon-xml-parser.m4 ./libneon/macros/neon.m4
     ./libneon/macros/socklen-arg-type.m4 ./libneon/memleak.h
     ./libneon/ne_openssl.c ./libneon/ne_privssl.h
     ./libneon/ne_ssl.h ./libneon/ne_stubssl.c

    removed files:
     ./libneon/base64.c ./libneon/base64.h
     ./libneon/expat/ChangeLog ./libneon/expat/README
     ./libneon/expat/expat.html
     ./libneon/expat/gennmtab/.arch-ids/=dont-care
     ./libneon/expat/gennmtab/gennmtab.c
     ./libneon/expat/xmlparse/.arch-ids/=dont-care
     ./libneon/expat/xmlparse/hashtable.c
     ./libneon/expat/xmlparse/hashtable.h
     ./libneon/expat/xmlparse/xmlparse.c
     ./libneon/expat/xmlparse/xmlparse.h
     ./libneon/expat/xmltok/.arch-ids/=dont-care
     ./libneon/expat/xmltok/asciitab.h
     ./libneon/expat/xmltok/iasciitab.h
     ./libneon/expat/xmltok/latin1tab.h
     ./libneon/expat/xmltok/nametab.h
     ./libneon/expat/xmltok/utf8tab.h
     ./libneon/expat/xmltok/xmldef.h
     ./libneon/expat/xmltok/xmlrole.c
     ./libneon/expat/xmltok/xmlrole.h
     ./libneon/expat/xmltok/xmltok.c
     ./libneon/expat/xmltok/xmltok.h
     ./libneon/expat/xmltok/xmltok_impl.c
     ./libneon/expat/xmltok/xmltok_impl.h
     ./libneon/expat/xmltok/xmltok_ns.c
     ./libneon/macros/.arch-ids/=dont-care
     ./libneon/macros/ChangeLog ./libneon/macros/aclocal-include.m4
     ./libneon/macros/compiler-flags.m4
     ./libneon/macros/gnome-common.m4
     ./libneon/macros/gnome-gnorba-check.m4
     ./libneon/macros/gnome-orbit-check.m4
     ./libneon/macros/gnome-print-check.m4
     ./libneon/macros/gnome-pthread-check.m4
     ./libneon/macros/gnome-support.m4
     ./libneon/macros/gnome-x-checks.m4 ./libneon/macros/gnome.m4
     ./libneon/macros/neon-debug.m4 ./libneon/macros/neon-socks.m4
     ./libneon/macros/neon-ssl.m4 ./libneon/macros/neon-test.m4
     ./libneon/macros/neon-warnings.m4
     ./libneon/macros/neon-xml-parser.m4 ./libneon/macros/neon.m4
     ./libneon/macros/readline.m4
     ./libneon/macros/socklen-arg-type.m4
     ./libneon/macros/strftime.m4 ./libneon/sslcerts.c

    modified files:
     ./ChangeLog ./libarch/pfs-dav.c ./libneon/ChangeLog
     ./libneon/Makefile.in ./libneon/PLUGIN/AUTOCONF
     ./libneon/aclocal.m4 ./libneon/config.guess
     ./libneon/config.h.in ./libneon/config.sub ./libneon/configure
     ./libneon/configure.in ./libneon/ltconfig ./libneon/ltmain.sh
     ./libneon/ne_207.c ./libneon/ne_207.h ./libneon/ne_acl.c
     ./libneon/ne_alloc.c ./libneon/ne_alloc.h ./libneon/ne_auth.c
     ./libneon/ne_auth.h ./libneon/ne_basic.c ./libneon/ne_basic.h
     ./libneon/ne_compress.c ./libneon/ne_cookies.c
     ./libneon/ne_dates.c ./libneon/ne_i18n.c ./libneon/ne_locks.c
     ./libneon/ne_locks.h ./libneon/ne_md5.c ./libneon/ne_md5.h
     ./libneon/ne_private.h ./libneon/ne_props.c
     ./libneon/ne_props.h ./libneon/ne_redirect.c
     ./libneon/ne_redirect.h ./libneon/ne_request.c
     ./libneon/ne_request.h ./libneon/ne_session.c
     ./libneon/ne_session.h ./libneon/ne_socket.c
     ./libneon/ne_socket.h ./libneon/ne_string.c
     ./libneon/ne_string.h ./libneon/ne_uri.c ./libneon/ne_uri.h
     ./libneon/ne_utils.c ./libneon/ne_utils.h ./libneon/ne_xml.c
     ./libneon/ne_xml.h

    removed directories:
     ./libneon/expat/gennmtab ./libneon/expat/gennmtab/.arch-ids
     ./libneon/expat/xmlparse ./libneon/expat/xmlparse/.arch-ids
     ./libneon/expat/xmltok ./libneon/expat/xmltok/.arch-ids

    new patches:
     software@srparish.net--2003tla/tla--devo--1.1--patch-3
     software@srparish.net--2003tla/tla--devo--1.1--patch-4
     software@srparish.net--2003tla/tla--devo--1.1--patch-5
     software@srparish.net--2003tla/tla--devo--1.1--patch-6


2003-07-14 20:03:25 GMT	Tom Lord <lord@emf.net>	patch-98

    Summary:
      doc extensions and help fixes (jblack)
    Revision:
      tla--devo--1.1--patch-98

    doc extensions and help fixes (jblack)
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-19
       Clearing up language about 'patch-reports' 
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-20
       Adding glossary and quick start examples
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-21
       Paragraph closing missing in using-hooks put in
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-22
       Fixed tla command summary redo alias help.
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-23
       added examples-quickstart.doc
    

    new files:
     ./tutorial/.arch-ids/examples-quickstart.doc.id
     ./tutorial/.arch-ids/glossary.doc.id
     ./tutorial/examples-quickstart.doc ./tutorial/glossary.doc

    modified files:
     ./ChangeLog ./libarch/cmds.c ./tutorial/arch.doc
     ./tutorial/exploring-changesets.doc ./tutorial/using-hooks.doc

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-19
     jblack@merconline.com--2003/tla--devo--1.1--patch-20
     jblack@merconline.com--2003/tla--devo--1.1--patch-21
     jblack@merconline.com--2003/tla--devo--1.1--patch-22
     jblack@merconline.com--2003/tla--devo--1.1--patch-23


2003-07-14 19:59:00 GMT	Tom Lord <lord@emf.net>	patch-97

    Summary:
      improve regularity of revdelta CLI (jblack)
    Revision:
      tla--devo--1.1--patch-97

    improve regularity of revdelta CLI (jblack)
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-17
       Making deltarev feel more like changeset
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-18
       Star merged Toms tree
    

    modified files:
     ./ChangeLog ./libarch/cmd-revdelta.c

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-17
     jblack@merconline.com--2003/tla--devo--1.1--patch-18


2003-07-14 19:41:52 GMT	Tom Lord <lord@emf.net>	patch-96

    Summary:
      fix some code formatting issues
    Revision:
      tla--devo--1.1--patch-96

    fix some code formatting issues
    

    modified files:
     ./ChangeLog ./libarch/cmd-deltapatch.c
     ./libarch/cmd-revdelta.c


2003-07-14 19:11:28 GMT	Tom Lord <lord@emf.net>	patch-95

    Summary:
      merge doc and help messages changes from jblack
    Revision:
      tla--devo--1.1--patch-95

    merge doc and help messages changes from jblack
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-11
       Pulled Toms tree back in
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-12
       Clarified the purpose of deltapatch
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-13
       Changed inventory-tags.doc to use '(add|delete|move)-tag' 'intead of '(add|delete|move)' as they are more explicit and the primary name of the commands
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-14
       Clarified --help for revdelta.
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-15
       Clarified the clarification for revdelta help in patch-14.
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-16
       simplified star-merge example in tutorial
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/cmd-deltapatch.c
     ./libarch/cmd-revdelta.c ./tutorial/development-branches.doc
     ./tutorial/inventory-tags.doc

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-11
     jblack@merconline.com--2003/tla--devo--1.1--patch-12
     jblack@merconline.com--2003/tla--devo--1.1--patch-13
     jblack@merconline.com--2003/tla--devo--1.1--patch-14
     jblack@merconline.com--2003/tla--devo--1.1--patch-15
     jblack@merconline.com--2003/tla--devo--1.1--patch-16


2003-07-14 18:36:59 GMT	Tom Lord <lord@emf.net>	patch-94

    Summary:
      merge my-revision-library fix from asuffield
    Revision:
      tla--devo--1.1--patch-94

    merge my-revision-library fix from asuffield
    
    Patches applied:
    
     * asuffield@debian.org--gluck-2003/tla--devo--1.0--base-0
       tag of lord@emf.net--2003b/tla--devo--1.0--patch-89
    
     * asuffield@debian.org--gluck-2003/tla--devo--1.0--patch-1
       Initialise op for my-default-archive/my-revision-library
    
     * asuffield@debian.org--gluck-2003/tla--devo--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-92
    
     * asuffield@debian.org--gluck-2003/tla--devo--1.1--patch-1
       Merge from tla--devo--1.0
    

    modified files:
     ./ChangeLog ./libarch/cmd-my-default-archive.c
     ./libarch/cmd-my-revision-library.c

    new patches:
     asuffield@debian.org--gluck-2003/tla--devo--1.0--base-0
     asuffield@debian.org--gluck-2003/tla--devo--1.0--patch-1
     asuffield@debian.org--gluck-2003/tla--devo--1.1--base-0
     asuffield@debian.org--gluck-2003/tla--devo--1.1--patch-1


2003-07-14 18:27:04 GMT	Tom Lord <lord@emf.net>	patch-93

    Summary:
      doc foo
    Revision:
      tla--devo--1.1--patch-93

    doc foo
    

    removed files:
     ./tutorial/on-hacking.doc

    modified files:
     ./ChangeLog ./tutorial/arch.doc


2003-07-10 08:29:38 GMT	Tom Lord <lord@emf.net>	patch-92

    Summary:
      tell the truth
    Revision:
      tla--devo--1.1--patch-92

    tell the truth
    

    new files:
     ./tutorial/on-hacking.doc

    modified files:
     ./ChangeLog ./tutorial/arch.doc


2003-07-09 02:01:57 GMT	Tom Lord <lord@emf.net>	patch-91

    Summary:
      cherry-pick cached inventory fix from 1.0
    Revision:
      tla--devo--1.1--patch-91

    cherry-pick cached inventory fix from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-89
       clean-up stale cached inventories (from mt@wmipf)
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/commit.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-89


2003-07-07 04:26:49 GMT	Tom Lord <lord@emf.net>	patch-90

    Summary:
      find-pristine -H fix
    Revision:
      tla--devo--1.1--patch-90

    find-pristine -H fix
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/cmd-find-pristine.c


2003-07-07 04:23:12 GMT	Tom Lord <lord@emf.net>	patch-89

    Summary:
      fix autochangelog generation in import (patch from Michael)
    Revision:
      tla--devo--1.1--patch-89

    fix autochangelog generation in import (patch from Michael)
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/import.c


2003-07-07 04:11:05 GMT	Tom Lord <lord@emf.net>	patch-88

    Summary:
      accept an ARCHIVE argument to categories
    Revision:
      tla--devo--1.1--patch-88

    accept an ARCHIVE argument to categories
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/cmd-categories.c


2003-07-07 02:19:56 GMT	Tom Lord <lord@emf.net>	patch-87

    Summary:
      cope with trailing slash in dir argument to getrev
    Revision:
      tla--devo--1.1--patch-87

    cope with trailing slash in dir argument to getrev
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/cmd-getrev.c


2003-07-07 00:20:07 GMT	Tom Lord <lord@emf.net>	patch-86

    Summary:
      =THANKS correction
    Revision:
      tla--devo--1.1--patch-86

    =THANKS correction
    

    modified files:
     ./=THANKS ./ChangeLog


2003-07-07 00:14:25 GMT	Tom Lord <lord@emf.net>	patch-85

    Summary:
      -Wall and formatting cleanups
    Revision:
      tla--devo--1.1--patch-85

    -Wall and formatting cleanups
    

    modified files:
     ./ChangeLog ./libarch/archive-setup.c
     ./libarch/changeset-report.h ./libarch/cmd-imprev.c


2003-07-07 00:08:54 GMT	Tom Lord <lord@emf.net>	patch-84

    Summary:
      import --setup support from Damien
    Revision:
      tla--devo--1.1--patch-84

    import --setup support from Damien
    
    Patches applied:
    
     * arch@repose.cx--03/tla--devo--1.1--patch-15
       add --setup to import, to create the revision on import
    
     * arch@repose.cx--03/tla--devo--1.1--patch-16
       add missing enum in previous patch
    

    modified files:
     ./ChangeLog ./libarch/archive-setup.c
     ./libarch/archive-setup.h ./libarch/cmd-imprev.c

    new patches:
     arch@repose.cx--03/tla--devo--1.1--patch-15
     arch@repose.cx--03/tla--devo--1.1--patch-16


2003-07-07 00:00:30 GMT	Tom Lord <lord@emf.net>	patch-83

    Summary:
      -A help message changes from Damien
    Revision:
      tla--devo--1.1--patch-83

    -A help message changes from Damien
    
    Patches applied:
    
     * arch@repose.cx--03/tla--devo--1.1--patch-13
       merge with lord
    
     * arch@repose.cx--03/tla--devo--1.1--patch-14
       Make -A into 'Override `my-default-archive''
    

    modified files:
     ./ChangeLog ./libarch/cmd-add-log.c
     ./libarch/cmd-add-pristine.c ./libarch/cmd-ancestry.c
     ./libarch/cmd-archive-fixup.c
     ./libarch/cmd-archive-meta-info.c
     ./libarch/cmd-archive-setup.c ./libarch/cmd-archive-snapshot.c
     ./libarch/cmd-archive-version.c ./libarch/cmd-branches.c
     ./libarch/cmd-cachedrevs.c ./libarch/cmd-cacherev.c
     ./libarch/cmd-cat-archive-log.c ./libarch/cmd-cat-log.c
     ./libarch/cmd-categories.c ./libarch/cmd-changelog.c
     ./libarch/cmd-cmtrev.c ./libarch/cmd-deltapatch.c
     ./libarch/cmd-file-diffs.c ./libarch/cmd-find-pristine.c
     ./libarch/cmd-get-patch.c ./libarch/cmd-getrev.c
     ./libarch/cmd-imprev.c ./libarch/cmd-init-tree.c
     ./libarch/cmd-join-branch.c ./libarch/cmd-library-add.c
     ./libarch/cmd-library-branches.c
     ./libarch/cmd-library-categories.c
     ./libarch/cmd-library-file.c ./libarch/cmd-library-find.c
     ./libarch/cmd-library-log.c ./libarch/cmd-library-remove.c
     ./libarch/cmd-library-revisions.c
     ./libarch/cmd-library-versions.c ./libarch/cmd-lock-pristine.c
     ./libarch/cmd-lock-revision.c ./libarch/cmd-log-for-merge.c
     ./libarch/cmd-log-ls.c ./libarch/cmd-make-branch.c
     ./libarch/cmd-make-category.c ./libarch/cmd-make-log.c
     ./libarch/cmd-make-version.c ./libarch/cmd-merges.c
     ./libarch/cmd-my-default-archive.c ./libarch/cmd-new-merges.c
     ./libarch/cmd-parse-package-name.c ./libarch/cmd-remove-log.c
     ./libarch/cmd-replay.c ./libarch/cmd-revdelta.c
     ./libarch/cmd-revisions.c ./libarch/cmd-set-tree-version.c
     ./libarch/cmd-star-merge.c ./libarch/cmd-sync-tree.c
     ./libarch/cmd-tagrev.c ./libarch/cmd-uncacherev.c
     ./libarch/cmd-undo-changes.c ./libarch/cmd-update.c
     ./libarch/cmd-versions.c ./libarch/cmd-what-changed.c
     ./libarch/cmd-whats-missing.c

    new patches:
     arch@repose.cx--03/tla--devo--1.1--patch-13
     arch@repose.cx--03/tla--devo--1.1--patch-14


2003-07-06 23:39:44 GMT	Tom Lord <lord@emf.net>	patch-82

    Summary:
      what-changed output improvements from Damien (spelled correctly, this time)
    Revision:
      tla--devo--1.1--patch-82

    what-changed output improvements from Damien (spelled correctly, this time)
    
    Patches applied:
    
     * arch@repose.cx--03/tla--devo--1.1--patch-12
       reduce default verbosity of what-changed, add --verbose
    

    modified files:
     ./ChangeLog ./libarch/changeset-report.c
     ./libarch/cmd-what-changed.c

    new patches:
     arch@repose.cx--03/tla--devo--1.1--patch-12


2003-07-06 23:16:35 GMT	Tom Lord <lord@emf.net>	patch-81

    Summary:
      typo fix Damian
    Revision:
      tla--devo--1.1--patch-81

    typo fix Damian
    
    Patches applied:
    
     * arch@repose.cx--03/tla--devo--1.1--patch-11
       trivial typo corrected
    

    modified files:
     ./ChangeLog ./libarch/make-changeset.c

    new patches:
     arch@repose.cx--03/tla--devo--1.1--patch-11


2003-07-06 23:15:10 GMT	Tom Lord <lord@emf.net>	patch-80

    Summary:
      make-log CLI improvement from Damian
    Revision:
      tla--devo--1.1--patch-80

    make-log CLI improvement from Damian
    
    Patches applied:
    
     * arch@repose.cx--03/tla--devo--1.1--patch-10
       warn when not overwriting a log with make-log
    

    modified files:
     ./ChangeLog ./libarch/cmd-make-log.c

    new patches:
     arch@repose.cx--03/tla--devo--1.1--patch-10


2003-07-06 23:07:09 GMT	Tom Lord <lord@emf.net>	patch-79

    Summary:
      log (redundant) star-merge CLI fix from Damian
    Revision:
      tla--devo--1.1--patch-79

    log (redundant) star-merge CLI fix from Damian
    
    Patches applied:
    
     * arch@repose.cx--03/tla--devo--1.1--patch-9
       fix off by one error in argument processing in star-merge
    

    modified files:
     ./ChangeLog

    new patches:
     arch@repose.cx--03/tla--devo--1.1--patch-9


2003-07-06 23:02:49 GMT	Tom Lord <lord@emf.net>	patch-78

    Summary:
      register-archive CLI improvements from Damian
    Revision:
      tla--devo--1.1--patch-78

    register-archive CLI improvements from Damian
    
    Patches applied:
    
     * arch@repose.cx--03/tla--devo--1.1--patch-4
       register-archive: accept bogus argument on delete as a convenience
    
     * arch@repose.cx--03/tla--devo--1.1--patch-5
       correct logic error in previous patch
    
     * arch@repose.cx--03/tla--devo--1.1--patch-6
       register-archive: fail to delete non existent directory
    
     * arch@repose.cx--03/tla--devo--1.1--patch-7
       merge with lord
    
     * arch@repose.cx--03/tla--devo--1.1--patch-8
       merge with lord
    

    modified files:
     ./ChangeLog ./libarch/archives.c ./libarch/archives.h
     ./libarch/cmd-register-archive.c

    new patches:
     arch@repose.cx--03/tla--devo--1.1--patch-4
     arch@repose.cx--03/tla--devo--1.1--patch-5
     arch@repose.cx--03/tla--devo--1.1--patch-6
     arch@repose.cx--03/tla--devo--1.1--patch-7
     arch@repose.cx--03/tla--devo--1.1--patch-8


2003-07-06 22:43:28 GMT	Tom Lord <lord@emf.net>	patch-77

    Summary:
      symlink fix from mt@wmipf
    Revision:
      tla--devo--1.1--patch-77

    symlink fix from mt@wmipf
    
    Patches applied:
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-8
       merge with lord
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-9
       make build_link_tree copy symlinks
    

    modified files:
     ./ChangeLog ./libfsutils/link-tree.c

    new patches:
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-8
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-9


2003-07-06 22:35:23 GMT	Tom Lord <lord@emf.net>	patch-76

    Summary:
      merge in doc fixes from jblack
    Revision:
      tla--devo--1.1--patch-76

    merge in doc fixes from jblack
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-4
       Finished moving Candice to her new home in the tutorial
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-5
       star-merged TLAs tree
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-6
       Updated star-merge portion of tutorial
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-7
       Adding documentation for using hooks
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-8
       Merged in from Tom Lord
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-9
       More information in using-hooks about env variables and hook args
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-10
       Clarifying that hook must be executable
    

    modified files:
     ./ChangeLog ./tutorial/arch.doc
     ./tutorial/development-branches.doc
     ./tutorial/tree-history.doc ./tutorial/using-hooks.doc

    renamed files:
     ./tutorial/notifiers.doc
       ==> ./tutorial/using-hooks.doc

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--patch-4
     jblack@merconline.com--2003/tla--devo--1.1--patch-5
     jblack@merconline.com--2003/tla--devo--1.1--patch-6
     jblack@merconline.com--2003/tla--devo--1.1--patch-7
     jblack@merconline.com--2003/tla--devo--1.1--patch-8
     jblack@merconline.com--2003/tla--devo--1.1--patch-9
     jblack@merconline.com--2003/tla--devo--1.1--patch-10


2003-07-06 21:31:31 GMT	Tom Lord <lord@emf.net>	patch-75

    Summary:
      descriptor-leak fix from Giles
    Revision:
      tla--devo--1.1--patch-75

    descriptor-leak fix from Giles
    
    Patches applied:
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-21
       fix file descriptor leak in mirror_revision()
    

    modified files:
     ./ChangeLog ./libarch/archive-mirror.c

    new patches:
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-21


2003-07-06 21:21:42 GMT	Tom Lord <lord@emf.net>	patch-74

    Summary:
      doc and help message merge from Giles
    Revision:
      tla--devo--1.1--patch-74

    doc and help message merge from Giles
    
    Patches applied:
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-13
       Add missing --summary to log-ls example
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-14
       correct typo s/maineline/mainline/
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-15
       fix incorrect "it's" usages in the tutorial
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-16
       update 'How it Works -- What import Does'
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-17
       update tree-lint output
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-18
       minor fixes to tutorial/new-project.doc
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-19
       typo fix in tla parse-package-name -H
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-20
       update example output from 'tla commit'
    

    modified files:
     ./ChangeLog ./libarch/cmd-parse-package-name.c
     ./tutorial/development-branches.doc
     ./tutorial/elementary-branches.doc
     ./tutorial/importing-first.doc ./tutorial/inventory-tags.doc
     ./tutorial/new-project.doc
     ./tutorial/retrieving-earlier-revisions.doc
     ./tutorial/shared-and-public-archives.doc
     ./tutorial/update-commit.doc

    new patches:
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-13
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-14
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-15
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-16
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-17
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-18
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-19
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-20


2003-07-06 21:13:40 GMT	Tom Lord <lord@emf.net>	patch-73

    Summary:
      doc fix from giles
    Revision:
      tla--devo--1.1--patch-73

    doc fix from giles
    
    Patches applied:
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-11
       merge with lord@emf.net--2003b/tla--devo--1.1--patch-71
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-12
       tla my-default-archive produces no output
    

    modified files:
     ./ChangeLog ./tutorial/new-archive.doc

    new patches:
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-11
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-12


2003-07-06 21:00:23 GMT	Tom Lord <lord@emf.net>	patch-72

    Summary:
      incremental (mostly backwards) progress on partial commits
    Revision:
      tla--devo--1.1--patch-72

    incremental (mostly backwards) progress on partial commits
    

    modified files:
     ./ChangeLog ./libarch/make-changeset.c


2003-07-03 07:50:01 GMT	Tom Lord <lord@emf.net>	patch-71

    Summary:
      compute orig logs of paths in limits in arch_make_changeset
    Revision:
      tla--devo--1.1--patch-71

    compute orig logs of paths in limits in arch_make_changeset
    

    modified files:
     ./ChangeLog ./libarch/make-changeset.c


2003-07-03 06:54:49 GMT	Tom Lord <lord@emf.net>	patch-70

    Summary:
      canonicalize the limits argument to arch_make_changeset
    Revision:
      tla--devo--1.1--patch-70

    canonicalize the limits argument to arch_make_changeset
    

    modified files:
     ./ChangeLog ./libarch/make-changeset.c


2003-07-03 06:24:14 GMT	Tom Lord <lord@emf.net>	patch-69

    Summary:
      coded up (and roughly tested) limit spec -> loc translation in make-changeset
    Revision:
      tla--devo--1.1--patch-69

    coded up (and roughly tested) limit spec -> loc translation in make-changeset
    

    modified files:
     ./ChangeLog ./libarch/cmd-what-changed.c
     ./libarch/make-changeset.c


2003-07-03 05:46:24 GMT	Tom Lord <lord@emf.net>	patch-68

    Summary:
      add (currently unused) limits parameter to what-changed and arch_make_changeset
    Revision:
      tla--devo--1.1--patch-68

    add (currently unused) limits parameter to what-changed and arch_make_changeset
    

    modified files:
     ./ChangeLog ./libarch/arbdelta.c ./libarch/cmd-changeset.c
     ./libarch/cmd-revdelta.c ./libarch/cmd-what-changed.c
     ./libarch/commit.c ./libarch/make-changeset.c
     ./libarch/make-changeset.h ./libarch/star-merge.c
     ./libarch/undo.c


2003-07-02 22:53:31 GMT	Tom Lord <lord@emf.net>	patch-67

    Summary:
      merge in help message fixes from giles
    Revision:
      tla--devo--1.1--patch-67

    merge in help message fixes from giles
    
    Patches applied:
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-55
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-1
       update to tla--devo--1.1--patch-62
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-2
       fix typo in archive-setup help
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-3
       typo fix in add-pristine --help
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-4
       remove duplicate 'the' in tla my-default-archive -H output
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-5
       fix spelling of 'ordinarily'
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-6
       remove unwanted apostrophe in archive-fixup -H
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-7
       typo fix in add-log -H
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-8
       typo fix in tla merges -H
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-9
       fix typo in new-merges -H
    
     * giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-10
       add whitespace to buildcfg -H
    

    modified files:
     ./ChangeLog ./libarch/cmd-add-log.c
     ./libarch/cmd-add-pristine.c ./libarch/cmd-archive-fixup.c
     ./libarch/cmd-archive-setup.c ./libarch/cmd-buildcfg.c
     ./libarch/cmd-merges.c ./libarch/cmd-my-default-archive.c
     ./libarch/cmd-new-merges.c ./libarch/cmd-revisions.c
     ./libarch/cmd-versions.c

    new patches:
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--base-0
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-1
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-2
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-3
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-4
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-5
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-6
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-7
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-8
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-9
     giles@nemeton.com.au--2003-GPL/tla--giles--1.1--patch-10


2003-07-02 22:18:16 GMT	Tom Lord <lord@emf.net>	patch-66

    Summary:
      tweak pristine search in star-merge
    Revision:
      tla--devo--1.1--patch-66

    tweak pristine search in star-merge
    

    modified files:
     ./ChangeLog ./libarch/cmd-star-merge.c ./libarch/star-merge.c
     ./libarch/star-merge.h


2003-07-02 22:14:11 GMT	Tom Lord <lord@emf.net>	patch-65

    Summary:
      merge pristine-search improvements to star-merge from mt@wmipf
    Revision:
      tla--devo--1.1--patch-65

    merge pristine-search improvements to star-merge from mt@wmipf
    
    Patches applied:
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-3
       merge from lord (patch-56)
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-4
       star-merge from lord
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-5
       repaired patch-log for patch-56
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-6
       propagate cache_dir to arch_build_revision
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-7
       in arch_star_merge, use cwd as cache_dir
    

    modified files:
     ./ChangeLog ./libarch/local-cache.c ./libarch/star-merge.c

    new patches:
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-3
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-4
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-5
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-6
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-7


2003-07-02 22:02:02 GMT	Tom Lord <lord@emf.net>	patch-64

    Summary:
      merge doc improvements from jblack
    Revision:
      tla--devo--1.1--patch-64

    merge doc improvements from jblack
    
    Patches applied:
    
     * jblack@merconline.com--2003/tla--devo--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-62
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-1
       Changed the names of the innocent
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-2
       Updated documents to explain how to show a changeset in --diffs format
    
     * jblack@merconline.com--2003/tla--devo--1.1--patch-3
       Fixed the cached revision documents
    

    modified files:
     ./ChangeLog ./tutorial/elementary-branches.doc
     ./tutorial/exploring-changesets.doc

    new patches:
     jblack@merconline.com--2003/tla--devo--1.1--base-0
     jblack@merconline.com--2003/tla--devo--1.1--patch-1
     jblack@merconline.com--2003/tla--devo--1.1--patch-2
     jblack@merconline.com--2003/tla--devo--1.1--patch-3


2003-07-02 21:57:32 GMT	Tom Lord <lord@emf.net>	patch-63

    Summary:
      added missing include of hackerlab/os/time.h
    Revision:
      tla--devo--1.1--patch-63

    added missing include of hackerlab/os/time.h
    

    modified files:
     ./ChangeLog ./libarch/tag.c


2003-07-01 23:34:01 GMT	Tom Lord <lord@emf.net>	patch-62

    Summary:
      =TODO update
    Revision:
      tla--devo--1.1--patch-62

    =TODO update
    

    modified files:
     ./=TODO ./ChangeLog


2003-07-01 22:43:04 GMT	Tom Lord <lord@emf.net>	patch-61

    Summary:
      tutorial typo fix from James Blackwell
    Revision:
      tla--devo--1.1--patch-61

    tutorial typo fix from James Blackwell
    

    modified files:
     ./=THANKS ./ChangeLog ./tutorial/elementary-branches.doc


2003-07-01 22:33:03 GMT	Tom Lord <lord@emf.net>	patch-60

    Summary:
      proxy-opts query removal patch from Miles Bader
    Revision:
      tla--devo--1.1--patch-60

    
    Don't ask http proxies whether or not they support WebDAV.
    
    "It's like asking a bridge if it supports `opening car door'. Huh? Ask
    a car if it supports having it's door opened. Not the dang transport."
    -- Robert Collins
    
    
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/pfs-dav.c


2003-07-01 22:21:23 GMT	Tom Lord <lord@emf.net>	patch-59

    Summary:
      added missing argument validation in make-archive
    Revision:
      tla--devo--1.1--patch-59

    added missing argument validation in make-archive
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/cmd-make-archive.c


2003-07-01 22:17:05 GMT	Tom Lord <lord@emf.net>	patch-58

    Summary:
      merge in CLI tree-version defaulting from Michael =?iso-8859-1?q?Teichgr=E4ber?=
    Revision:
      tla--devo--1.1--patch-58

    merge in CLI tree-version defaulting from Michael =?iso-8859-1?q?Teichgr=E4ber?=
    
    Patches applied:
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-2
       use arch_try_tree_version
    

    modified files:
     ./ChangeLog ./libarch/cmd-ancestry.c ./libarch/cmd-branches.c
     ./libarch/cmd-library-branches.c
     ./libarch/cmd-library-revisions.c
     ./libarch/cmd-library-versions.c ./libarch/cmd-revisions.c
     ./libarch/cmd-versions.c

    new patches:
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-2


2003-07-01 22:08:57 GMT	Tom Lord <lord@emf.net>	patch-57

    Summary:
      merge in arch_try_tree_version from Michael =?iso-8859-1?q?Teichgr=E4ber?=
    Revision:
      tla--devo--1.1--patch-57

    merge in arch_try_tree_version from Michael =?iso-8859-1?q?Teichgr=E4ber?=
    
    Patches applied:
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-55
    
     * mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-1
       add function arch_try_tree_version
    

    modified files:
     ./ChangeLog ./libarch/project-tree.c ./libarch/project-tree.h

    new patches:
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--base-0
     mt@wmipf.in-berlin.de--devel-2003/tla--wmipf--1.1--patch-1


2003-07-01 21:13:49 GMT	Tom Lord <lord@emf.net>	patch-56

    Summary:
      fixed arg-parsing bug in star-merge
    Revision:
      tla--devo--1.1--patch-56

    fixed arg-parsing bug in star-merge
    

    modified files:
     ./ChangeLog ./libarch/cmd-star-merge.c


2003-06-30 05:17:07 GMT	Tom Lord <lord@emf.net>	patch-55

    Summary:
      =THANKS update
    Revision:
      tla--devo--1.1--patch-55

    =THANKS update
    

    modified files:
     ./=THANKS ./ChangeLog


2003-06-30 05:14:23 GMT	Tom Lord <lord@emf.net>	patch-54

    Summary:
      merge 64bit and GNU-util-path fixes from srp
    Revision:
      tla--devo--1.1--patch-54

    merge 64bit and GNU-util-path fixes from srp
    
    Patches applied:
    
     * software@srparish.net--2003tla/tla--devo--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-50
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-1
       sftp fixed for 64 bit platforms
    
     * software@srparish.net--2003tla/tla--devo--1.1--patch-2
       added config options gnu-{diff,patch,tar} to specify path
    

    modified files:
     ./ChangeLog ./PLUGIN/options ./libarch/apply-changeset.c
     ./libarch/archive.c ./libarch/diffs.c ./libarch/pfs-sftp.c

    new patches:
     software@srparish.net--2003tla/tla--devo--1.1--base-0
     software@srparish.net--2003tla/tla--devo--1.1--patch-1
     software@srparish.net--2003tla/tla--devo--1.1--patch-2


2003-06-30 02:23:53 GMT	Tom Lord <lord@emf.net>	patch-53

    Summary:
      fixed a star-merge bug
    Revision:
      tla--devo--1.1--patch-53

    fixed a star-merge bug
    

    modified files:
     ./ChangeLog ./libarch/star-merge.c


2003-06-29 20:58:59 GMT	Tom Lord <lord@emf.net>	patch-52

    Summary:
      in ensure_directory_exists, handle symlinks to directories
    Revision:
      tla--devo--1.1--patch-52

    in ensure_directory_exists, handle symlinks to directories
    

    modified files:
     ./=THANKS ./ChangeLog ./libfsutils/ensure-dir.c


2003-06-29 20:34:15 GMT	Tom Lord <lord@emf.net>	patch-51

    Summary:
      fixed archive-mirror -H typo
    Revision:
      tla--devo--1.1--patch-51

    fixed archive-mirror -H typo
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/cmd-archive-mirror.c


2003-06-29 05:25:03 GMT	Tom Lord <lord@emf.net>	patch-50

    Summary:
      --help touchup for star-merge
    Revision:
      tla--devo--1.1--patch-50

    --help touchup for star-merge
    

    modified files:
     ./ChangeLog ./libarch/cmd-star-merge.c


2003-06-29 05:23:27 GMT	Tom Lord <lord@emf.net>	patch-49

    Summary:
      basic star-merge debugging
    Revision:
      tla--devo--1.1--patch-49

    basic star-merge debugging
    

    modified files:
     ./ChangeLog ./libarch/local-cache.c ./libarch/star-merge.c


2003-06-29 04:52:10 GMT	Tom Lord <lord@emf.net>	patch-48

    Summary:
      make tmp, not ++pristine scratch trees in star-merge
    Revision:
      tla--devo--1.1--patch-48

    make tmp, not ++pristine scratch trees in star-merge
    

    modified files:
     ./ChangeLog ./libarch/star-merge.c


2003-06-29 04:50:29 GMT	Tom Lord <lord@emf.net>	patch-47

    Summary:
      merge ls-pristines fix from 1.0
    Revision:
      tla--devo--1.1--patch-47

    merge ls-pristines fix from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-87
       fixed use of wrong array index ls-pristines
    

    modified files:
     ./ChangeLog ./libarch/pristines.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-87


2003-06-29 04:49:59 GMT	Tom Lord <lord@emf.net>	patch-46

    Summary:
      fixed argc check in star-merge
    Revision:
      tla--devo--1.1--patch-46

    fixed argc check in star-merge
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-87
       fixed use of wrong array index ls-pristines
    

    modified files:
     ./ChangeLog ./libarch/cmd-star-merge.c


2003-06-29 04:26:07 GMT	Tom Lord <lord@emf.net>	patch-45

    Summary:
      star-merge command coded
    Revision:
      tla--devo--1.1--patch-45

    star-merge command coded
    

    new files:
     ./libarch/cmd-star-merge.c ./libarch/cmd-star-merge.h

    modified files:
     ./ChangeLog ./libarch/cmds.c ./libarch/star-merge.c


2003-06-29 03:14:21 GMT	Tom Lord <lord@emf.net>	patch-44

    Summary:
      arch_star_merge lib routines coded
    Revision:
      tla--devo--1.1--patch-44

    arch_star_merge lib routines coded
    

    new files:
     ./libarch/star-merge.c ./libarch/star-merge.h

    modified files:
     ./ChangeLog


2003-06-29 03:13:07 GMT	Tom Lord <lord@emf.net>	patch-43

    Summary:
      add function arch_log_contents
    Revision:
      tla--devo--1.1--patch-43

    add function arch_log_contents
    

    modified files:
     ./ChangeLog ./libarch/patch-logs.c ./libarch/patch-logs.h


2003-06-29 03:07:57 GMT	Tom Lord <lord@emf.net>	patch-42

    Summary:
      use tree-version by default in ancestry
    Revision:
      tla--devo--1.1--patch-42

    use tree-version by default in ancestry
    

    modified files:
     ./ChangeLog ./libarch/cmd-ancestry.c


2003-06-28 05:09:14 GMT	Tom Lord <lord@emf.net>	patch-41

    Summary:
      merge in fixes from 1.0
    Revision:
      tla--devo--1.1--patch-41

    merge in fixes from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-85
       fixed a compiler warning
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-86
       fixed a compiler warning
    

    modified files:
     ./ChangeLog ./libarch/diffs.c ./libfsutils/tmp-files.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-85
     lord@emf.net--2003b/tla--devo--1.0--patch-86


2003-06-28 04:54:03 GMT	Tom Lord <lord@emf.net>	patch-40

    Summary:
      merge in ~/.arch-params/path support from 1.0
    Revision:
      tla--devo--1.1--patch-40

    merge in ~/.arch-params/path support from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-83
       add support for ~/.arch-params/path
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-84
       update =THANKS
    

    new files:
     ./libarch/exec.c ./libarch/exec.h

    modified files:
     ./=THANKS ./ChangeLog ./libarch/apply-changeset.c
     ./libarch/archive.c ./libarch/commit.c ./libarch/diffs.c
     ./libarch/diffs.h ./libarch/file-diffs.c
     ./libarch/make-changeset-files.c ./libarch/make-changeset.c
     ./libarch/my.c ./libarch/my.h ./libarch/pfs-sftp.c
     ./libarch/tag.c

    renamed files:
     ./libfsutils/diffs.c
       ==> ./libarch/diffs.c
     ./libfsutils/diffs.h
       ==> ./libarch/diffs.h

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-83
     lord@emf.net--2003b/tla--devo--1.0--patch-84


2003-06-27 22:35:52 GMT	Tom Lord <lord@emf.net>	patch-39

    Summary:
      fixed some compiler warnings
    Revision:
      tla--devo--1.1--patch-39

    fixed some compiler warnings
    

    modified files:
     ./ChangeLog ./libarch/namespace.c ./libfsutils/tmp-files.c


2003-06-27 20:47:15 GMT	Tom Lord <lord@emf.net>	patch-38

    Summary:
      extend the ancestry command with -i nad -p
    Revision:
      tla--devo--1.1--patch-38

    extend the ancestry command with -i nad -p
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/cmd-ancestry.c


2003-06-27 20:26:28 GMT	Tom Lord <lord@emf.net>	patch-37

    Summary:
      merge in lock fix from 1.0
    Revision:
      tla--devo--1.1--patch-37

    merge in lock fix from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-82
       fixed lock-breaking bug effecting local archives
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/archive-fs.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-82


2003-06-27 05:24:06 GMT	Tom Lord <lord@emf.net>	patch-36

    Summary:
      =THANKS update
    Revision:
      tla--devo--1.1--patch-36

    =THANKS update
    

    modified files:
     ./=THANKS ./ChangeLog


2003-06-27 04:41:54 GMT	Tom Lord <lord@emf.net>	patch-35

    Summary:
      add the ancestry command
    Revision:
      tla--devo--1.1--patch-35

    add the ancestry command
    

    new files:
     ./libarch/ancestry.c ./libarch/ancestry.h
     ./libarch/cmd-ancestry.c ./libarch/cmd-ancestry.h

    modified files:
     ./ChangeLog ./libarch/cmds.c


2003-06-26 08:54:31 GMT	Tom Lord <lord@emf.net>	patch-34

    Summary:
      ={THANKS,TODO} updates
    Revision:
      tla--devo--1.1--patch-34

    ={THANKS,TODO} updates
    

    modified files:
     ./=THANKS ./=TODO ./ChangeLog


2003-06-26 05:12:03 GMT	Tom Lord <lord@emf.net>	patch-33

    Summary:
      =TODO update
    Revision:
      tla--devo--1.1--patch-33

    =TODO update
    

    modified files:
     ./=THANKS ./=TODO ./ChangeLog


2003-06-26 05:09:38 GMT	Tom Lord <lord@emf.net>	patch-32

    Summary:
      merge bugfixes from 1.0
    Revision:
      tla--devo--1.1--patch-32

    merge bugfixes from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-75
       copy permissiosn when installing added files in apply-changeset
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-76
       fixed a bug parsing dir-metadata files in changesets
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-77
       nicer error message when the getrev output dir exists
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-78
       the "binary files..." output from diff might be "Binary files..."
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-79
       =THANKS updates
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-80
       fix the timestamp output of changelog
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-81
       =THANKS update
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/apply-changeset.c
     ./libarch/changelogs.c ./libarch/changeset-report.c
     ./libarch/changeset-utils.c ./libarch/cmd-getrev.c
     ./libarch/make-changeset.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-75
     lord@emf.net--2003b/tla--devo--1.0--patch-76
     lord@emf.net--2003b/tla--devo--1.0--patch-77
     lord@emf.net--2003b/tla--devo--1.0--patch-78
     lord@emf.net--2003b/tla--devo--1.0--patch-79
     lord@emf.net--2003b/tla--devo--1.0--patch-80
     lord@emf.net--2003b/tla--devo--1.0--patch-81


2003-06-26 02:28:56 GMT	Tom Lord <lord@emf.net>	patch-31

    Summary:
      =TODO update
    Revision:
      tla--devo--1.1--patch-31

    =TODO update
    

    modified files:
     ./=TODO ./ChangeLog


2003-06-25 09:34:20 GMT	Tom Lord <lord@emf.net>	patch-30

    Summary:
      update =THANKS
    Revision:
      tla--devo--1.1--patch-30

    update =THANKS
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-74
       update =THANKS
    

    modified files:
     ./=THANKS ./ChangeLog

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-74


2003-06-25 07:47:57 GMT	Tom Lord <lord@emf.net>	patch-29

    Summary:
      support N-component version names
    Revision:
      tla--devo--1.1--patch-29

    support N-component version names
    

    modified files:
     ./=TODO ./ChangeLog ./libarch/namespace.c


2003-06-25 01:25:24 GMT	Tom Lord <lord@emf.net>	patch-28

    Summary:
      =TODO updates
    Revision:
      tla--devo--1.1--patch-28

    =TODO updates
    

    modified files:
     ./=TODO ./ChangeLog


2003-06-25 01:02:30 GMT	Tom Lord <lord@emf.net>	patch-27

    Summary:
      =THANKS and =TODO updates
    Revision:
      tla--devo--1.1--patch-27

    =THANKS and =TODO updates
    

    modified files:
     ./=THANKS ./=TODO ./ChangeLog


2003-06-24 23:53:18 GMT	Tom Lord <lord@emf.net>	patch-26

    Summary:
      merge update bug fix from 1.0
    Revision:
      tla--devo--1.1--patch-26

    merge update bug fix from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-73
       fix invariant typo in update
    

    modified files:
     ./ChangeLog ./libarch/cmd-update.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-73


2003-06-24 23:14:39 GMT	Tom Lord <lord@emf.net>	patch-25

    Summary:
      merge bugfix to update from 1.0
    Revision:
      tla--devo--1.1--patch-25

    merge bugfix to update from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-72
       fixed performance-pessimizing typo in update
    

    modified files:
     ./ChangeLog ./libarch/cmd-update.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-72


2003-06-24 22:53:00 GMT	Tom Lord <lord@emf.net>	patch-24

    Summary:
      merge bug fixes from 1.0
    Revision:
      tla--devo--1.1--patch-24

    merge bug fixes from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-70
       pass --preserve to tar when extracting changesets/import-revs/cached-revs
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-71
       make update work across continuation revs
    

    modified files:
     ./ChangeLog ./libarch/archive.c ./libarch/cmd-update.c
     ./libarch/cmds.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-70
     lord@emf.net--2003b/tla--devo--1.0--patch-71


2003-06-24 21:47:51 GMT	Tom Lord <lord@emf.net>	patch-23

    Summary:
      merge bug fixes from 1.0
    Revision:
      tla--devo--1.1--patch-23

    merge bug fixes from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-68
       rename the correct file to *.orig after patch(1) reports conflicts
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-69
       preserve in target tree patches for missing files
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/apply-changeset.c
     ./libfsutils/tmp-files.c ./libfsutils/tmp-files.h

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-68
     lord@emf.net--2003b/tla--devo--1.0--patch-69


2003-06-24 21:04:44 GMT	Tom Lord <lord@emf.net>	patch-22

    Summary:
      merge from 1.0 -- =previous and =ancestor support for Perspective
    Revision:
      tla--devo--1.1--patch-22

    merge from 1.0 -- =previous and =ancestor support for Perspective
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-67
       =previous and =ancestor support for Perspective
    

    modified files:
     ./ChangeLog ./libarch/library-txn.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-67


2003-06-24 20:57:18 GMT	Tom Lord <lord@emf.net>	patch-21

    Summary:
      merge in bug fixes from 1.0
    Revision:
      tla--devo--1.1--patch-21

    merge in bug fixes from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-63
       permit lock manipulation on mirrors
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-64
       avoid calling mkdir with names ending in / for NetBSD
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-65
       update =THANKS
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-66
       bug fix for =dont-care handling (assuffield)
    

    modified files:
     ./=THANKS ./ChangeLog ./libarch/apply-changeset.c
     ./libarch/archive.c ./libarch/archives.c
     ./libarch/changeset-report.c ./libarch/changeset-utils.c
     ./libarch/changeset-utils.h ./libarch/inv-tags.c
     ./libarch/make-changeset.c ./libarch/project-tree.c
     ./libfsutils/ensure-dir.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-63
     lord@emf.net--2003b/tla--devo--1.0--patch-64
     lord@emf.net--2003b/tla--devo--1.0--patch-65
     lord@emf.net--2003b/tla--devo--1.0--patch-66


2003-06-24 19:50:07 GMT	Tom Lord <lord@emf.net>	patch-20

    Summary:
      =THANKS and =TODO updates
    Revision:
      tla--devo--1.1--patch-20

    =THANKS and =TODO updates
    

    modified files:
     ./=THANKS ./=TODO ./ChangeLog


2003-06-24 13:41:28 GMT	Tom Lord <lord@emf.net>	patch-19

    Summary:
      merge in perms patching fixes from 1.0
    Revision:
      tla--devo--1.1--patch-19

    merge in perms patching fixes from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-61
       honor umask in apply_patch when adding new dirs with no explicitly provided perms
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-62
       in permissions patches, target-perms != ORIG-perms is not a conflict
    

    modified files:
     ./ChangeLog ./libarch/apply-changeset.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-61
     lord@emf.net--2003b/tla--devo--1.0--patch-62


2003-06-24 13:09:28 GMT	Tom Lord <lord@emf.net>	patch-18

    Summary:
      merged in AFS fixes from 1.0
    Revision:
      tla--devo--1.1--patch-18

    merged in AFS fixes from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-60
       make project-tree operations safe-for-AFS
    

    modified files:
     ./ChangeLog ./libarch/inv-tags.c ./libarch/make-changeset.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-60


2003-06-24 02:08:38 GMT	Tom Lord <lord@emf.net>	patch-17

    Summary:
      merge in doc fixes from Damien Elmes
    Revision:
      tla--devo--1.1--patch-17

    merge in doc fixes from Damien Elmes
    
    Patches applied:
    
     * arch@repose.cx--03/tla--devo--1.1--base-0
       tag of lord@emf.net--2003b/tla--devo--1.1--patch-15
    
     * arch@repose.cx--03/tla--devo--1.1--patch-1
       s/register/register-archive, mention mirror limiting, clarify $remote_location
    
     * arch@repose.cx--03/tla--devo--1.1--patch-2
       clarify $remote_location must be writeable with --mirror
    
     * arch@repose.cx--03/tla--devo--1.1--patch-3
       s/archive-cache-revision/cacherev
    

    modified files:
     ./ChangeLog ./tutorial/archive-caching.doc
     ./tutorial/shared-and-public-archives.doc

    new patches:
     arch@repose.cx--03/tla--devo--1.1--base-0
     arch@repose.cx--03/tla--devo--1.1--patch-1
     arch@repose.cx--03/tla--devo--1.1--patch-2
     arch@repose.cx--03/tla--devo--1.1--patch-3


2003-06-24 02:06:06 GMT	Tom Lord <lord@emf.net>	patch-16

    Summary:
      =TODO update
    Revision:
      tla--devo--1.1--patch-16

    =TODO update
    

    modified files:
     ./=TODO ./ChangeLog


2003-06-22 21:20:57 GMT	Tom Lord <lord@emf.net>	patch-15

    Summary:
      merge in buildcfg fix from 1.0
    Revision:
      tla--devo--1.1--patch-15

    merge in buildcfg fix from 1.0
    
    Patches applied:
    
     * lord@emf.net--2003b/tla--devo--1.0--patch-59
       fixed a conflict-handling bug in buildcfg
    

    modified files:
     ./ChangeLog ./libarch/configs.c

    new patches:
     lord@emf.net--2003b/tla--devo--1.0--patch-59


